#ifndef FERI_MAIN
#define FERI_MAIN
// -----------------------------------------------
// ATTRACTOR ANALYSIS WITH GRAPH REPRESENTATION
//
// Main Header

// -----------------------------------------------

// std
#include <iostream>
#include <fstream>
#include <cstdio>
#include <iomanip>
#include <typeinfo>
#include <string>
#include <cassert>
#include <ctime>
#include <cstdlib>

// capd
#include <capd/intervals/DoubleInterval.h>
#include <capd/krak/krak.h>
#include <capd/dynsys/FadMap.h>
#include <capd/vectalg/Vector.hpp>
#include <capd/vectalg/Matrix.hpp>

// boost
#include <boost/config.hpp>
#include <boost/timer.hpp>
#include <boost/lexical_cast.hpp>
#include <boost/graph/adjacency_list.hpp>
#include <boost/graph/graph_traits.hpp>

// openmp
#include <omp.h>

// --------------------------------------------

// DETAILED OUTPUT
//#define FERI_OUTPUT_PER_PARAM

// PARALLEL COMPUTATION
#define FERI_OPENMP

// USE SOURCES AND SINKS
//#define FERI_SOURCESANDSINKS

// USE TARJAN'S ALGORITHM
//#define FERI_TARJAN

// USE SEQUENTIAL VERSION OF TARJAN'S ALGORITHM
#define FERI_TARJANSEQUENTIAL

// DIMENSION
#define FERI_DIMENSION 2

// --------------------------------------------

const int				oPrecision = 16;								// number of digits to display

// --------------------------------------------

const std::string		outputBase = "output/output";					// base output file

const std::string		errorBase = "output/error";						// collecting failed parameters

const std::string		successBase = "output/success";					// collecting succesful parameters

// ~ end of file ~
#endif
