#ifndef FERI_TYPEDEFS
#define FERI_TYPEDEFS
// -----------------------------------------------
// ATTRACTOR ANALYSIS WITH GRAPH REPRESENTATION
//
// Typedefs

// -----------------------------------------------

#include "main.hpp"

// -----------------------------------------------

// vectors, matrices
typedef capd::vectalg::Vector<interval, FERI_DIMENSION>							VectorType;
typedef capd::vectalg::Matrix<interval, FERI_DIMENSION, FERI_DIMENSION>			MatrixType;

// graphs
struct VertexType
{
	VectorType encl;
	bool visited;
	bool tarjan_inS;
	bool to_be_deleted;
	long int tarjan_index;
	long int tarjan_lowlink;
};

typedef boost::adjacency_list<boost::listS, boost::listS, boost::bidirectionalS, VertexType>	GraphType;

typedef GraphType::vertex_iterator										VertexIterator;
typedef GraphType::out_edge_iterator									outEdgeIterator;
typedef GraphType::in_edge_iterator										inEdgeIterator;
typedef GraphType::vertex_descriptor									VertexDescriptor;

// stacks
typedef std::stack<VertexDescriptor>									VertexStack;
typedef std::stack<bool>												SelfCStack;
typedef std::stack<outEdgeIterator>										outEdgeIteratorStack;

// ~ end of file ~
#endif
