(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[    169221,       4115]
NotebookOptionsPosition[    162082,       3882]
NotebookOutlinePosition[    162524,       3899]
CellTagsIndexPosition[    162481,       3896]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"t0", "=", 
   RowBox[{"TimeUsed", "[", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"$HistoryLength", "=", "2"}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"assump", "=", 
   RowBox[{
    RowBox[{"Element", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"\[Alpha]", ",", 
        RowBox[{
         RowBox[{"4", "\[Alpha]"}], "-", 
         RowBox[{"m", "^", "2"}]}], ",", " ", 
        RowBox[{"Sqrt", "[", 
         RowBox[{
          RowBox[{"4", "\[Alpha]"}], "-", 
          RowBox[{"m", "^", "2"}]}], "]"}]}], "}"}], ",", "Reals"}], "]"}], "&&", 
    RowBox[{"1", "\[GreaterEqual]", " ", "m", "\[GreaterEqual]", "0"}], "&&", 
    RowBox[{"1", ">", "\[Alpha]", "\[GreaterEqual]", " ", 
     RowBox[{"98", "/", "100"}]}], "&&", 
    RowBox[{
     RowBox[{
      RowBox[{"m", "^", "2"}], "-", 
      RowBox[{"4", "\[Alpha]"}]}], "<", "0"}], "&&", " ", 
    RowBox[{
     RowBox[{"Conjugate", "[", 
      SqrtBox[
       RowBox[{
        SuperscriptBox["m", "2"], "-", 
        RowBox[{"4", " ", "\[Alpha]"}]}]], "]"}], "\[Equal]", 
     RowBox[{
      RowBox[{"-", "\[ImaginaryI]"}], " ", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"4", "\[Alpha]"}], "-", 
        RowBox[{"m", "^", "2"}]}], "]"}]}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dom", "=", 
   RowBox[{
    RowBox[{"1", "\[GreaterEqual]", "  ", "\[Alpha]", "\[GreaterEqual]", 
     RowBox[{"98", "/", "100"}]}], "&&", 
    RowBox[{"1", "\[GreaterEqual]", " ", "m", "\[GreaterEqual]", "0"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"A", "[", 
    RowBox[{"\[Alpha]_", ",", "m_"}], "]"}], "=", 
   RowBox[{"(", GridBox[{
      {"0", "1"},
      {
       RowBox[{"-", "\[Alpha]"}], "m"}
     }], ")"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{" ", 
  RowBox[{
   RowBox[{"F", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x_", ",", "y_"}], "}"}], ",", " ", "\[Alpha]_", ",", "m_"}], 
    "]"}], "=", 
   RowBox[{"{", 
    RowBox[{"0", ",", " ", 
     RowBox[{
      RowBox[{
       RowBox[{"-", "\[Alpha]"}], " ", 
       RowBox[{"Tanh", "[", "x", "]"}]}], "+", 
      RowBox[{"\[Alpha]", " ", "x"}]}]}], "}"}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"eigensys", "[", 
   RowBox[{"\[Alpha]_", ",", "m_"}], "]"}], "=", 
  RowBox[{"Eigensystem", "[", 
   RowBox[{"A", "[", 
    RowBox[{"\[Alpha]", ",", "m"}], "]"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"eigensystr", "[", 
   RowBox[{"\[Alpha]_", ",", "m_"}], "]"}], "=", 
  RowBox[{"Eigensystem", "[", 
   RowBox[{"Transpose", "[", 
    RowBox[{"A", "[", 
     RowBox[{"\[Alpha]", ",", "m"}], "]"}], "]"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"q", "[", 
   RowBox[{"\[Alpha]_", ",", "m_"}], "]"}], "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"eigensys", "[", 
      RowBox[{"\[Alpha]", ",", "m"}], "]"}], "\[LeftDoubleBracket]", 
     RowBox[{"2", ",", "2"}], "\[RightDoubleBracket]"}], ",", "assump"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"v1", "[", 
     RowBox[{"\[Alpha]_", ",", "m_"}], "]"}], "=", 
    RowBox[{"FullSimplify", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"eigensystr", "[", 
        RowBox[{"\[Alpha]", ",", "m"}], "]"}], "\[LeftDoubleBracket]", 
       RowBox[{"2", ",", "1"}], "\[RightDoubleBracket]"}], ",", "assump"}], 
     "]"}]}], ";"}], 
  RowBox[{"(*", 
   RowBox[{
   "assistant", " ", "variable", " ", "for", " ", "normalizing", " ", "p"}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"c1", "[", 
    RowBox[{"\[Alpha]_", ",", "m_"}], "]"}], "=", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{"Conjugate", "[", 
      RowBox[{"1", "/", 
       RowBox[{"Simplify", "[", 
        RowBox[{
         RowBox[{"Conjugate", "[", 
          RowBox[{"v1", "[", 
           RowBox[{"\[Alpha]", ",", "m"}], "]"}], "]"}], ".", 
         RowBox[{"q", "[", 
          RowBox[{"\[Alpha]", ",", "m"}], "]"}]}], "]"}]}], "]"}], ",", 
     "assump"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"p", "[", 
   RowBox[{"\[Alpha]_", ",", "m_"}], "]"}], "=", 
  RowBox[{
   RowBox[{"Together", "[", 
    RowBox[{"FullSimplify", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"c1", "[", 
        RowBox[{"\[Alpha]", ",", "m"}], "]"}], "*", 
       RowBox[{"v1", "[", 
        RowBox[{"\[Alpha]", ",", "m"}], "]"}]}], ",", " ", "assump"}], "]"}], 
    "]"}], "/.", 
   RowBox[{
    RowBox[{"Im", "[", 
     RowBox[{"Sqrt", "[", 
      RowBox[{
       RowBox[{"m", "^", "2"}], "-", 
       RowBox[{"4", "\[Alpha]"}]}], "]"}], "]"}], "->", 
    RowBox[{"Sqrt", "[", 
     RowBox[{
      RowBox[{"4", "\[Alpha]"}], "-", 
      RowBox[{"m", "^", "2"}]}], "]"}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"FullSimplify", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Conjugate", "[", 
      RowBox[{"p", "[", 
       RowBox[{"\[Alpha]", ",", "m"}], "]"}], "]"}], ".", 
     RowBox[{"q", "[", 
      RowBox[{"\[Alpha]", ",", "m"}], "]"}]}], ",", "assump"}], "]"}], 
  RowBox[{"(*", "checking", "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"\[Mu]", "[", 
   RowBox[{"\[Alpha]_", ",", "m_"}], "]"}], "=", 
  RowBox[{"Refine", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"eigensys", "[", 
      RowBox[{"\[Alpha]", ",", "m"}], "]"}], "\[LeftDoubleBracket]", 
     RowBox[{"1", ",", "2"}], "\[RightDoubleBracket]"}], " ", ",", "assump"}],
    "]"}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.52180505303125*^9, 3.521805172953125*^9}, {
   3.521805209109375*^9, 3.5218052718125*^9}, {3.52180531971875*^9, 
   3.52180541759375*^9}, {3.521805454203125*^9, 3.52180546615625*^9}, {
   3.521805537421875*^9, 3.521805541125*^9}, {3.5218055721875*^9, 
   3.521805588078125*^9}, {3.52180575815625*^9, 3.521805870578125*^9}, 
   3.521805968296875*^9, {3.52180623940625*^9, 3.52180624884375*^9}, {
   3.521806351453125*^9, 3.5218064088125*^9}, {3.521806459765625*^9, 
   3.521806568875*^9}, {3.52180753903125*^9, 3.52180764315625*^9}, {
   3.5218076743125*^9, 3.521807700171875*^9}, {3.52180773928125*^9, 
   3.521807821171875*^9}, {3.52180792425*^9, 3.52180793546875*^9}, {
   3.521809487515625*^9, 3.521809491609375*^9}, {3.52180952184375*^9, 
   3.521809684703125*^9}, 3.5218097840625*^9, {3.5218102315*^9, 
   3.5218102675*^9}, 3.5218102980625*^9, {3.5220475085625*^9, 
   3.522047525390625*^9}, {3.535280686921875*^9, 3.53528068925*^9}, {
   3.535287609375*^9, 3.535287636546875*^9}, 3.537041100359086*^9, 
   3.53811806146875*^9, {3.53816339144623*^9, 3.538163467356572*^9}, {
   3.538163685532051*^9, 3.538163730014595*^9}, {3.538165818125028*^9, 
   3.538165936858819*^9}, {3.53822072903125*^9, 3.538220744390625*^9}, {
   3.538220796640625*^9, 3.53822079978125*^9}, {3.538220973125*^9, 
   3.538220987359375*^9}, {3.5382864382297454`*^9, 3.538286451988532*^9}, {
   3.5382865114039307`*^9, 3.538286515308154*^9}, {3.5383110176166058`*^9, 
   3.5383110628001904`*^9}, {3.538490524482377*^9, 3.5384905402842813`*^9}, {
   3.5385702865903015`*^9, 3.538570308692566*^9}, {3.538571695771902*^9, 
   3.538571764769849*^9}, {3.5385717989758053`*^9, 3.5385718318256845`*^9}, {
   3.5385834301340694`*^9, 3.538583436660443*^9}, {3.5385836571840563`*^9, 
   3.5385837349035015`*^9}, {3.5385838375683737`*^9, 3.53858384013352*^9}, {
   3.538583871812332*^9, 3.5385838775366592`*^9}, {3.53858418858545*^9, 
   3.5385841890724783`*^9}, {3.5385891531404066`*^9, 
   3.5385891536624365`*^9}, {3.5385894558527207`*^9, 3.538589461211027*^9}, {
   3.5385955680193167`*^9, 3.538595570154439*^9}, {3.538595721473094*^9, 
   3.538595721953121*^9}, {3.5385961371318684`*^9, 3.538596155766934*^9}, {
   3.5385964192350035`*^9, 3.5385964198310375`*^9}, {3.5385967326809316`*^9, 
   3.5385967331309576`*^9}, {3.5386005482281685`*^9, 
   3.5386005595618167`*^9}, {3.5386005937297707`*^9, 3.538600594691826*^9}, {
   3.5386009581986175`*^9, 3.5386009587576494`*^9}, {3.53873563809375*^9, 
   3.53873565628125*^9}, {3.538739696421875*^9, 3.538739707203125*^9}, 
   3.538741803484375*^9, {3.539060489046875*^9, 3.539060495875*^9}, {
   3.539115506720992*^9, 3.539115507623044*^9}, {3.5391876044040756`*^9, 
   3.5391876047530956`*^9}, {3.539519306703125*^9, 3.539519307140625*^9}, {
   3.539521655375*^9, 3.5395216579375*^9}, {3.539526703875*^9, 
   3.539526704171875*^9}, {3.539686087265625*^9, 3.539686087359375*^9}, {
   3.53968868953125*^9, 3.53968876290625*^9}, {3.5396888014375*^9, 
   3.53968880284375*^9}, {3.53968890734375*^9, 3.5396889131875*^9}, {
   3.539689043890625*^9, 3.5396890455625*^9}, 3.53968908565625*^9, {
   3.5397113519861245`*^9, 3.539711354637276*^9}, 3.539712386964322*^9, {
   3.5398869857127075`*^9, 3.539886988790883*^9}, {3.539927938171875*^9, 
   3.53992793846875*^9}, {3.54071442328125*^9, 3.54071442909375*^9}, 
   3.540723095515625*^9, {3.548090901480406*^9, 3.5480909433938026`*^9}, {
   3.5480909797538824`*^9, 3.5480909822020226`*^9}, {3.548095083653612*^9, 
   3.5480950897289596`*^9}, {3.5480951621681027`*^9, 
   3.5480952019593787`*^9}, {3.5480960751843243`*^9, 
   3.5480960879650555`*^9}, {3.5480962868904333`*^9, 3.548096294650877*^9}, {
   3.5480965691955805`*^9, 3.5480965697786136`*^9}, {3.5481267925180745`*^9, 
   3.5481267958932676`*^9}, {3.5481273151859694`*^9, 
   3.5481273395793643`*^9}, {3.5481275657813025`*^9, 3.548127590952742*^9}, {
   3.54812763689637*^9, 3.548127637651413*^9}, {3.5481584105735235`*^9, 
   3.548158419456032*^9}, {3.5481596600509896`*^9, 3.548159660127994*^9}, 
   3.5527311318820496`*^9, {3.552731163122093*^9, 3.552731298679084*^9}, {
   3.552731337024338*^9, 3.552731337294338*^9}, 3.5527314277468653`*^9, {
   3.552731463706916*^9, 3.5527315301502085`*^9}, 3.5527319569618998`*^9, 
   3.552732353199563*^9, {3.552732458451583*^9, 3.5527324639248962`*^9}, {
   3.552732512179656*^9, 3.552732530287692*^9}, {3.552795232793787*^9, 
   3.5527952331698084`*^9}, {3.5527952653606496`*^9, 
   3.5527952656746674`*^9}, {3.5528037317508993`*^9, 
   3.5528037355411158`*^9}, {3.55281312517515*^9, 3.55281312543515*^9}, {
   3.5533349390597544`*^9, 3.5533349399818077`*^9}, {3.5669180255678988`*^9, 
   3.566918098038*^9}, {3.56691846948352*^9, 3.566918475273528*^9}, {
   3.5669189605242076`*^9, 3.566918966654216*^9}, {3.5669190056792707`*^9, 
   3.5669190593093457`*^9}, {3.566919307544693*^9, 3.566919386149803*^9}, 
   3.5669194243198566`*^9, {3.5669194993499618`*^9, 3.5669195751250677`*^9}, {
   3.5669196762152095`*^9, 3.5669196856702228`*^9}, 3.5669200283437033`*^9, {
   3.5669201303838463`*^9, 3.5669201380738573`*^9}, {3.566920192123933*^9, 
   3.5669202114639597`*^9}, {3.5669203389141383`*^9, 3.566920414059243*^9}, {
   3.5685446659684143`*^9, 3.568544724452917*^9}, {3.568544937720892*^9, 
   3.5685449393588943`*^9}, {3.56854497126095*^9, 3.5685450208690376`*^9}, {
   3.5685453436970043`*^9, 3.5685455197277136`*^9}, {3.568545894565172*^9, 
   3.5685458947211723`*^9}, {3.568546369481206*^9, 3.568546369590406*^9}, {
   3.5685464067964716`*^9, 3.5685464069056716`*^9}, {3.568546449173745*^9, 
   3.5685464845702076`*^9}, {3.5685481162560735`*^9, 3.568548121248082*^9}, {
   3.568633827993001*^9, 3.568633830094121*^9}, {3.568636685399435*^9, 
   3.5686366855434437`*^9}, {3.5687508803511133`*^9, 
   3.5687508824861164`*^9}, {3.568784859055896*^9, 3.568784882055928*^9}, 
   3.5687849818440685`*^9, {3.568785309994528*^9, 3.568785312424532*^9}, {
   3.56878541115967*^9, 3.568785414139674*^9}, {3.5687856131249523`*^9, 
   3.568785613619953*^9}, {3.5688306640385337`*^9, 3.568830683688561*^9}, {
   3.5688321656786366`*^9, 3.568832184498663*^9}, {3.5688766117977457`*^9, 
   3.568876613812749*^9}, {3.56887724945864*^9, 3.5688772549136477`*^9}, {
   3.5688793767439528`*^9, 3.568879397314129*^9}, {3.5688795344169707`*^9, 
   3.568879535961059*^9}, {3.568913387302783*^9, 3.568913434752849*^9}, 
   3.5690621216614294`*^9, 3.5690621517694826`*^9, 3.569062182704337*^9, {
   3.56914589611557*^9, 3.569145944210455*^9}, {3.5705174497246532`*^9, 
   3.5705174787396936`*^9}, {3.573411054094922*^9, 3.5734110808399596`*^9}, {
   3.5734111726800904`*^9, 3.5734111808201017`*^9}, 3.5734115903576927`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0", ",", 
   RowBox[{
    RowBox[{"x", " ", "\[Alpha]"}], "-", 
    RowBox[{"\[Alpha]", " ", 
     RowBox[{"Tanh", "[", "x", "]"}]}]}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.568877304318717*^9, 3.5688793985582*^9, 3.568879536604096*^9, 
   3.568896722078169*^9, 3.5689007072799964`*^9, 3.5689134422128596`*^9, 
   3.5690127092567234`*^9, 3.5690621847011404`*^9, 3.569145946035658*^9, 
   3.5700392977723665`*^9, 3.570363811995384*^9, 3.570469322507406*^9, {
   3.5705174615996695`*^9, 3.5705174890047083`*^9}, 3.570958242257419*^9, 
   3.571132091449201*^9, 3.5715569737174892`*^9, {3.571652578609389*^9, 
   3.5716525864693995`*^9}, 3.5717292665960474`*^9, 3.5718291293877363`*^9, 
   3.57264400097987*^9, 3.573411932753172*^9, 3.5734179555117645`*^9, 
   3.574049884460896*^9, 3.5740518385946317`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       RowBox[{"m", "-", 
        SqrtBox[
         RowBox[{
          SuperscriptBox["m", "2"], "-", 
          RowBox[{"4", " ", "\[Alpha]"}]}]]}], ")"}]}], ",", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       RowBox[{"m", "+", 
        SqrtBox[
         RowBox[{
          SuperscriptBox["m", "2"], "-", 
          RowBox[{"4", " ", "\[Alpha]"}]}]]}], ")"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", 
        FractionBox[
         RowBox[{
          RowBox[{"-", "m"}], "-", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["m", "2"], "-", 
            RowBox[{"4", " ", "\[Alpha]"}]}]]}], 
         RowBox[{"2", " ", "\[Alpha]"}]]}], ",", "1"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"-", 
        FractionBox[
         RowBox[{
          RowBox[{"-", "m"}], "+", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["m", "2"], "-", 
            RowBox[{"4", " ", "\[Alpha]"}]}]]}], 
         RowBox[{"2", " ", "\[Alpha]"}]]}], ",", "1"}], "}"}]}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{
  3.568877304318717*^9, 3.5688793985582*^9, 3.568879536604096*^9, 
   3.568896722078169*^9, 3.5689007072799964`*^9, 3.5689134422128596`*^9, 
   3.5690127092567234`*^9, 3.5690621847011404`*^9, 3.569145946035658*^9, 
   3.5700392977723665`*^9, 3.570363811995384*^9, 3.570469322507406*^9, {
   3.5705174615996695`*^9, 3.5705174890047083`*^9}, 3.570958242257419*^9, 
   3.571132091449201*^9, 3.5715569737174892`*^9, {3.571652578609389*^9, 
   3.5716525864693995`*^9}, 3.5717292665960474`*^9, 3.5718291293877363`*^9, 
   3.57264400097987*^9, 3.573411932753172*^9, 3.5734179555117645`*^9, 
   3.574049884460896*^9, 3.5740518386396317`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       RowBox[{"m", "-", 
        SqrtBox[
         RowBox[{
          SuperscriptBox["m", "2"], "-", 
          RowBox[{"4", " ", "\[Alpha]"}]}]]}], ")"}]}], ",", 
     RowBox[{
      FractionBox["1", "2"], " ", 
      RowBox[{"(", 
       RowBox[{"m", "+", 
        SqrtBox[
         RowBox[{
          SuperscriptBox["m", "2"], "-", 
          RowBox[{"4", " ", "\[Alpha]"}]}]]}], ")"}]}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        FractionBox["1", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "m"}], "-", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["m", "2"], "-", 
            RowBox[{"4", " ", "\[Alpha]"}]}]]}], ")"}]}], ",", "1"}], "}"}], 
     ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        FractionBox["1", "2"], " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"-", "m"}], "+", 
          SqrtBox[
           RowBox[{
            SuperscriptBox["m", "2"], "-", 
            RowBox[{"4", " ", "\[Alpha]"}]}]]}], ")"}]}], ",", "1"}], "}"}]}],
     "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.568877304318717*^9, 3.5688793985582*^9, 3.568879536604096*^9, 
   3.568896722078169*^9, 3.5689007072799964`*^9, 3.5689134422128596`*^9, 
   3.5690127092567234`*^9, 3.5690621847011404`*^9, 3.569145946035658*^9, 
   3.5700392977723665`*^9, 3.570363811995384*^9, 3.570469322507406*^9, {
   3.5705174615996695`*^9, 3.5705174890047083`*^9}, 3.570958242257419*^9, 
   3.571132091449201*^9, 3.5715569737174892`*^9, {3.571652578609389*^9, 
   3.5716525864693995`*^9}, 3.5717292665960474`*^9, 3.5718291293877363`*^9, 
   3.57264400097987*^9, 3.573411932753172*^9, 3.5734179555117645`*^9, 
   3.574049884460896*^9, 3.574051838644632*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox[
    RowBox[{"m", "-", 
     SqrtBox[
      RowBox[{
       SuperscriptBox["m", "2"], "-", 
       RowBox[{"4", " ", "\[Alpha]"}]}]]}], 
    RowBox[{"2", " ", "\[Alpha]"}]], ",", "1"}], "}"}]], "Output",
 CellChangeTimes->{
  3.568877304318717*^9, 3.5688793985582*^9, 3.568879536604096*^9, 
   3.568896722078169*^9, 3.5689007072799964`*^9, 3.5689134422128596`*^9, 
   3.5690127092567234`*^9, 3.5690621847011404`*^9, 3.569145946035658*^9, 
   3.5700392977723665`*^9, 3.570363811995384*^9, 3.570469322507406*^9, {
   3.5705174615996695`*^9, 3.5705174890047083`*^9}, 3.570958242257419*^9, 
   3.571132091449201*^9, 3.5715569737174892`*^9, {3.571652578609389*^9, 
   3.5716525864693995`*^9}, 3.5717292665960474`*^9, 3.5718291293877363`*^9, 
   3.57264400097987*^9, 3.573411932753172*^9, 3.5734179555117645`*^9, 
   3.574049884460896*^9, 3.574051838754632*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   FractionBox[
    RowBox[{
     RowBox[{"(", 
      RowBox[{"m", "+", 
       SqrtBox[
        RowBox[{
         SuperscriptBox["m", "2"], "-", 
         RowBox[{"4", " ", "\[Alpha]"}]}]]}], ")"}], " ", "\[Alpha]"}], 
    RowBox[{
     SuperscriptBox["m", "2"], "-", 
     RowBox[{"4", " ", "\[Alpha]"}], "+", 
     RowBox[{"\[ImaginaryI]", " ", "m", " ", 
      SqrtBox[
       RowBox[{
        RowBox[{"-", 
         SuperscriptBox["m", "2"]}], "+", 
        RowBox[{"4", " ", "\[Alpha]"}]}]]}]}]], ",", 
   FractionBox[
    RowBox[{"2", " ", "\[Alpha]"}], 
    RowBox[{
     RowBox[{"-", 
      SuperscriptBox["m", "2"]}], "+", 
     RowBox[{"4", " ", "\[Alpha]"}], "-", 
     RowBox[{"\[ImaginaryI]", " ", "m", " ", 
      SqrtBox[
       RowBox[{
        RowBox[{"-", 
         SuperscriptBox["m", "2"]}], "+", 
        RowBox[{"4", " ", "\[Alpha]"}]}]]}]}]]}], "}"}]], "Output",
 CellChangeTimes->{
  3.568877304318717*^9, 3.5688793985582*^9, 3.568879536604096*^9, 
   3.568896722078169*^9, 3.5689007072799964`*^9, 3.5689134422128596`*^9, 
   3.5690127092567234`*^9, 3.5690621847011404`*^9, 3.569145946035658*^9, 
   3.5700392977723665`*^9, 3.570363811995384*^9, 3.570469322507406*^9, {
   3.5705174615996695`*^9, 3.5705174890047083`*^9}, 3.570958242257419*^9, 
   3.571132091449201*^9, 3.5715569737174892`*^9, {3.571652578609389*^9, 
   3.5716525864693995`*^9}, 3.5717292665960474`*^9, 3.5718291293877363`*^9, 
   3.57264400097987*^9, 3.573411932753172*^9, 3.5734179555117645`*^9, 
   3.574049884460896*^9, 3.5740518391946325`*^9}],

Cell[BoxData["1"], "Output",
 CellChangeTimes->{
  3.568877304318717*^9, 3.5688793985582*^9, 3.568879536604096*^9, 
   3.568896722078169*^9, 3.5689007072799964`*^9, 3.5689134422128596`*^9, 
   3.5690127092567234`*^9, 3.5690621847011404`*^9, 3.569145946035658*^9, 
   3.5700392977723665`*^9, 3.570363811995384*^9, 3.570469322507406*^9, {
   3.5705174615996695`*^9, 3.5705174890047083`*^9}, 3.570958242257419*^9, 
   3.571132091449201*^9, 3.5715569737174892`*^9, {3.571652578609389*^9, 
   3.5716525864693995`*^9}, 3.5717292665960474`*^9, 3.5718291293877363`*^9, 
   3.57264400097987*^9, 3.573411932753172*^9, 3.5734179555117645`*^9, 
   3.574049884460896*^9, 3.574051839459633*^9}],

Cell[BoxData[
 RowBox[{
  FractionBox["1", "2"], " ", 
  RowBox[{"(", 
   RowBox[{"m", "+", 
    RowBox[{"\[ImaginaryI]", " ", 
     SqrtBox[
      RowBox[{
       RowBox[{"-", 
        SuperscriptBox["m", "2"]}], "+", 
       RowBox[{"4", " ", "\[Alpha]"}]}]]}]}], ")"}]}]], "Output",
 CellChangeTimes->{
  3.568877304318717*^9, 3.5688793985582*^9, 3.568879536604096*^9, 
   3.568896722078169*^9, 3.5689007072799964`*^9, 3.5689134422128596`*^9, 
   3.5690127092567234`*^9, 3.5690621847011404`*^9, 3.569145946035658*^9, 
   3.5700392977723665`*^9, 3.570363811995384*^9, 3.570469322507406*^9, {
   3.5705174615996695`*^9, 3.5705174890047083`*^9}, 3.570958242257419*^9, 
   3.571132091449201*^9, 3.5715569737174892`*^9, {3.571652578609389*^9, 
   3.5716525864693995`*^9}, 3.5717292665960474`*^9, 3.5718291293877363`*^9, 
   3.57264400097987*^9, 3.573411932753172*^9, 3.5734179555117645`*^9, 
   3.574049884460896*^9, 3.574051839469633*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"FullSimplify", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Conjugate", "[", 
      RowBox[{"p", "[", 
       RowBox[{"\[Alpha]", ",", "m"}], "]"}], "]"}], ".", 
     RowBox[{"{", 
      RowBox[{"x", ",", "y"}], "}"}]}], ",", "assump"}], "]"}], ";"}], "\n", 
 RowBox[{
  RowBox[{"FullSimplify", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"%", "*", 
      RowBox[{"q", "[", 
       RowBox[{"\[Alpha]", ",", "m"}], "]"}]}], "+", 
     RowBox[{"Conjugate", "[", 
      RowBox[{"%", "*", 
       RowBox[{"q", "[", 
        RowBox[{"\[Alpha]", ",", "m"}], "]"}]}], "]"}]}], ",", 
    RowBox[{"assump", "&&", 
     RowBox[{"Element", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x", ",", "y"}], "}"}], ",", "Reals"}], "]"}]}]}], "]"}], 
  RowBox[{"(*", "checking", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.521805882140625*^9, 3.5218059091875*^9}, {
   3.52180673809375*^9, 3.5218068196875*^9}, {3.521806871578125*^9, 
   3.521806914984375*^9}, {3.5218069943125*^9, 3.52180704903125*^9}, {
   3.521807100453125*^9, 3.52180710559375*^9}, {3.521807190375*^9, 
   3.521807210953125*^9}, {3.521807279625*^9, 3.521807293546875*^9}, {
   3.521807361578125*^9, 3.5218073628125*^9}, 3.521807398875*^9, 
   3.52180748765625*^9, {3.52180785709375*^9, 3.52180787809375*^9}, {
   3.521807944109375*^9, 3.52180795525*^9}, {3.521807986828125*^9, 
   3.52180800171875*^9}, {3.521808057234375*^9, 3.52180809946875*^9}, {
   3.52180947346875*^9, 3.52180950115625*^9}, {3.5218111619375*^9, 
   3.521811388734375*^9}, {3.52181144221875*^9, 3.521811564703125*^9}, {
   3.521811715796875*^9, 3.521811720390625*^9}, {3.521868935125*^9, 
   3.521868971796875*^9}, 3.52187936828125*^9, {3.535287443828125*^9, 
   3.535287496015625*^9}, {3.535287574734375*^9, 3.535287599484375*^9}, {
   3.53528766496875*^9, 3.535287669640625*^9}, {3.535957372484375*^9, 
   3.535957419515625*^9}, 3.53598073259375*^9, {3.53598079340625*^9, 
   3.535980795671875*^9}, 3.53700894946875*^9, {3.53700935784375*^9, 
   3.537009371421875*^9}, {3.538220826265625*^9, 3.53822087909375*^9}, {
   3.53911554567222*^9, 3.5391155731227903`*^9}, {3.548095378417472*^9, 
   3.5480954014757905`*^9}, {3.5480954861836357`*^9, 
   3.5480955018465314`*^9}, {3.548096496420418*^9, 3.5480965479423647`*^9}, 
   3.5480965850364866`*^9, {3.5527313373143387`*^9, 3.552731337334338*^9}, {
   3.552731391484414*^9, 3.5527313919944153`*^9}, {3.5527326017207775`*^9, 
   3.5527326368937893`*^9}, 3.5533348521027813`*^9, {3.5685455328317366`*^9, 
   3.5685455411777515`*^9}, {3.5685457341032906`*^9, 
   3.5685457422933044`*^9}, {3.5685460804238987`*^9, 
   3.5685460958523254`*^9}, {3.5685461261475787`*^9, 
   3.5685461333547916`*^9}, {3.5734112063451376`*^9, 
   3.5734112126691494`*^9}, {3.57341160976272*^9, 3.573411614017726*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"x", ",", "y"}], "}"}]], "Output",
 CellChangeTimes->{
  3.548142901541458*^9, 3.5481596721446815`*^9, 3.548166611176571*^9, 
   3.5484154062235565`*^9, 3.549351048628763*^9, 3.549359867980135*^9, 
   3.5493609087005973`*^9, 3.55160279082135*^9, 3.5527189498993034`*^9, 
   3.5527301702972975`*^9, {3.552731385004405*^9, 3.5527313929644165`*^9}, 
   3.552732547597682*^9, {3.5527326064430475`*^9, 3.552732637493824*^9}, 
   3.552798299603198*^9, 3.5528037616846113`*^9, 3.552812544709137*^9, 
   3.5529012312705483`*^9, 3.5533292215837336`*^9, 3.553341244117383*^9, 
   3.5534010623541274`*^9, 3.5534235301813717`*^9, 3.5535381871179795`*^9, 
   3.553930763633424*^9, 3.555222923344406*^9, 3.5669200645487537`*^9, 
   3.5669202817390585`*^9, 3.5669203466741495`*^9, {3.566920396174218*^9, 
   3.5669204174942484`*^9}, 3.568544745481754*^9, {3.5685457382840977`*^9, 
   3.568545744009308*^9}, 3.568545810637025*^9, 3.5685458430226817`*^9, 
   3.568545962752892*^9, {3.5685460812195*^9, 3.5685461513416233`*^9}, 
   3.5685469576722383`*^9, 3.568546993739502*^9, 3.568633164380045*^9, 
   3.568750893591132*^9, 3.568830106747753*^9, 3.568830523478337*^9, 
   3.5688322148937054`*^9, 3.568896726813176*^9, 3.568900711195002*^9, 
   3.568913633538128*^9, 3.569062228312817*^9, 3.5691459525096693`*^9, 
   3.570039302291625*^9, 3.570363814155387*^9, 3.570469329217415*^9, 
   3.570517494439716*^9, 3.570958244242422*^9, 3.5711320933342037`*^9, 
   3.5715569757674923`*^9, 3.5716525872344007`*^9, 3.5717292683910503`*^9, 
   3.5718291365177464`*^9, 3.572644004824875*^9, 3.5734119701732244`*^9, 
   3.573417958836769*^9, 3.574051839999634*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Some calculations for Theorem 4.4.", "Section",
 CellChangeTimes->{{3.5734170110402975`*^9, 3.5734170227303143`*^9}, {
  3.57341706249537*^9, 3.573417064560373*^9}},
 FontSize->18],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"xyz", "[", 
   RowBox[{"\[Alpha]_", ",", "m_"}], "]"}], "=", 
  RowBox[{
   RowBox[{
    RowBox[{"FullSimplify", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"z", "*", 
        RowBox[{"q", "[", 
         RowBox[{"\[Alpha]", ",", "m"}], "]"}]}], "+", 
       RowBox[{"Conjugate", "[", 
        RowBox[{"z", "*", 
         RowBox[{"q", "[", 
          RowBox[{"\[Alpha]", ",", "m"}], "]"}]}], "]"}]}], ",", "assump"}], 
     "]"}], "/.", 
    RowBox[{
     SqrtBox[
      RowBox[{
       SuperscriptBox["m", "2"], "-", 
       RowBox[{"4", " ", "\[Alpha]"}]}]], " ", "\[Rule]", " ", 
     RowBox[{"\[ImaginaryI]", " ", 
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"4", "\[Alpha]"}], "-", 
        RowBox[{"m", "^", "2"}]}], "]"}]}]}]}], "/.", 
   RowBox[{
    RowBox[{"Conjugate", "[", 
     SqrtBox[
      RowBox[{
       RowBox[{"4", "\[Alpha]"}], "-", 
       SuperscriptBox["m", "2"]}]], "]"}], " ", "\[Rule]", " ", 
    RowBox[{"Sqrt", "[", 
     RowBox[{
      RowBox[{"4", "\[Alpha]"}], "-", 
      RowBox[{"m", "^", "2"}]}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.5688378085935497`*^9, 3.5688378322685833`*^9}, {
   3.5688378875336604`*^9, 3.568837907416689*^9}, {3.568838042766879*^9, 
   3.568838054541895*^9}, {3.5688380891019435`*^9, 3.56883817926707*^9}, {
   3.5688383561473174`*^9, 3.5688383654123306`*^9}, {3.5688764773795567`*^9, 
   3.5688764942095804`*^9}, {3.5688789461113806`*^9, 3.5688789484884577`*^9}, 
   3.5690622735060964`*^9, 3.5734112206051655`*^9, 3.5734116186727324`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", 
    FractionBox[
     RowBox[{
      RowBox[{"\[ImaginaryI]", " ", "z", " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"-", 
          SuperscriptBox["m", "2"]}], "+", 
         RowBox[{"4", " ", "\[Alpha]"}]}]]}], "-", 
      RowBox[{"\[ImaginaryI]", " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"-", 
          SuperscriptBox["m", "2"]}], "+", 
         RowBox[{"4", " ", "\[Alpha]"}]}]], " ", 
       RowBox[{"Conjugate", "[", "z", "]"}]}], "-", 
      RowBox[{"2", " ", "m", " ", 
       RowBox[{"Re", "[", "z", "]"}]}]}], 
     RowBox[{"2", " ", "\[Alpha]"}]]}], ",", 
   RowBox[{"2", " ", 
    RowBox[{"Re", "[", "z", "]"}]}]}], "}"}]], "Output",
 CellChangeTimes->{{3.5688378170035615`*^9, 3.5688378335785847`*^9}, {
   3.56883789472867*^9, 3.568837908561691*^9}, 3.5688380617669053`*^9, 
   3.5688381030919633`*^9, 3.5688381455620227`*^9, 3.568838180387071*^9, {
   3.56883835765232*^9, 3.5688383662823315`*^9}, 3.568876496349583*^9, 
   3.5688766210277586`*^9, 3.568878949958542*^9, 3.5688967280281773`*^9, 
   3.5689007121650033`*^9, 3.568913636588132*^9, 3.569062233554426*^9, 
   3.569062274098898*^9, 3.569145965083291*^9, 3.57003930289666*^9, 
   3.570363814365387*^9, 3.570469333472421*^9, 3.5705174964997187`*^9, 
   3.5709582444474225`*^9, 3.571132093594204*^9, 3.5715569759824924`*^9, 
   3.571652587449401*^9, 3.5717292686110506`*^9, 3.5718291371727476`*^9, 
   3.572644005294876*^9, 3.5734120025182695`*^9, 3.5734179613167725`*^9, 
   3.574049962561005*^9, 3.574051840214634*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"zxy", "[", 
   RowBox[{"\[Alpha]_", ",", "m_"}], "]"}], "=", 
  RowBox[{
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Conjugate", "[", 
       RowBox[{"p", "[", 
        RowBox[{"\[Alpha]", ",", "m"}], "]"}], "]"}], ".", 
      RowBox[{"{", 
       RowBox[{"x", ",", "y"}], "}"}]}], ",", "assump"}], "]"}], "/.", 
   RowBox[{
    RowBox[{"Conjugate", "[", 
     SqrtBox[
      RowBox[{
       SuperscriptBox["m", "2"], "-", 
       RowBox[{"4", " ", "\[Alpha]"}]}]], "]"}], "\[Rule]", " ", 
    RowBox[{
     RowBox[{"-", "\[ImaginaryI]"}], " ", 
     RowBox[{"Sqrt", "[", 
      RowBox[{
       RowBox[{"4", "\[Alpha]"}], "-", 
       RowBox[{"m", "^", "2"}]}], "]"}]}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"zxymax", "[", 
   RowBox[{"\[Alpha]_", ",", "m_"}], "]"}], "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Abs", "[", 
      RowBox[{"\[Alpha]", "/", 
       RowBox[{"(", 
        RowBox[{
         SuperscriptBox["m", "2"], "-", 
         RowBox[{"4", " ", "\[Alpha]"}], "-", 
         RowBox[{"\[ImaginaryI]", " ", "m", " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"-", 
             SuperscriptBox["m", "2"]}], "+", 
            RowBox[{"4", " ", "\[Alpha]"}]}]]}]}], ")"}]}], "]"}], "*", 
     RowBox[{"Sqrt", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"(", 
         RowBox[{"2", "+", "m"}], ")"}], "^", "2"}], "+", 
       RowBox[{"(", 
        RowBox[{
         RowBox[{"4", "\[Alpha]"}], "-", 
         RowBox[{"m", "^", "2"}]}], ")"}]}], "]"}]}], ",", "assump"}], 
   "]"}]}]}], "Input",
 CellChangeTimes->{{3.5688769006881523`*^9, 3.5688769782532606`*^9}, {
  3.568877123973465*^9, 3.5688771931785617`*^9}, {3.573411244889208*^9, 
  3.573411249904215*^9}, {3.5734116250627413`*^9, 3.573411626507743*^9}, {
  3.574051690549424*^9, 3.5740516913794255`*^9}}],

Cell[BoxData[
 FractionBox[
  RowBox[{"\[Alpha]", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"m", " ", "x"}], "-", 
     RowBox[{"2", " ", "y"}], "-", 
     RowBox[{"\[ImaginaryI]", " ", "x", " ", 
      SqrtBox[
       RowBox[{
        RowBox[{"-", 
         SuperscriptBox["m", "2"]}], "+", 
        RowBox[{"4", " ", "\[Alpha]"}]}]]}]}], ")"}]}], 
  RowBox[{
   SuperscriptBox["m", "2"], "-", 
   RowBox[{"4", " ", "\[Alpha]"}], "-", 
   RowBox[{"\[ImaginaryI]", " ", "m", " ", 
    SqrtBox[
     RowBox[{
      RowBox[{"-", 
       SuperscriptBox["m", "2"]}], "+", 
      RowBox[{"4", " ", "\[Alpha]"}]}]]}]}]]], "Output",
 CellChangeTimes->{{3.568876964058241*^9, 3.5688769794182625`*^9}, {
   3.5688771310234747`*^9, 3.568877145753495*^9}, 3.568877194003563*^9, 
   3.568877316483734*^9, 3.568896729053179*^9, 3.568900713265005*^9, 
   3.568913702523224*^9, 3.5690623013833456`*^9, 3.5691459787957153`*^9, 
   3.5700393033556857`*^9, 3.5703638148153877`*^9, 3.570469338962429*^9, 
   3.5705176649999547`*^9, 3.5709582445224223`*^9, 3.5711320937092047`*^9, 
   3.571556976052492*^9, 3.5716525875144014`*^9, 3.5717292687660503`*^9, 
   3.5718291373577476`*^9, 3.572644005419876*^9, 3.573412081778381*^9, 
   3.5734179618617735`*^9, 3.5740499642160077`*^9, 3.5740516934844284`*^9, 
   3.574051840234634*^9}],

Cell[BoxData[
 SqrtBox[
  FractionBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{"1", "+", "m", "+", "\[Alpha]"}], ")"}]}], 
   RowBox[{
    RowBox[{"-", 
     SuperscriptBox["m", "2"]}], "+", 
    RowBox[{"4", " ", "\[Alpha]"}]}]]]], "Output",
 CellChangeTimes->{{3.568876964058241*^9, 3.5688769794182625`*^9}, {
   3.5688771310234747`*^9, 3.568877145753495*^9}, 3.568877194003563*^9, 
   3.568877316483734*^9, 3.568896729053179*^9, 3.568900713265005*^9, 
   3.568913702523224*^9, 3.5690623013833456`*^9, 3.5691459787957153`*^9, 
   3.5700393033556857`*^9, 3.5703638148153877`*^9, 3.570469338962429*^9, 
   3.5705176649999547`*^9, 3.5709582445224223`*^9, 3.5711320937092047`*^9, 
   3.571556976052492*^9, 3.5716525875144014`*^9, 3.5717292687660503`*^9, 
   3.5718291373577476`*^9, 3.572644005419876*^9, 3.573412081778381*^9, 
   3.5734179618617735`*^9, 3.5740499642160077`*^9, 3.5740516934844284`*^9, 
   3.574051840344634*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MaxValue", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"zxymax", "[", 
      RowBox[{"\[Alpha]", ",", "m"}], "]"}], ",", 
     RowBox[{
      RowBox[{"1", "\[GreaterEqual]", " ", "\[Alpha]", "\[GreaterEqual]", " ", 
       RowBox[{"1", "/", "2"}]}], "&&", 
      RowBox[{
      "1", "\[GreaterEqual]", " ", "m", "\[GreaterEqual]", " ", "0"}]}]}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Alpha]", ",", "m"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 FractionBox[
  SqrtBox["5"], "2"]], "Output",
 CellChangeTimes->{3.5740517168594613`*^9, 3.5740518403746343`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"ap2", "[", 
    RowBox[{"\[Alpha]_", ",", "m_"}], "]"}], "=", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{"\[Alpha]", " ", 
      RowBox[{"Abs", "[", 
       RowBox[{
        RowBox[{"p", "[", 
         RowBox[{"\[Alpha]", ",", "m"}], "]"}], "[", 
        RowBox[{"[", "2", "]"}], "]"}], "]"}]}], ",", "assump"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ap2", "[", 
   RowBox[{"\[Alpha]", ",", "m"}], "]"}], "*", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"\[Alpha]", " ", "x"}], " ", "-", " ", 
    RowBox[{"\[Alpha]", " ", 
     RowBox[{"Tanh", "[", "x", "]"}]}]}], ")"}]}]}], "Input",
 CellChangeTimes->{{3.5705142193411245`*^9, 3.5705142471371636`*^9}, {
   3.5705142865172186`*^9, 3.5705143172522616`*^9}, {3.570533929247386*^9, 
   3.5705339342023926`*^9}, {3.5734115513696375`*^9, 3.573411556299644*^9}, 
   3.5734170014702845`*^9, 3.573417091845411*^9}],

Cell[BoxData[
 RowBox[{
  SqrtBox[
   RowBox[{"-", 
    FractionBox[
     SuperscriptBox["\[Alpha]", "3"], 
     RowBox[{
      SuperscriptBox["m", "2"], "-", 
      RowBox[{"4", " ", "\[Alpha]"}]}]]}]], " ", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"x", " ", "\[Alpha]"}], "-", 
    RowBox[{"\[Alpha]", " ", 
     RowBox[{"Tanh", "[", "x", "]"}]}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.570514291667226*^9, 3.5705143742523413`*^9, 
  3.5709582602174444`*^9, 3.5711321094892263`*^9, 3.571556991207514*^9, 
  3.5716526027594223`*^9, 3.5717292852210736`*^9, 3.5718291787378054`*^9, 
  3.5726440450349317`*^9, 3.5734164287744803`*^9, 3.5734179592717695`*^9, 
  3.574049903065922*^9, 3.574051840474634*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Series", "[", 
  RowBox[{
   RowBox[{"Tanh", "[", "x", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "5"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.570514328197277*^9, 3.57051435169731*^9}, {
  3.570533856567284*^9, 3.5705338838923225`*^9}, {3.5734115608446503`*^9, 
  3.5734115626896524`*^9}, {3.5734164587295227`*^9, 3.5734164601945243`*^9}}],

Cell[BoxData[
 InterpretationBox[
  RowBox[{"x", "-", 
   FractionBox[
    SuperscriptBox["x", "3"], "3"], "+", 
   FractionBox[
    RowBox[{"2", " ", 
     SuperscriptBox["x", "5"]}], "15"], "+", 
   InterpretationBox[
    SuperscriptBox[
     RowBox[{"O", "[", "x", "]"}], "6"],
    SeriesData[$CellContext`x, 0, {}, 1, 6, 1],
    Editable->False]}],
  SeriesData[$CellContext`x, 0, {1, 0, 
    Rational[-1, 3], 0, 
    Rational[2, 15]}, 1, 6, 1],
  Editable->False]], "Output",
 CellChangeTimes->{{3.570514335382287*^9, 3.570514352172311*^9}, {
   3.570533857162285*^9, 3.570533884307323*^9}, 3.5709582602674446`*^9, 
   3.5711321095392265`*^9, 3.571556991247514*^9, 3.5716526028144226`*^9, 
   3.5717292852760735`*^9, 3.5718291790278063`*^9, 3.572644045149932*^9, {
   3.5734164455245037`*^9, 3.5734164622745275`*^9}, 3.5734179597717705`*^9, 
   3.5740499070959277`*^9, 3.5740518405346346`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"D3tanh", "[", "x_", "]"}], "=", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"Tanh", "[", "x", "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", "3"}], "}"}]}], "]"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.570514441177435*^9, 3.5705144572124577`*^9}, {
   3.5705145029425216`*^9, 3.570514506762527*^9}, {3.570514705007805*^9, 
   3.5705147107528124`*^9}, {3.5734115679946604`*^9, 3.5734115715996656`*^9}, 
   3.5734164829545565`*^9}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MaxValue", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"Abs", "[", 
      RowBox[{"D3tanh", "[", "x", "]"}], "]"}], ",", 
     RowBox[{
      RowBox[{"-", "1"}], "\[LessEqual]", " ", "x", "\[LessEqual]", "1"}]}], 
    "}"}], ",", "x"}], "]"}]], "Input",
 CellChangeTimes->{{3.5734164998695803`*^9, 3.5734166065897317`*^9}}],

Cell[BoxData["2"], "Output",
 CellChangeTimes->{{3.5734165784246902`*^9, 3.573416608224734*^9}, 
   3.573417960536772*^9, 3.574049911570934*^9, 3.574051840804635*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MaxValue", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"Sqrt", "[", 
       RowBox[{
        RowBox[{"\[Alpha]", "^", "5"}], "/", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"4", "\[Alpha]"}], "-", 
          RowBox[{"m", "^", "2"}]}], ")"}]}], "]"}], "/", "3"}], ",", 
     RowBox[{
      RowBox[{"1", "\[GreaterEqual]", " ", "\[Alpha]", "\[GreaterEqual]", " ", 
       RowBox[{"1", "/", "2"}]}], "&&", 
      RowBox[{"1", "\[GreaterEqual]", "m", "\[GreaterEqual]", " ", "0"}]}]}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Alpha]", ",", "m"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.571048134009754*^9, 3.5710482053948545`*^9}, {
  3.5710492127462645`*^9, 3.571049215536268*^9}, {3.573416699464862*^9, 
  3.573416700964864*^9}}],

Cell[BoxData[
 FractionBox["1", 
  RowBox[{"3", " ", 
   SqrtBox["3"]}]]], "Output",
 CellChangeTimes->{3.571048206669856*^9, 3.57104921656627*^9, 
  3.5711321099892273`*^9, 3.5715569916475143`*^9, 3.5716526033244233`*^9, 
  3.571729285661074*^9, 3.5718291804628077`*^9, 3.572644046224933*^9, 
  3.573416702109865*^9, 3.573417960706772*^9, 3.574049912450935*^9, 
  3.574051840854635*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Calculations for Theorem 4.5", "Section",
 CellChangeTimes->{{3.5734171783555317`*^9, 3.5734171856955423`*^9}},
 FontSize->18],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"MaxValue", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"zxymax", "[", 
       RowBox[{"\[Alpha]", ",", "m"}], "]"}], ",", "dom"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Alpha]", ",", "m"}], "}"}]}], "]"}], "<", 
  RowBox[{"101", "/", "100"}]}]], "Input",
 CellChangeTimes->{{3.568877713898301*^9, 3.568877788343405*^9}, {
   3.568878657688881*^9, 3.568878758496258*^9}, {3.5689137122032375`*^9, 
   3.568913723238253*^9}, {3.568913754038296*^9, 3.5689137632233095`*^9}, 
   3.569012695696705*^9, {3.569012744721773*^9, 3.5690127769168186`*^9}, 
   3.5690623135357666`*^9, {3.5704693109873896`*^9, 3.5704693119373913`*^9}, {
   3.5704693512574463`*^9, 3.570469352082447*^9}, {3.5704694444575768`*^9, 
   3.5704694792976255`*^9}, {3.5704699094932275`*^9, 
   3.5704699131982327`*^9}, {3.570517700215004*^9, 3.570517709380017*^9}, {
   3.574050548326825*^9, 3.574050670171996*^9}, {3.5740516807094107`*^9, 
   3.5740517104444523`*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{
  3.5688776981482787`*^9, {3.5688777426583414`*^9, 3.568877751408353*^9}, 
   3.568877789903407*^9, 3.568878699871355*^9, {3.56887875397225*^9, 
   3.5688787598222604`*^9}, 3.5688967295481796`*^9, 3.5689007136950054`*^9, {
   3.5689137085632324`*^9, 3.5689137242882547`*^9}, {3.5689137593733034`*^9, 
   3.568913764418311*^9}, {3.5690126977717075`*^9, 3.569012715711733*^9}, 
   3.5690127780718203`*^9, 3.569062314456168*^9, 3.569145985519327*^9, 
   3.5700393037177067`*^9, 3.570363814975388*^9, {3.570469315097396*^9, 
   3.570469352367448*^9}, {3.570469466997608*^9, 3.5704694798326263`*^9}, 
   3.570469914708235*^9, {3.570517697075*^9, 3.570517710325018*^9}, 
   3.5709582446274223`*^9, 3.5711320938242044`*^9, 3.5715569761824927`*^9, 
   3.5716525876344013`*^9, 3.571729268931051*^9, 3.571829137657748*^9, 
   3.5726440056398764`*^9, 3.573412132723452*^9, 3.5734179622017736`*^9, 
   3.5740499657360096`*^9, 3.5740505749318624`*^9, 3.57405063754195*^9, 
   3.574051840884635*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"g", "[", 
   RowBox[{"z_", ",", " ", "zconj_", ",", "\[Alpha]_", ",", "m_"}], "]"}], 
  "=", 
  RowBox[{
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Conjugate", "[", 
       RowBox[{"p", "[", 
        RowBox[{"\[Alpha]", ",", "m"}], "]"}], "]"}], ".", 
      RowBox[{"F", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"z", "*", 
          RowBox[{"q", "[", 
           RowBox[{"\[Alpha]", ",", "m"}], "]"}]}], "+", 
         RowBox[{"zconj", "*", 
          RowBox[{"Conjugate", "[", 
           RowBox[{"q", "[", 
            RowBox[{"\[Alpha]", ",", "m"}], "]"}], "]"}]}]}], ",", " ", 
        "\[Alpha]", ",", "m"}], "]"}]}], ",", "assump"}], "]"}], "/.", 
   RowBox[{
    RowBox[{"Conjugate", "[", 
     SqrtBox[
      RowBox[{
       SuperscriptBox["m", "2"], "-", 
       RowBox[{"4", " ", "\[Alpha]"}]}]], "]"}], "->", 
    RowBox[{
     RowBox[{"-", "\[ImaginaryI]"}], " ", 
     RowBox[{"Sqrt", "[", 
      RowBox[{
       RowBox[{"4", "\[Alpha]"}], "-", 
       RowBox[{"m", "^", "2"}]}], "]"}]}]}]}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"gD10", "[", 
    RowBox[{"z_", ",", " ", "zconj_", ",", "\[Alpha]_", ",", "m_"}], "]"}], 
   "=", 
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"g", "[", 
      RowBox[{"z", ",", "zconj", ",", "\[Alpha]", ",", "m"}], "]"}], ",", 
     "z"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"gD01", "[", 
    RowBox[{"z_", ",", " ", "zconj_", ",", "\[Alpha]_", ",", "m_"}], "]"}], 
   "=", 
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"g", "[", 
      RowBox[{"z", ",", "zconj", ",", "\[Alpha]", ",", "m"}], "]"}], ",", 
     "zconj"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"{", 
   RowBox[{
    RowBox[{"gD10", "[", 
     RowBox[{"0", ",", "0", ",", "\[Alpha]", ",", "m"}], "]"}], ",", 
    RowBox[{"gD01", "[", 
     RowBox[{"0", ",", "0", ",", "\[Alpha]", ",", "m"}], "]"}]}], "}"}], " ", 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"gD20", "[", 
    RowBox[{"z_", ",", " ", "zconj_", ",", "\[Alpha]_", ",", "m_"}], "]"}], 
   "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"g", "[", 
       RowBox[{"z", ",", "zconj", ",", "\[Alpha]", ",", "m"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", "2"}], "}"}]}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"gD11", "[", 
    RowBox[{"z_", ",", " ", "zconj_", ",", "\[Alpha]_", ",", "m_"}], "]"}], 
   "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"g", "[", 
       RowBox[{"z", ",", "zconj", ",", "\[Alpha]", ",", "m"}], "]"}], ",", 
      "z", ",", "zconj"}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"gD02", "[", 
     RowBox[{"z_", ",", " ", "zconj_", ",", "\[Alpha]_", ",", "m_"}], "]"}], 
    "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"g", "[", 
        RowBox[{"z", ",", "zconj", ",", "\[Alpha]", ",", "m"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"zconj", ",", "2"}], "}"}]}], "]"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"gD30", "[", 
    RowBox[{"z_", ",", "zconj_", ",", "\[Alpha]_", ",", "m_"}], "]"}], "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"g", "[", 
       RowBox[{"z", ",", "zconj", ",", "\[Alpha]", ",", "m"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", "3"}], "}"}]}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"gD21", "[", 
    RowBox[{"z_", ",", "zconj_", ",", "\[Alpha]_", ",", "m_"}], "]"}], "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"g", "[", 
       RowBox[{"z", ",", "zconj", ",", "\[Alpha]", ",", "m"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"z", ",", "2"}], "}"}], ",", "zconj"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"gD12", "[", 
    RowBox[{"z_", ",", "zconj_", ",", "\[Alpha]_", ",", "m_"}], "]"}], "=", 
   RowBox[{"Simplify", "[", 
    RowBox[{"D", "[", 
     RowBox[{
      RowBox[{"g", "[", 
       RowBox[{"z", ",", "zconj", ",", "\[Alpha]", ",", "m"}], "]"}], ",", 
      "z", ",", 
      RowBox[{"{", 
       RowBox[{"zconj", ",", "2"}], "}"}]}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"gD03", "[", 
     RowBox[{"z_", ",", "zconj_", ",", "\[Alpha]_", ",", "m_"}], "]"}], "=", 
    RowBox[{"Simplify", "[", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"g", "[", 
        RowBox[{"z", ",", "zconj", ",", "\[Alpha]", ",", "m"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"zconj", ",", "3"}], "}"}]}], "]"}], "]"}]}], ";"}], 
  "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"gD40", "[", 
    RowBox[{"z_", ",", "zconj_", ",", "\[Alpha]_", ",", "m_"}], "]"}], "=", 
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"g", "[", 
      RowBox[{"z", ",", "zconj", ",", "\[Alpha]", ",", "m"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"z", ",", "4"}], "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"gD31", "[", 
    RowBox[{"z_", ",", "zconj_", ",", "\[Alpha]_", ",", "m_"}], "]"}], "=", 
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"g", "[", 
      RowBox[{"z", ",", "zconj", ",", "\[Alpha]", ",", "m"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"z", ",", "3"}], "}"}], ",", "zconj"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"gD22", "[", 
    RowBox[{"z_", ",", "zconj_", ",", "\[Alpha]_", ",", "m_"}], "]"}], "=", 
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"g", "[", 
      RowBox[{"z", ",", "zconj", ",", "\[Alpha]", ",", "m"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"z", ",", "2"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"zconj", ",", "2"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"gD13", "[", 
    RowBox[{"z_", ",", "zconj_", ",", "\[Alpha]_", ",", "m_"}], "]"}], "=", 
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"g", "[", 
      RowBox[{"z", ",", "zconj", ",", "\[Alpha]", ",", "m"}], "]"}], ",", "z",
      ",", 
     RowBox[{"{", 
      RowBox[{"zconj", ",", "3"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"gD04", "[", 
    RowBox[{"z_", ",", "zconj_", ",", "\[Alpha]_", ",", "m_"}], "]"}], "=", 
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"g", "[", 
      RowBox[{"z", ",", "zconj", ",", "\[Alpha]", ",", "m"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"zconj", ",", "4"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.535956087953125*^9, 3.535956263765625*^9}, {
   3.535980301828125*^9, 3.535980321296875*^9}, {3.536490901578125*^9, 
   3.536490902765625*^9}, 3.538115855296875*^9, {3.538135061265625*^9, 
   3.53813506378125*^9}, {3.538826273359375*^9, 3.538826297*^9}, {
   3.53882635778125*^9, 3.538826367125*^9}, 3.538826418515625*^9, {
   3.53906009240625*^9, 3.539060093578125*^9}, {3.540548609234375*^9, 
   3.540548616421875*^9}, {3.548095435597742*^9, 3.5480954483814735`*^9}, {
   3.5480955304511676`*^9, 3.548095613413913*^9}, {3.54809564885894*^9, 
   3.5480956930054655`*^9}, {3.5480965921218915`*^9, 
   3.5480966048476195`*^9}, {3.548096639353593*^9, 3.548096644128866*^9}, {
   3.5481656666865497`*^9, 3.5481656734829383`*^9}, {3.5527189587508097`*^9, 
   3.5527189611639476`*^9}, {3.5527313373543386`*^9, 
   3.5527313377643394`*^9}, {3.553334890299966*^9, 3.5533349049438033`*^9}, 
   3.566920824992826*^9, {3.5669209636030197`*^9, 3.5669209653430223`*^9}, {
   3.5669210187830973`*^9, 3.5669210345821247`*^9}, {3.5685461595472374`*^9, 
   3.5685462385145764`*^9}, {3.568546309748701*^9, 3.568546369434406*^9}, {
   3.568546406593671*^9, 3.568546406765271*^9}, {3.5685464493141456`*^9, 
   3.568546484804208*^9}, {3.568546561337942*^9, 3.568546561759143*^9}, 
   3.568546597576806*^9, 3.5685469236173787`*^9, {3.568546979449877*^9, 
   3.5685469795746765`*^9}, {3.5734121536134815`*^9, 3.5734122243885803`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"m", " ", 
       RowBox[{"(", 
        RowBox[{"z", "+", "zconj"}], ")"}]}], "-", 
      RowBox[{"z", " ", 
       SqrtBox[
        RowBox[{
         SuperscriptBox["m", "2"], "-", 
         RowBox[{"4", " ", "\[Alpha]"}]}]]}], "+", 
      RowBox[{"\[ImaginaryI]", " ", "zconj", " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"-", 
          SuperscriptBox["m", "2"]}], "+", 
         RowBox[{"4", " ", "\[Alpha]"}]}]]}], "+", 
      RowBox[{"2", " ", "\[Alpha]", " ", 
       RowBox[{"Tanh", "[", 
        FractionBox[
         RowBox[{
          RowBox[{
           RowBox[{"-", "m"}], " ", 
           RowBox[{"(", 
            RowBox[{"z", "+", "zconj"}], ")"}]}], "+", 
          RowBox[{"z", " ", 
           SqrtBox[
            RowBox[{
             SuperscriptBox["m", "2"], "-", 
             RowBox[{"4", " ", "\[Alpha]"}]}]]}], "-", 
          RowBox[{"\[ImaginaryI]", " ", "zconj", " ", 
           SqrtBox[
            RowBox[{
             RowBox[{"-", 
              SuperscriptBox["m", "2"]}], "+", 
             RowBox[{"4", " ", "\[Alpha]"}]}]]}]}], 
         RowBox[{"2", " ", "\[Alpha]"}]], "]"}]}]}], ")"}]}], ")"}], "/", 
  RowBox[{"(", 
   RowBox[{
    RowBox[{"-", 
     SuperscriptBox["m", "2"]}], "+", 
    RowBox[{"4", " ", "\[Alpha]"}], "+", 
    RowBox[{"\[ImaginaryI]", " ", "m", " ", 
     SqrtBox[
      RowBox[{
       RowBox[{"-", 
        SuperscriptBox["m", "2"]}], "+", 
       RowBox[{"4", " ", "\[Alpha]"}]}]]}]}], ")"}]}]], "Output",
 CellChangeTimes->{3.5734178811466603`*^9, 3.573417969781784*^9, 
  3.5740518440996394`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"FullSimplify", "[", 
  RowBox[{
   RowBox[{"g", "[", 
    RowBox[{
     RowBox[{"rez", "+", 
      RowBox[{"\[ImaginaryI]", " ", "imz"}]}], ",", 
     RowBox[{"rez", "-", 
      RowBox[{"\[ImaginaryI]", " ", "imz"}]}], ",", "\[Alpha]", ",", "m"}], 
    "]"}], ",", 
   RowBox[{"assump", "&&", " ", 
    RowBox[{"Element", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"rez", ",", "imz"}], "}"}], ",", "Reals"}], "]"}]}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.5740532283575773`*^9, 3.574053256222616*^9}, {
  3.574053301007679*^9, 3.574053343117738*^9}, {3.5740534668429112`*^9, 
  3.574053526412995*^9}, {3.5740538382584314`*^9, 3.57405390124852*^9}}],

Cell[BoxData[
 FractionBox[
  RowBox[{"2", " ", "\[Alpha]", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"m", " ", "rez"}], "+", 
     RowBox[{"imz", " ", 
      SqrtBox[
       RowBox[{
        RowBox[{"-", 
         SuperscriptBox["m", "2"]}], "+", 
        RowBox[{"4", " ", "\[Alpha]"}]}]]}], "-", 
     RowBox[{"\[Alpha]", " ", 
      RowBox[{"Tanh", "[", 
       FractionBox[
        RowBox[{
         RowBox[{"m", " ", "rez"}], "+", 
         RowBox[{"imz", " ", 
          SqrtBox[
           RowBox[{
            RowBox[{"-", 
             SuperscriptBox["m", "2"]}], "+", 
            RowBox[{"4", " ", "\[Alpha]"}]}]]}]}], "\[Alpha]"], "]"}]}]}], 
    ")"}]}], 
  RowBox[{
   RowBox[{"-", 
    SuperscriptBox["m", "2"]}], "+", 
   RowBox[{"4", " ", "\[Alpha]"}], "+", 
   RowBox[{"\[ImaginaryI]", " ", "m", " ", 
    SqrtBox[
     RowBox[{
      RowBox[{"-", 
       SuperscriptBox["m", "2"]}], "+", 
      RowBox[{"4", " ", "\[Alpha]"}]}]]}]}]]], "Output",
 CellChangeTimes->{
  3.5734178811466603`*^9, 3.573417969781784*^9, 3.5740518440996394`*^9, 
   3.574053275207643*^9, 3.574053346657743*^9, {3.5740535213429875`*^9, 
   3.5740535305530005`*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["h(w) can be found in the following form", "Subsubsection",
 CellChangeTimes->{{3.5734123380187397`*^9, 3.5734123999218287`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"h", "[", "w_", "]"}], "=", 
   RowBox[{"w", "+", 
    RowBox[{"H20", " ", 
     RowBox[{
      RowBox[{"w", "^", "2"}], "/", "2"}]}], " ", "+", " ", 
    RowBox[{"H11", " ", "*", "w", "*", " ", 
     RowBox[{"Conjugate", "[", "w", "]"}]}], " ", "+", " ", 
    RowBox[{"H02", "*", 
     RowBox[{
      RowBox[{
       RowBox[{"Conjugate", "[", "w", "]"}], "^", "2"}], "/", "2"}]}], " ", 
    "+", 
    RowBox[{
     RowBox[{"H30", "/", "6"}], " ", 
     RowBox[{"w", "^", "3"}]}], " ", "+", "  ", 
    RowBox[{
     RowBox[{"H12", "/", "2"}], " ", "w", " ", 
     RowBox[{
      RowBox[{"Conjugate", "[", "w", "]"}], "^", "2"}]}]}]}], " ", 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"G3", "[", "z_", "]"}], "=", 
    RowBox[{
     RowBox[{"mu", " ", "z"}], " ", "+", " ", 
     RowBox[{
      RowBox[{"G20", "/", "2"}], 
      RowBox[{"z", "^", "2"}]}], "+", 
     RowBox[{"G11", " ", "z", " ", 
      RowBox[{"Conjugate", "[", "z", "]"}]}], " ", "+", 
     RowBox[{
      RowBox[{"G02", "/", "2"}], " ", 
      RowBox[{
       RowBox[{"Conjugate", "[", "z", "]"}], "^", "2"}]}], " ", "+", " ", 
     RowBox[{
      RowBox[{"G30", "/", "6"}], " ", 
      RowBox[{"z", "^", "3"}]}], " ", "+", "  ", 
     RowBox[{
      RowBox[{"G21", "/", "2"}], " ", 
      RowBox[{"z", "^", "2"}], " ", 
      RowBox[{"Conjugate", "[", "z", "]"}]}], "+", 
     RowBox[{
      RowBox[{"G12", "/", "2"}], " ", "z", " ", 
      RowBox[{
       RowBox[{"Conjugate", "[", "z", "]"}], "^", "2"}]}], " ", "+", " ", 
     RowBox[{
      RowBox[{"G03", "/", "6"}], " ", 
      RowBox[{
       RowBox[{"Conjugate", "[", "z", "]"}], "^", "3"}]}]}]}], " ", ";"}], 
  " ", 
  RowBox[{"(*", 
   RowBox[{
   "G", " ", "up", " ", "to", " ", "the", " ", "3", "rd", " ", "order", " ", 
    "terms"}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"G3h", "[", 
   RowBox[{"w_", ",", "conjw_"}], "]"}], "=", 
  RowBox[{"Total", "[", 
   RowBox[{"Flatten", "[", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"CoefficientList", "[", 
         RowBox[{
          RowBox[{
           RowBox[{"FunctionExpand", "[", 
            RowBox[{"G3", "[", 
             RowBox[{"h", "[", "w", "]"}], "]"}], "]"}], "/.", " ", 
           RowBox[{
            RowBox[{"Conjugate", "[", "w", "]"}], "\[Rule]", " ", "conjw"}]}],
           ",", 
          RowBox[{"{", 
           RowBox[{"w", ",", "conjw"}], "}"}]}], "]"}], 
        "\[LeftDoubleBracket]", 
        RowBox[{
         RowBox[{"i", "+", "1"}], ",", 
         RowBox[{"j", "+", "1"}]}], "\[RightDoubleBracket]"}], 
       RowBox[{"w", "^", "i"}], " ", 
       RowBox[{"conjw", "^", "j"}]}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "0", ",", "3"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"j", ",", "0", ",", 
        RowBox[{"3", "-", "i"}]}], "}"}]}], "]"}], "]"}], 
   "]"}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.5390621903125*^9, 3.539062244984375*^9}, {
   3.539062275078125*^9, 3.539062576984375*^9}, {3.539062664359375*^9, 
   3.539062835296875*^9}, {3.539070105578125*^9, 3.539070105734375*^9}, {
   3.539070160453125*^9, 3.53907018371875*^9}, {3.53907023446875*^9, 
   3.5390702360625*^9}, {3.53907027575*^9, 3.539070279*^9}, {
   3.5390710840625*^9, 3.539071097640625*^9}, {3.539071147484375*^9, 
   3.53907119671875*^9}, {3.539071247859375*^9, 3.5390712708125*^9}, {
   3.539071360703125*^9, 3.539071497546875*^9}, {3.539071527671875*^9, 
   3.539071681265625*^9}, {3.5390717294375*^9, 3.53907174*^9}, {
   3.539071782109375*^9, 3.5390718499375*^9}, {3.539072039671875*^9, 
   3.53907203971875*^9}, {3.539072095625*^9, 3.539072117953125*^9}, {
   3.539072244796875*^9, 3.53907224659375*^9}, {3.539072359265625*^9, 
   3.539072361078125*^9}, {3.53907245346875*^9, 3.539072467453125*^9}, {
   3.53907936325*^9, 3.539079363828125*^9}, {3.53917124095814*^9, 
   3.5391712776272373`*^9}, {3.539171331015291*^9, 3.5391713318623395`*^9}, {
   3.5391714037804527`*^9, 3.5391717753467054`*^9}, {3.5391718721282406`*^9, 
   3.5391719111404724`*^9}, {3.539172145319866*^9, 3.5391721531363134`*^9}, {
   3.5391722519869676`*^9, 3.539172260170436*^9}, {3.5391725408274884`*^9, 
   3.539172549821003*^9}, {3.5391725877401714`*^9, 3.5391725902733164`*^9}, {
   3.5391726257633467`*^9, 3.5391726392011147`*^9}, {3.5391727069239883`*^9, 
   3.539172708560082*^9}, 3.539172741759981*^9, {3.539173356688153*^9, 
   3.5391733839257107`*^9}, {3.5391737567920375`*^9, 3.539173757130057*^9}, {
   3.539173890022658*^9, 3.539173954956372*^9}, {3.539176757762683*^9, 
   3.5391767619259214`*^9}, 3.5391787308685384`*^9, {3.539180165839614*^9, 
   3.5391801732220364`*^9}, {3.539180317387282*^9, 3.5391803512882214`*^9}, {
   3.539180969694592*^9, 3.5391809713086843`*^9}, {3.539181591078133*^9, 
   3.5391816192707453`*^9}, {3.5391821246216497`*^9, 3.539182148378009*^9}, {
   3.539182391579919*^9, 3.539182413541175*^9}, {3.5391825923064003`*^9, 
   3.5391826228321457`*^9}, 3.5391852702795715`*^9, {3.539185447990736*^9, 
   3.539185451577941*^9}, 3.5391856304291706`*^9, {3.53942683815625*^9, 
   3.539426841859375*^9}, 3.539426956625*^9, {3.539667200703125*^9, 
   3.53966720553125*^9}, {3.539942085765625*^9, 3.539942093515625*^9}, {
   3.5480963903073483`*^9, 3.5480963908723807`*^9}, {3.548096438796122*^9, 
   3.5480964633565264`*^9}, {3.5480966976179256`*^9, 3.548096775717393*^9}, {
   3.5480968097053366`*^9, 3.548096825219224*^9}, {3.5480970092397494`*^9, 
   3.5480970238415847`*^9}, {3.5480971342388988`*^9, 3.548097140691268*^9}, {
   3.5480976917947893`*^9, 3.5480977130050025`*^9}, {3.5480977943476553`*^9, 
   3.5480977949996924`*^9}, {3.548147926327859*^9, 3.548147940770685*^9}, {
   3.5533412180528927`*^9, 3.553341218238903*^9}, {3.5533416146645775`*^9, 
   3.5533416202298956`*^9}, {3.5533647175596294`*^9, 3.553364719959767*^9}, 
   3.5533647595240297`*^9, {3.5533648058216777`*^9, 3.553364806123695*^9}, 
   3.5534009863057775`*^9, {3.5539308018566103`*^9, 3.553930805962845*^9}, {
   3.568633267310932*^9, 3.5686332681849823`*^9}, {3.568832275753791*^9, 
   3.5688323365118775`*^9}, {3.5704717148227606`*^9, 3.570471720022768*^9}, {
   3.570471786297861*^9, 3.570471795027873*^9}, {3.5705177443850656`*^9, 
   3.5705177491200724`*^9}, {3.573412275103651*^9, 3.5734122780386553`*^9}, {
   3.5734124478668957`*^9, 3.5734124780219383`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   SuperscriptBox["conjw", "2"], " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox["G02", "2"], "+", 
     FractionBox[
      RowBox[{"H02", " ", "mu"}], "2"]}], ")"}]}], "+", 
  RowBox[{"mu", " ", "w"}], "+", 
  RowBox[{"conjw", " ", 
   RowBox[{"(", 
    RowBox[{"G11", "+", 
     RowBox[{"H11", " ", "mu"}]}], ")"}], " ", "w"}], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{
     FractionBox["G20", "2"], "+", 
     FractionBox[
      RowBox[{"H20", " ", "mu"}], "2"]}], ")"}], " ", 
   SuperscriptBox["w", "2"]}], "+", 
  RowBox[{
   SuperscriptBox["w", "3"], " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox["G30", "6"], "+", 
     FractionBox[
      RowBox[{"G20", " ", "H20"}], "2"], "+", 
     FractionBox[
      RowBox[{"H30", " ", "mu"}], "6"], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", "G11", " ", 
      RowBox[{"Conjugate", "[", "H02", "]"}]}]}], ")"}]}], "+", 
  RowBox[{"conjw", " ", 
   SuperscriptBox["w", "2"], " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox["G21", "2"], "+", 
     RowBox[{"G20", " ", "H11"}], "+", 
     FractionBox[
      RowBox[{"G11", " ", "H20"}], "2"], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", "G02", " ", 
      RowBox[{"Conjugate", "[", "H02", "]"}]}], "+", 
     RowBox[{"G11", " ", 
      RowBox[{"Conjugate", "[", "H11", "]"}]}]}], ")"}]}], "+", 
  RowBox[{
   SuperscriptBox["conjw", "3"], " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox["G03", "6"], "+", 
     FractionBox[
      RowBox[{"G11", " ", "H02"}], "2"], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", "G02", " ", 
      RowBox[{"Conjugate", "[", "H20", "]"}]}]}], ")"}]}], "+", 
  RowBox[{
   SuperscriptBox["conjw", "2"], " ", "w", " ", 
   RowBox[{"(", 
    RowBox[{
     FractionBox["G12", "2"], "+", 
     FractionBox[
      RowBox[{"G20", " ", "H02"}], "2"], "+", 
     RowBox[{"G11", " ", "H11"}], "+", 
     FractionBox[
      RowBox[{"H12", " ", "mu"}], "2"], "+", 
     RowBox[{"G02", " ", 
      RowBox[{"Conjugate", "[", "H11", "]"}]}], "+", 
     RowBox[{
      FractionBox["1", "2"], " ", "G11", " ", 
      RowBox[{"Conjugate", "[", "H20", "]"}]}]}], ")"}]}]}]], "Output",
 CellChangeTimes->{{3.573412461546915*^9, 3.5734124797069407`*^9}, 
   3.573417977626796*^9, 3.5740518471146436`*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "Looking for ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["h", 
    RowBox[{"-", "1"}]], TraditionalForm]]],
 " up to its 3rd order terms"
}], "Subsubsection",
 CellChangeTimes->{{3.5734125112819843`*^9, 3.57341255074704*^9}, {
  3.5734125875820913`*^9, 3.573412659417192*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"hinv3par", "[", "z_", "]"}], "=", 
   RowBox[{"z", "+", 
    RowBox[{"a20", " ", 
     RowBox[{"z", "^", "2"}]}], "+", 
    RowBox[{"a11", " ", "z", " ", 
     RowBox[{"Conjugate", "[", "z", "]"}]}], "+", 
    RowBox[{"a02", " ", 
     RowBox[{
      RowBox[{"Conjugate", "[", "z", "]"}], "^", "2"}]}], "+", 
    RowBox[{"a30", " ", 
     RowBox[{"z", "^", "3"}]}], "+", 
    RowBox[{"a21", " ", 
     RowBox[{"z", "^", "2"}], " ", 
     RowBox[{"Conjugate", "[", "z", "]"}]}], " ", "+", " ", 
    RowBox[{"a12", " ", "z", " ", 
     RowBox[{
      RowBox[{"Conjugate", "[", "z", "]"}], "^", "2"}]}], "+", 
    RowBox[{"a03", " ", 
     RowBox[{
      RowBox[{"Conjugate", "[", "z", "]"}], "^", "3"}]}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"hinv3hpar", "[", 
    RowBox[{"w_", ",", "conjw_"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"hinv3par", "[", 
       RowBox[{"h", "[", "w", "]"}], "]"}], "//.", 
      RowBox[{
       RowBox[{"Conjugate", "[", 
        RowBox[{"u_", "+", "v_"}], "]"}], "\[Rule]", " ", 
       RowBox[{
        RowBox[{"Conjugate", "[", "u", "]"}], "+", 
        RowBox[{"Conjugate", "[", "v", "]"}]}]}]}], "//.", 
     RowBox[{
      RowBox[{"Conjugate", "[", 
       RowBox[{"u_", "*", "v_"}], "]"}], "\[Rule]", " ", 
      RowBox[{
       RowBox[{"Conjugate", "[", "u", "]"}], "*", 
       RowBox[{"Conjugate", "[", "v", "]"}]}]}]}], "/.", 
    RowBox[{
     RowBox[{"Conjugate", "[", "w", "]"}], "\[Rule]", "conjw"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"coeffhinv3hpar", "=", 
   RowBox[{"CoefficientList", "[", 
    RowBox[{
     RowBox[{"hinv3hpar", "[", 
      RowBox[{"w", ",", "conjw"}], "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"w", ",", "conjw"}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"solhinv3", "=", 
   RowBox[{"Flatten", "[", 
    RowBox[{"Solve", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{
         RowBox[{"coeffhinv3hpar", "[", 
          RowBox[{"[", 
           RowBox[{"3", ",", "1"}], "]"}], "]"}], "\[Equal]", "0"}], ",", 
        RowBox[{
         RowBox[{"coeffhinv3hpar", "[", 
          RowBox[{"[", 
           RowBox[{"2", ",", "2"}], "]"}], "]"}], "\[Equal]", "0"}], ",", 
        RowBox[{
         RowBox[{"coeffhinv3hpar", "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "3"}], "]"}], "]"}], "\[Equal]", "0"}], ",", 
        RowBox[{
         RowBox[{"coeffhinv3hpar", "[", 
          RowBox[{"[", 
           RowBox[{"4", ",", "1"}], "]"}], "]"}], "\[Equal]", "0"}], ",", 
        RowBox[{
         RowBox[{"coeffhinv3hpar", "[", 
          RowBox[{"[", 
           RowBox[{"3", ",", "2"}], "]"}], "]"}], "\[Equal]", "0"}], ",", 
        RowBox[{
         RowBox[{"coeffhinv3hpar", "[", 
          RowBox[{"[", 
           RowBox[{"2", ",", "3"}], "]"}], "]"}], "\[Equal]", "0"}], ",", 
        RowBox[{
         RowBox[{"coeffhinv3hpar", "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "4"}], "]"}], "]"}], "\[Equal]", "0"}]}], "}"}], 
      ",", 
      RowBox[{"{", 
       RowBox[{
       "a20", ",", "a11", ",", "a02", ",", "a30", ",", "a21", ",", "a12", ",",
         "a03"}], "}"}]}], "]"}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.5539308374266443`*^9, 3.553930906568599*^9}, {
   3.5539309691661797`*^9, 3.553930969291187*^9}, 3.553931003000115*^9, {
   3.55393106760281*^9, 3.553931135177675*^9}, {3.553931168349572*^9, 
   3.5539311720447836`*^9}, {3.5539315718976536`*^9, 
   3.5539315764049115`*^9}, {3.5686333904569755`*^9, 3.568633391008007*^9}, 
   3.568633428206135*^9, {3.5686344007487607`*^9, 3.5686344064810886`*^9}, {
   3.568830366193116*^9, 3.5688303679081187`*^9}, {3.5688304392532187`*^9, 
   3.5688304700932617`*^9}, {3.568832434147014*^9, 3.568832446247031*^9}, {
   3.568832481777085*^9, 3.5688324985521083`*^9}, {3.5734113273843236`*^9, 
   3.573411337764338*^9}, {3.573411633367753*^9, 3.5734116384377604`*^9}, {
   3.5734116709728055`*^9, 3.573411693342837*^9}, 3.5734133997832284`*^9}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"hinv", "[", "z_", "]"}], "=", 
   RowBox[{
    RowBox[{"hinv3par", "[", "z", "]"}], "/.", "solhinv3"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.553931010423539*^9, 3.5539310449575143`*^9}, {
  3.553931161994209*^9, 3.553931209723939*^9}, {3.553931587949572*^9, 
  3.5539315967180734`*^9}, {3.5688304916882925`*^9, 3.568830498513302*^9}, {
  3.573412885502508*^9, 3.5734128997575283`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"hinvG3h", "[", 
    RowBox[{"w_", ",", "conjw_"}], "]"}], "=", 
   RowBox[{"FunctionExpand", "[", 
    RowBox[{"hinv", "[", 
     RowBox[{"G3h", "[", 
      RowBox[{"w", ",", "conjw"}], "]"}], "]"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.553864449222204*^9, 3.553864484188204*^9}, {
   3.553864661677356*^9, 3.5538646818785114`*^9}, {3.553864718295594*^9, 
   3.553864719478662*^9}, {3.553864755018695*^9, 3.553864757616843*^9}, 
   3.553887298778773*^9, 3.5538874528755865`*^9, {3.5538891685967197`*^9, 
   3.553889188333849*^9}, {3.5539180852028475`*^9, 3.553918105950884*^9}, 
   3.5539181451069527`*^9, {3.553920231073341*^9, 3.5539202393538146`*^9}, {
   3.553931335352124*^9, 3.5539313354631305`*^9}, 3.553931500423566*^9, {
   3.5688325112771263`*^9, 3.5688325211521397`*^9}, {3.573412918922555*^9, 
   3.5734129272525673`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"coeffhinvG3h", "=", 
   RowBox[{"CoefficientList", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"hinvG3h", "[", 
       RowBox[{"w", ",", 
        RowBox[{"Conjugate", "[", "w", "]"}]}], "]"}], "/.", 
      RowBox[{
       RowBox[{"Conjugate", "[", "w", "]"}], "\[Rule]", " ", "conjw"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"w", ",", "conjw"}], "}"}]}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.55386472451995*^9, 3.553864739111785*^9}, {
  3.5538892114691725`*^9, 3.553889213605294*^9}, {3.5539202578358717`*^9, 
  3.5539202876945796`*^9}, {3.553931503486741*^9, 3.55393150504283*^9}, {
  3.5688325266821475`*^9, 3.5688325301221523`*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"sol20", "=", 
     RowBox[{"Flatten", "[", 
      RowBox[{"Solve", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"coeffhinvG3h", "\[LeftDoubleBracket]", 
          RowBox[{"3", ",", "1"}], "\[RightDoubleBracket]"}], "\[Equal]", 
         "0"}], ",", "H20"}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"sol11", "=", 
     RowBox[{"Flatten", "[", 
      RowBox[{"Solve", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"coeffhinvG3h", "\[LeftDoubleBracket]", 
          RowBox[{"2", ",", "2"}], "\[RightDoubleBracket]"}], "\[Equal]", 
         "0"}], ",", "H11"}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"sol02", "=", 
     RowBox[{"Flatten", "[", 
      RowBox[{"Solve", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"coeffhinvG3h", "\[LeftDoubleBracket]", 
          RowBox[{"1", ",", "3"}], "\[RightDoubleBracket]"}], "\[Equal]", 
         "0"}], ",", "H02"}], "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"sol30", "=", 
     RowBox[{"Flatten", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"Solve", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"coeffhinvG3h", "\[LeftDoubleBracket]", 
             RowBox[{"4", ",", "1"}], "\[RightDoubleBracket]"}], "\[Equal]", 
            "0"}], ",", "H30"}], "]"}], "/.", "sol20"}], " ", "/.", " ", 
        "sol11"}], "/.", " ", "sol02"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"sol12", "=", 
     RowBox[{"Flatten", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"Solve", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"coeffhinvG3h", "\[LeftDoubleBracket]", 
             RowBox[{"2", ",", "3"}], "\[RightDoubleBracket]"}], "\[Equal]", 
            "0"}], ",", "H12"}], "]"}], "/.", "sol20"}], " ", "/.", " ", 
        "sol11"}], " ", "/.", " ", "sol02"}], "]"}]}], ";"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.539071772421875*^9, 3.539071773984375*^9}, {
   3.5390718538125*^9, 3.539071862078125*^9}, {3.539071966265625*^9, 
   3.5390719973125*^9}, {3.5390720496875*^9, 3.539072192296875*^9}, {
   3.53907231703125*^9, 3.539072340125*^9}, {3.539072487890625*^9, 
   3.539072628609375*^9}, {3.5390728108125*^9, 3.539072854296875*^9}, {
   3.5390729655625*^9, 3.539072967921875*^9}, {3.539073021421875*^9, 
   3.539073053734375*^9}, {3.539073132*^9, 3.53907315171875*^9}, {
   3.539073193953125*^9, 3.5390732361875*^9}, {3.53907334525*^9, 
   3.539073394578125*^9}, {3.539073434046875*^9, 3.539073570359375*^9}, {
   3.5390736279375*^9, 3.539073648109375*^9}, {3.539074057515625*^9, 
   3.5390740635625*^9}, {3.53907414334375*^9, 3.539074159875*^9}, 
   3.539074523421875*^9, {3.5390794021875*^9, 3.539079475453125*^9}, {
   3.539172806101661*^9, 3.5391728469399967`*^9}, {3.5391729144568586`*^9, 
   3.5391729483197956`*^9}, {3.5391729784095163`*^9, 3.539173045671364*^9}, {
   3.5391810491301355`*^9, 3.5391811130527916`*^9}, {3.5391813066678658`*^9, 
   3.5391813233248186`*^9}, {3.539181369737473*^9, 3.5391813757778187`*^9}, {
   3.539182790813754*^9, 3.539182841168634*^9}, {3.539182912861735*^9, 
   3.5391829777844477`*^9}, {3.539183036874828*^9, 3.539183041495092*^9}, {
   3.539426962203125*^9, 3.539426967203125*^9}, {3.55393152060472*^9, 
   3.553931520718726*^9}, 3.568633555157396*^9, {3.568832536457161*^9, 
   3.5688325408471675`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"rules", "=", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"G20", "\[Rule]", 
       RowBox[{"gD20", "[", 
        RowBox[{"0", ",", "0", ",", "\[Alpha]", ",", "m"}], "]"}]}], ",", 
      RowBox[{"G11", "->", 
       RowBox[{"gD11", "[", 
        RowBox[{"0", ",", "0", ",", "\[Alpha]", ",", "m"}], "]"}]}], ",", 
      RowBox[{"G02", "->", 
       RowBox[{"gD02", "[", 
        RowBox[{"0", ",", "0", ",", "\[Alpha]", ",", "m"}], "]"}]}], ",", 
      RowBox[{"G30", "->", 
       RowBox[{"gD30", "[", 
        RowBox[{"0", ",", "0", ",", "\[Alpha]", ",", "m"}], "]"}]}], ",", 
      RowBox[{"G21", "->", 
       RowBox[{"gD21", "[", 
        RowBox[{"0", ",", "0", ",", "\[Alpha]", ",", "m"}], "]"}]}], ",", 
      RowBox[{"G12", "->", 
       RowBox[{"gD12", "[", 
        RowBox[{"0", ",", "0", ",", "\[Alpha]", ",", "m"}], "]"}]}], ",", 
      RowBox[{"G03", "\[Rule]", 
       RowBox[{"gD03", "[", 
        RowBox[{"0", ",", "0", ",", "\[Alpha]", ",", "m"}], "]"}]}], ",", 
      RowBox[{"G30", "->", 
       RowBox[{"gD30", "[", 
        RowBox[{"0", ",", "0", ",", "\[Alpha]", ",", "m"}], "]"}]}], ",", 
      RowBox[{"G21", "->", 
       RowBox[{"gD21", "[", 
        RowBox[{"0", ",", "0", ",", "\[Alpha]", ",", "m"}], "]"}]}], ",", 
      RowBox[{"G12", "->", 
       RowBox[{"gD12", "[", 
        RowBox[{"0", ",", "0", ",", "\[Alpha]", ",", "m"}], "]"}]}], ",", 
      RowBox[{"G03", "\[Rule]", 
       RowBox[{"gD03", "[", 
        RowBox[{"0", ",", "0", ",", "\[Alpha]", ",", "m"}], "]"}]}], ",", 
      RowBox[{"mu", "\[Rule]", 
       RowBox[{"\[Mu]", "[", 
        RowBox[{"\[Alpha]", ",", "m"}], "]"}]}]}], "}"}]}], ";"}], " ", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "Note", " ", "that", " ", "in", " ", "our", " ", "case", " ", "g_kl"}], 
    "=", 
    RowBox[{
     RowBox[{"gDkl", "[", 
      RowBox[{"0", ",", "0", ",", "m", ",", "\[Alpha]"}], "]"}], "=", 
     RowBox[{
      RowBox[{
       RowBox[{"0", " ", "for", " ", "k"}], "+", "l"}], "=", "2"}]}]}], 
   "*)"}]}]], "Input",
 CellChangeTimes->{{3.568546671520936*^9, 3.5685467186486187`*^9}, {
  3.5688325546971865`*^9, 3.56883255706719*^9}, {3.5734130111776843`*^9, 
  3.5734130428427286`*^9}, {3.5734131589178915`*^9, 3.5734131592128916`*^9}, {
  3.573413238818003*^9, 3.573413282913065*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"h20", "[", 
     RowBox[{"\[Alpha]_", ",", "m_"}], "]"}], "=", 
    RowBox[{
     RowBox[{"H20", "/.", " ", "sol20"}], "/.", "rules"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"h11", "[", 
     RowBox[{"\[Alpha]_", ",", "m_"}], "]"}], "=", 
    RowBox[{
     RowBox[{"H11", "/.", " ", "sol11"}], "/.", "rules"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"h02", "[", 
     RowBox[{"\[Alpha]_", ",", "m_"}], "]"}], "=", 
    RowBox[{
     RowBox[{"H02", "/.", " ", "sol02"}], "/.", "rules"}]}], 
   RowBox[{"(*", 
    RowBox[{
     RowBox[{"Note", " ", "that", " ", "h20"}], "=", 
     RowBox[{"h11", "=", 
      RowBox[{"h02", "=", "0"}]}]}], "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"h30", "[", 
     RowBox[{"\[Alpha]_", ",", "m_"}], "]"}], "=", 
    RowBox[{"FullSimplify", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"H30", "/.", " ", "sol30"}], "/.", "rules"}], ",", "assump"}], 
     "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"h12", "[", 
     RowBox[{"\[Alpha]_", ",", "m_"}], "]"}], "=", 
    RowBox[{"FullSimplify", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"H12", "/.", " ", "sol12"}], "/.", "rules"}], ",", "assump"}], 
     "]"}]}], "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.53907366225*^9, 3.5390736745625*^9}, {
   3.53907371809375*^9, 3.539073827671875*^9}, {3.539074379015625*^9, 
   3.5390743821875*^9}, {3.539074424234375*^9, 3.539074512921875*^9}, {
   3.539074553046875*^9, 3.53907495253125*^9}, {3.53907883875*^9, 
   3.539078938265625*^9}, {3.53907949675*^9, 3.53907953109375*^9}, 
   3.539080347109375*^9, {3.539080380609375*^9, 3.539080382359375*^9}, {
   3.53908136746875*^9, 3.539081369890625*^9}, {3.53943531765625*^9, 
   3.539435377421875*^9}, {3.539435560453125*^9, 3.539435564609375*^9}, {
   3.5481481668416157`*^9, 3.5481481706568336`*^9}, {3.552731337774339*^9, 
   3.552731337814339*^9}, {3.552798638724595*^9, 3.5527986757677135`*^9}, {
   3.552798707193511*^9, 3.5527987947255173`*^9}, {3.5528124863190556`*^9, 
   3.552812498209072*^9}, {3.5533648903575125`*^9, 3.5533648983739715`*^9}, {
   3.5539320147799854`*^9, 3.553932015501026*^9}, 3.566920584427487*^9, {
   3.5669207470977154`*^9, 3.5669207647477417`*^9}, {3.56692111692724*^9, 
   3.5669211481272836`*^9}, {3.568546469500581*^9, 3.5685464695473814`*^9}, 
   3.568546863682073*^9, 3.568547030430766*^9, 3.5686335767966337`*^9, {
   3.569062379180682*^9, 3.569062382066687*^9}, {3.573413093212799*^9, 
   3.5734131040478144`*^9}, {3.5734131366978602`*^9, 3.573413235132998*^9}, {
   3.5734132959430833`*^9, 3.5734133375381413`*^9}, {3.5734134055382366`*^9, 
   3.573413410358243*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.5734134110482445`*^9, 3.573417978446797*^9, 
  3.574051847324644*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.5734134110482445`*^9, 3.573417978446797*^9, 
  3.574051847329644*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{3.5734134110482445`*^9, 3.573417978446797*^9, 
  3.574051847329644*^9}],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "m"}], "+", 
      SqrtBox[
       RowBox[{
        SuperscriptBox["m", "2"], "-", 
        RowBox[{"4", " ", "\[Alpha]"}]}]]}], ")"}], "3"], 
   RowBox[{"2", " ", 
    SuperscriptBox["\[Alpha]", "2"], " ", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["m", "3"], "-", 
      RowBox[{"4", " ", "m", " ", "\[Alpha]"}], "+", 
      RowBox[{"\[ImaginaryI]", " ", 
       SuperscriptBox["m", "2"], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"-", 
          SuperscriptBox["m", "2"]}], "+", 
         RowBox[{"4", " ", "\[Alpha]"}]}]]}], "-", 
      RowBox[{"2", " ", "\[ImaginaryI]", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "\[Alpha]"}], ")"}], " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"-", 
          SuperscriptBox["m", "2"]}], "+", 
         RowBox[{"4", " ", "\[Alpha]"}]}]]}]}], ")"}]}]]}]], "Output",
 CellChangeTimes->{3.5734134110482445`*^9, 3.573417978446797*^9, 
  3.5740518477146444`*^9}],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox["8", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["m", "2"], "-", 
      RowBox[{"4", " ", "\[Alpha]"}], "-", 
      RowBox[{"\[ImaginaryI]", " ", "m", " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"-", 
          SuperscriptBox["m", "2"]}], "+", 
         RowBox[{"4", " ", "\[Alpha]"}]}]]}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["m", "2"], "-", 
      RowBox[{"2", " ", 
       RowBox[{"(", 
        RowBox[{"1", "+", "\[Alpha]"}], ")"}]}], "-", 
      RowBox[{"\[ImaginaryI]", " ", "m", " ", 
       SqrtBox[
        RowBox[{
         RowBox[{"-", 
          SuperscriptBox["m", "2"]}], "+", 
         RowBox[{"4", " ", "\[Alpha]"}]}]]}]}], ")"}]}]]}]], "Output",
 CellChangeTimes->{3.5734134110482445`*^9, 3.573417978446797*^9, 
  3.5740518478946447`*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"hrules", "=", 
   RowBox[{"Flatten", "[", 
    RowBox[{"{", 
     RowBox[{"rules", ",", 
      RowBox[{"H20", "\[Rule]", " ", 
       RowBox[{"h20", "[", 
        RowBox[{"\[Alpha]", ",", "m"}], "]"}]}], ",", " ", 
      RowBox[{"H11", " ", "\[Rule]", "  ", 
       RowBox[{"h11", "[", 
        RowBox[{"\[Alpha]", ",", "m"}], "]"}]}], ",", " ", 
      RowBox[{"H02", "\[Rule]", " ", 
       RowBox[{"h02", "[", 
        RowBox[{"\[Alpha]", ",", "m"}], "]"}]}], ",", " ", 
      RowBox[{"H30", "\[Rule]", " ", 
       RowBox[{"h30", "[", 
        RowBox[{"\[Alpha]", ",", "m"}], "]"}]}], " ", ",", " ", 
      RowBox[{"H12", " ", "\[Rule]", " ", 
       RowBox[{"h12", "[", 
        RowBox[{"\[Alpha]", ",", "m"}], "]"}]}]}], " ", "}"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.539511222640625*^9, 3.539511222984375*^9}, {
   3.5395113475625*^9, 3.53951139840625*^9}, {3.53951144659375*^9, 
   3.539511567890625*^9}, {3.53951169665625*^9, 3.5395117085625*^9}, {
   3.539511876796875*^9, 3.539511883015625*^9}, {3.53951194659375*^9, 
   3.5395121739375*^9}, {3.539512239015625*^9, 3.539512344234375*^9}, {
   3.539512444640625*^9, 3.539512549859375*^9}, {3.53951259828125*^9, 
   3.539512598921875*^9}, {3.539512648765625*^9, 3.53951266115625*^9}, {
   3.539513029765625*^9, 3.539513053203125*^9}, {3.539513124390625*^9, 
   3.539513131625*^9}, {3.539513211015625*^9, 3.539513277828125*^9}, {
   3.539514128546875*^9, 3.539514128703125*^9}, {3.539521818421875*^9, 
   3.53952184809375*^9}, {3.53952195753125*^9, 3.53952197684375*^9}, {
   3.5397096053302217`*^9, 3.5397096388041363`*^9}, {3.54054873446875*^9, 
   3.5405487536875*^9}, {3.54809722797126*^9, 3.548097288246708*^9}, {
   3.548097324020754*^9, 3.548097389883521*^9}, {3.5480979472033978`*^9, 
   3.5480979559018955`*^9}, {3.5481326393884964`*^9, 3.5481326408755813`*^9}, 
   3.5481480431065383`*^9, 3.5481481477125216`*^9, {3.552731337814339*^9, 
   3.552731337834339*^9}, 3.552803821511033*^9, 3.5528038662055893`*^9, {
   3.568546738304653*^9, 3.5685467481482706`*^9}, {3.5686335918124924`*^9, 
   3.5686335951276817`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"h\[Alpha]", "[", 
    RowBox[{"w_", ",", "\[Alpha]_", ",", "m_"}], "]"}], "=", 
   RowBox[{"w", "+", 
    RowBox[{
     RowBox[{"h20", "[", 
      RowBox[{"\[Alpha]", ",", "m"}], "]"}], " ", 
     RowBox[{
      RowBox[{"w", "^", "2"}], "/", "2"}]}], " ", "+", " ", 
    RowBox[{
     RowBox[{"h11", "[", 
      RowBox[{"\[Alpha]", ",", "m"}], "]"}], " ", "*", "w", "*", " ", 
     RowBox[{"Conjugate", "[", "w", "]"}]}], " ", "+", " ", 
    RowBox[{
     RowBox[{"h02", "[", 
      RowBox[{"\[Alpha]", ",", "m"}], "]"}], "*", 
     RowBox[{
      RowBox[{
       RowBox[{"Conjugate", "[", "w", "]"}], "^", "2"}], "/", "2"}]}], " ", 
    "+", 
    RowBox[{
     RowBox[{
      RowBox[{"h30", "[", 
       RowBox[{"\[Alpha]", ",", "m"}], "]"}], "/", "6"}], " ", 
     RowBox[{"w", "^", "3"}]}], " ", "+", "  ", 
    RowBox[{
     RowBox[{
      RowBox[{"h12", "[", 
       RowBox[{"\[Alpha]", ",", "m"}], "]"}], "/", "2"}], " ", "w", " ", 
     RowBox[{
      RowBox[{"Conjugate", "[", "w", "]"}], "^", "2"}]}]}]}], " ", 
  ";"}]], "Input",
 CellChangeTimes->{{3.53908207965625*^9, 3.53908214796875*^9}, {
   3.5390822505625*^9, 3.539082292*^9}, {3.539082331671875*^9, 
   3.5390823571875*^9}, {3.539082411015625*^9, 3.53908241403125*^9}, {
   3.53908322396875*^9, 3.5390832405*^9}, {3.5390833631875*^9, 
   3.539083367421875*^9}, {3.539084632921875*^9, 3.539084665328125*^9}, {
   3.548100020597989*^9, 3.5481000234181504`*^9}, {3.552731337834339*^9, 
   3.552731337854339*^9}, 3.552901255871792*^9, 3.568546469562981*^9, {
   3.568546753202679*^9, 3.568546767960305*^9}, {3.5686336049342427`*^9, 
   3.568633606534334*^9}}]
}, Open  ]],

Cell["\<\
ESTIMATIONS

\
\>", "Subsubsection",
 CellChangeTimes->{{3.5540286047629185`*^9, 3.554028608940157*^9}, {
  3.566921229837398*^9, 3.5669212326024017`*^9}}],

Cell[CellGroupData[{

Cell[TextData[{
 "Estimations on g and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["R", "1"], TraditionalForm]]]
}], "Subsubsection",
 CellChangeTimes->{{3.5481331019909554`*^9, 3.548133114454668*^9}, {
  3.5481341971625957`*^9, 3.5481342185578194`*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"Absg2nd", "[", 
    RowBox[{"\[Alpha]_", ",", "m_"}], "]"}], "=", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{"Total", "[", 
      RowBox[{"Abs", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"gD20", "[", 
           RowBox[{"0", ",", "0", ",", "\[Alpha]", ",", "m"}], "]"}], "/", 
          "2"}], ",", 
         RowBox[{"gD11", "[", 
          RowBox[{"0", ",", "0", ",", "\[Alpha]", ",", "m"}], "]"}], ",", 
         RowBox[{
          RowBox[{"gD02", "[", 
           RowBox[{"0", ",", "0", ",", "\[Alpha]", ",", "m"}], "]"}], "/", 
          "2"}]}], "}"}], "]"}], "]"}], ",", "assump"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Absg3rd", "[", 
    RowBox[{"\[Alpha]_", ",", "m_"}], "]"}], "=", 
   RowBox[{"Total", "[", 
    RowBox[{"FullSimplify", "[", 
     RowBox[{
      RowBox[{"Abs", "[", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{
          RowBox[{"gD30", "[", 
           RowBox[{"0", ",", "0", ",", "\[Alpha]", ",", "m"}], "]"}], "/", 
          "6"}], ",", 
         RowBox[{
          RowBox[{"gD21", "[", 
           RowBox[{"0", ",", "0", ",", "\[Alpha]", ",", "m"}], "]"}], "/", 
          "2"}], ",", 
         RowBox[{
          RowBox[{"gD12", "[", 
           RowBox[{"0", ",", "0", ",", "\[Alpha]", ",", "m"}], "]"}], "/", 
          "2"}], ",", " ", 
         RowBox[{
          RowBox[{"gD03", "[", 
           RowBox[{"0", ",", "0", ",", "\[Alpha]", ",", "m"}], "]"}], "/", 
          "6"}]}], "}"}], "]"}], ",", "assump"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.538161961157422*^9, 3.5381620137394295`*^9}, {
   3.538163162454132*^9, 3.538163179842127*^9}, {3.5381632580235987`*^9, 
   3.5381633628825965`*^9}, {3.5381636238465223`*^9, 3.538163678544651*^9}, {
   3.5381637559700794`*^9, 3.538163780928507*^9}, {3.538163980538924*^9, 
   3.53816399881997*^9}, {3.538164612261057*^9, 3.5381646373694925`*^9}, {
   3.538164711656742*^9, 3.538164794077456*^9}, {3.538165142860405*^9, 
   3.538165143942467*^9}, {3.538165196718486*^9, 3.5381651988526077`*^9}, {
   3.538200418796875*^9, 3.538200464125*^9}, {3.538200725828125*^9, 
   3.538200726125*^9}, {3.538200810875*^9, 3.53820083225*^9}, 
   3.538585986672295*^9, {3.538826259046875*^9, 3.538826260515625*^9}, {
   3.539929795890625*^9, 3.539929796734375*^9}, {3.548133178226316*^9, 
   3.54813325942496*^9}, {3.54813343880322*^9, 3.5481335814913816`*^9}, {
   3.548133624522843*^9, 3.548133624685852*^9}, {3.548133682509159*^9, 
   3.5481336877754602`*^9}, {3.5481600573237123`*^9, 
   3.5481600903946037`*^9}, {3.5481601257736273`*^9, 3.548160201884981*^9}, {
   3.551603779720582*^9, 3.551603779782982*^9}, {3.552730294961073*^9, 
   3.5527303068210897`*^9}, {3.5527313379843397`*^9, 3.55273133803434*^9}, {
   3.552732817875141*^9, 3.5527328355521517`*^9}, {3.5527949129644938`*^9, 
   3.552794949354575*^9}, {3.552803961296028*^9, 3.5528039725706735`*^9}, {
   3.552901316883499*^9, 3.5529013330763273`*^9}, {3.5533353056887245`*^9, 
   3.553335439937403*^9}, {3.5533354760484686`*^9, 3.5533355138316298`*^9}, {
   3.553336805621516*^9, 3.553336823747553*^9}, {3.553338487121692*^9, 
   3.553338517357422*^9}, {3.553341570219035*^9, 3.55334158288876*^9}, {
   3.5535077308110895`*^9, 3.553507754879466*^9}, {3.5539325620492873`*^9, 
   3.5539325682786436`*^9}, {3.553932605768788*^9, 3.5539326094820004`*^9}, {
   3.553933116482999*^9, 3.5539331452716455`*^9}, {3.5540026061218805`*^9, 
   3.5540026087840333`*^9}, {3.5540027747935286`*^9, 3.554002785089117*^9}, {
   3.5540028507818747`*^9, 3.5540028509288836`*^9}, {3.5669230410149336`*^9, 
   3.5669231523200893`*^9}, {3.5685464696253815`*^9, 3.568546469656581*^9}, {
   3.56863392570959*^9, 3.568633964120787*^9}, {3.5686340023709745`*^9, 
   3.568634002530984*^9}, 3.568836114393171*^9, {3.56892058424586*^9, 
   3.5689205964158773`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Absg2nd", "[", 
  RowBox[{"\[Alpha]", ",", "m"}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"Absg3rd", "[", 
  RowBox[{"\[Alpha]", ",", "m"}], "]"}]}], "Input",
 CellChangeTimes->{{3.5686339835388975`*^9, 3.5686339933434587`*^9}, {
  3.5686344827934537`*^9, 3.5686344858376274`*^9}, {3.569062792472208*^9, 
  3.56906279340821*^9}}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{{3.568633980332714*^9, 3.5686340058661747`*^9}, {
   3.5686344712797947`*^9, 3.5686344867346787`*^9}, 3.568836125868187*^9, 
   3.5688967514332104`*^9, 3.568900736500037*^9, {3.569062784562994*^9, 
   3.5690627940634108`*^9}, 3.5691464110582685`*^9, 3.570039332770368*^9, 
   3.570363826375404*^9, 3.5705178700282426`*^9, 3.570958254092436*^9, 
   3.571132102829217*^9, 3.5715569854075055`*^9, 3.5716525966344137`*^9, 
   3.5717292781410637`*^9, 3.5718291623127823`*^9, 3.5726440312549124`*^9, 
   3.573414656569991*^9, 3.5734179810618005`*^9, 3.5740518484896455`*^9}],

Cell[BoxData[
 FractionBox["8", 
  RowBox[{"3", " ", 
   SqrtBox[
    RowBox[{
     RowBox[{"-", 
      SuperscriptBox["m", "2"]}], "+", 
     RowBox[{"4", " ", "\[Alpha]"}]}]]}]]], "Output",
 CellChangeTimes->{{3.568633980332714*^9, 3.5686340058661747`*^9}, {
   3.5686344712797947`*^9, 3.5686344867346787`*^9}, 3.568836125868187*^9, 
   3.5688967514332104`*^9, 3.568900736500037*^9, {3.569062784562994*^9, 
   3.5690627940634108`*^9}, 3.5691464110582685`*^9, 3.570039332770368*^9, 
   3.570363826375404*^9, 3.5705178700282426`*^9, 3.570958254092436*^9, 
   3.571132102829217*^9, 3.5715569854075055`*^9, 3.5716525966344137`*^9, 
   3.5717292781410637`*^9, 3.5718291623127823`*^9, 3.5726440312549124`*^9, 
   3.573414656569991*^9, 3.5734179810618005`*^9, 3.5740518484946456`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"MaxValue", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Absg3rd", "[", 
        RowBox[{"\[Alpha]", ",", "m"}], "]"}], ",", "dom"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\[Alpha]", ",", "m"}], "}"}]}], "]"}], "<", 
   RowBox[{"157", "/", "100"}]}], "\[IndentingNewLine]"}]], "Input",
 CellChangeTimes->{{3.5527949629803543`*^9, 3.5527949870817327`*^9}, {
   3.5534013072951374`*^9, 3.5534013163216534`*^9}, {3.553503984212906*^9, 
   3.553504012843543*^9}, {3.55522267322957*^9, 3.5552226787839785`*^9}, {
   3.566923160450101*^9, 3.5669231835951333`*^9}, {3.568633877644841*^9, 
   3.5686338995950966`*^9}, 3.568836132398196*^9, {3.5689206039308877`*^9, 
   3.5689206052008896`*^9}, {3.5690627972146163`*^9, 
   3.5690628257626667`*^9}, {3.569146424848693*^9, 3.569146437671915*^9}, {
   3.5705178744732485`*^9, 3.5705178876332674`*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{
  3.566923184380134*^9, {3.5686338665272055`*^9, 3.5686339026342707`*^9}, 
   3.5686340099304075`*^9, 3.5686344728148828`*^9, 3.5686367303480062`*^9, 
   3.568750980601254*^9, 3.5688361356182003`*^9, 3.5688804038394365`*^9, 
   3.5688967514782104`*^9, 3.5689007365500374`*^9, 3.5689144849793196`*^9, {
   3.5690628002098217`*^9, 3.569062826199467*^9}, {3.5691464129614716`*^9, 
   3.5691464384675164`*^9}, 3.5700393328473725`*^9, 3.5703638264954042`*^9, 
   3.5704719546030965`*^9, {3.5705178751782503`*^9, 3.570517888113268*^9}, 
   3.570958254147436*^9, 3.571132102874217*^9, 3.571556985447506*^9, 
   3.571652596664414*^9, 3.5717292782060637`*^9, 3.5718291624127827`*^9, 
   3.5726440314049125`*^9, 3.5734179811318007`*^9, 3.5740518485146456`*^9}]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.5690628139690456`*^9, 3.5690628149518476`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"FullSimplify", "[", 
  RowBox[{
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"Abs", "[", 
     RowBox[{
      RowBox[{"p", "[", 
       RowBox[{"\[Alpha]", ",", "m"}], "]"}], "[", 
      RowBox[{"[", "2", "]"}], "]"}], "]"}]}], ",", "assump"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MaxValue", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"%", ",", "dom"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Alpha]", ",", "m"}], "}"}]}], "]"}], "<", 
  RowBox[{"58", "/", "100"}]}]}], "Input",
 CellChangeTimes->{{3.56888073710391*^9, 3.5688807636859484`*^9}, {
  3.5688808637360888`*^9, 3.568880927976179*^9}, {3.5688811320484686`*^9, 
  3.5688811371784763`*^9}, {3.569062852719514*^9, 3.5690628553247185`*^9}, {
  3.5691464480459332`*^9, 3.569146455237546*^9}, {3.5705179261583214`*^9, 
  3.5705179329333305`*^9}}],

Cell[BoxData[
 SqrtBox[
  RowBox[{"-", 
   FractionBox[
    SuperscriptBox["\[Alpha]", "3"], 
    RowBox[{
     SuperscriptBox["m", "2"], "-", 
     RowBox[{"4", " ", "\[Alpha]"}]}]]}]]], "Output",
 CellChangeTimes->{{3.5688807454039216`*^9, 3.5688807648959503`*^9}, {
   3.568880879516111*^9, 3.5688809046511464`*^9}, {3.568881123548457*^9, 
   3.5688811441034856`*^9}, 3.568896752208211*^9, 3.568900737290038*^9, 
   3.5689146773995886`*^9, {3.5690628429694967`*^9, 3.569062856666321*^9}, {
   3.5691464487635345`*^9, 3.569146455861547*^9}, 3.5700393330733857`*^9, 
   3.570363826615404*^9, 3.5703666283913393`*^9, 3.5704719746181245`*^9, {
   3.5705179269733224`*^9, 3.570517933373331*^9}, 3.570958254302436*^9, 
   3.5711321030592175`*^9, 3.5715569855525055`*^9, 3.571652596774414*^9, 
   3.571729278371064*^9, 3.571829162707783*^9, 3.572644031619913*^9, 
   3.573417981356801*^9, 3.5740518486146455`*^9}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{{3.5688807454039216`*^9, 3.5688807648959503`*^9}, {
   3.568880879516111*^9, 3.5688809046511464`*^9}, {3.568881123548457*^9, 
   3.5688811441034856`*^9}, 3.568896752208211*^9, 3.568900737290038*^9, 
   3.5689146773995886`*^9, {3.5690628429694967`*^9, 3.569062856666321*^9}, {
   3.5691464487635345`*^9, 3.569146455861547*^9}, 3.5700393330733857`*^9, 
   3.570363826615404*^9, 3.5703666283913393`*^9, 3.5704719746181245`*^9, {
   3.5705179269733224`*^9, 3.570517933373331*^9}, 3.570958254302436*^9, 
   3.5711321030592175`*^9, 3.5715569855525055`*^9, 3.571652596774414*^9, 
   3.571729278371064*^9, 3.571829162707783*^9, 3.572644031619913*^9, 
   3.573417981356801*^9, 3.574051848654646*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"D5tanh", "[", "x_", "]"}], "=", 
   RowBox[{"D", "[", 
    RowBox[{
     RowBox[{"Tanh", "[", "x", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "5"}], "}"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"MaxValue", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"D5tanh", "[", "x", "]"}], "/", "120"}], ",", 
     RowBox[{
      RowBox[{"1", "/", "6"}], "\[GreaterEqual]", " ", "x", "\[GreaterEqual]",
       " ", 
      RowBox[{
       RowBox[{"-", "1"}], "/", "6"}]}]}], "}"}], ",", "x"}], "]"}]}], "Input",
 CellChangeTimes->{{3.5688808594210825`*^9, 3.5688808607060843`*^9}, {
  3.5688809406511965`*^9, 3.5688809612912254`*^9}, {3.568890518394479*^9, 
  3.5688905238394866`*^9}, {3.5703675450396266`*^9, 3.5703675472696295`*^9}, {
  3.5734151152256327`*^9, 3.573415157575692*^9}}],

Cell[BoxData[
 FractionBox["2", "15"]], "Output",
 CellChangeTimes->{3.573415126535649*^9, 3.5734151584256935`*^9, 
  3.573417981676801*^9, 3.5740518487696457`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"R1", "[", 
   RowBox[{"\[Alpha]", ",", "m"}], "]"}], "=", 
  RowBox[{
   RowBox[{
    RowBox[{"58", "/", "100"}], "*", 
    RowBox[{"2", "/", "15"}], "*", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"203", "/", "100"}], ")"}], "^", "4"}], "*", 
    RowBox[{"1", "/", "6"}]}], "<", 
   RowBox[{"22", "/", "100"}]}]}]], "Input",
 CellChangeTimes->{{3.5688911516303654`*^9, 3.5688911874104156`*^9}, {
  3.568914808834773*^9, 3.568914820519789*^9}, {3.569062954556493*^9, 
  3.5690629584720993`*^9}, {3.5691465224280543`*^9, 3.569146532443272*^9}, {
  3.570365265568425*^9, 3.570365293893465*^9}, {3.5703655129147735`*^9, 
  3.570365519462784*^9}, {3.570365810391192*^9, 3.5703658121111946`*^9}, {
  3.570365870269277*^9, 3.570365874969284*^9}, {3.570366584721278*^9, 
  3.5703666000112996`*^9}, {3.5703676349747524`*^9, 3.570367680334816*^9}, {
  3.57047303578961*^9, 3.5704730399846163`*^9}, {3.5704740274109983`*^9, 
  3.5704740732460623`*^9}, {3.570474120501129*^9, 3.570474152831174*^9}, {
  3.5705179821833997`*^9, 3.5705180162884474`*^9}, {3.570518056423504*^9, 
  3.5705180593235073`*^9}, {3.57113398332785*^9, 3.5711339973678694`*^9}, {
  3.571134090453*^9, 3.571134107688024*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{
  3.5688911881104164`*^9, 3.568896752733212*^9, 3.5689007379100394`*^9, 
   3.5689148227697926`*^9, 3.5690629590805006`*^9, {3.5691465251112595`*^9, 
   3.569146533004873*^9}, 3.57003933350241*^9, 3.570363826990405*^9, {
   3.5703652700634317`*^9, 3.570365294268465*^9}, 3.5703655196927843`*^9, 
   3.570365812761195*^9, 3.570365870959278*^9, {3.5703665873262815`*^9, 
   3.570366601006301*^9}, 3.5703676819448185`*^9, 3.5704726710990996`*^9, 
   3.570473040684617*^9, {3.5704740342360077`*^9, 3.570474073646063*^9}, {
   3.5704741247861347`*^9, 3.570474153666175*^9}, 3.5705180164934473`*^9, 
   3.570518059688508*^9, 3.5709582549474373`*^9, 3.5711321036392183`*^9, {
   3.5711340974180098`*^9, 3.571134108413025*^9}, 3.5715569860875063`*^9, 
   3.571652597399415*^9, 3.571729279036065*^9, 3.5718291637377844`*^9, 
   3.572644032639914*^9, 3.573415033930519*^9, 3.573415166565705*^9, 
   3.573417981726801*^9, 3.574051848784646*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "Estimation of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["h", "\[Alpha]"], TraditionalForm]]]
}], "Subsubsection",
 CellChangeTimes->{{3.5481333374054203`*^9, 3.548133343907792*^9}, {
  3.548134332488336*^9, 3.5481343334733925`*^9}, {3.5527313378843393`*^9, 
  3.5527313378843393`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"h30abs", "[", 
    RowBox[{"\[Alpha]_", ",", "m_"}], "]"}], "=", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{"Abs", "[", 
      RowBox[{"h30", "[", 
       RowBox[{"\[Alpha]", ",", "m"}], "]"}], "]"}], ",", "assump"}], "]"}]}],
   ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"h12abs", "[", 
   RowBox[{"\[Alpha]_", ",", "m_"}], "]"}], "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{
    RowBox[{"Abs", "[", 
     RowBox[{"h12", "[", 
      RowBox[{"\[Alpha]", ",", "m"}], "]"}], "]"}], ",", "assump"}], 
   "]"}]}], "\n", 
 RowBox[{"FullSimplify", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"h30abs", "[", 
     RowBox[{"\[Alpha]", ",", "m"}], "]"}], "-", 
    RowBox[{"h12abs", "[", 
     RowBox[{"\[Alpha]", ",", "m"}], "]"}]}], ",", "assump"}], 
  "]"}]}], "Input",
 CellChangeTimes->{{3.573413515873391*^9, 3.5734135289834094`*^9}, {
   3.573414063674161*^9, 3.573414075914178*^9}, 3.5734146796850233`*^9, {
   3.573414788055175*^9, 3.5734148170202155`*^9}}],

Cell[BoxData[
 FractionBox["2", 
  SqrtBox[
   RowBox[{"\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       SuperscriptBox["m", "2"]}], "+", 
      RowBox[{"4", " ", "\[Alpha]"}]}], ")"}], " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", 
       SuperscriptBox["m", "2"]}], "+", 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"1", "+", "\[Alpha]"}], ")"}], "2"]}], ")"}]}]]]], "Output",
 CellChangeTimes->{
  3.5528039238628874`*^9, 3.5528125684991703`*^9, {3.5529012707074175`*^9, 
   3.552901279521433*^9}, 3.5533292454781003`*^9, 3.5533413407199087`*^9, 
   3.55336519417889*^9, 3.553401258189328*^9, 3.5534235574909334`*^9, 
   3.5534327921324444`*^9, 3.553503977449519*^9, 3.5535382344030457`*^9, 
   3.5539324868759875`*^9, 3.554002359800792*^9, 3.5552229456956425`*^9, 
   3.566921190727343*^9, {3.5669212552924337`*^9, 3.5669212803374686`*^9}, 
   3.5669219648784266`*^9, {3.5669221358386664`*^9, 3.5669221776987247`*^9}, {
   3.5669222525988297`*^9, 3.566922273473859*^9}, 3.5669223104839106`*^9, {
   3.5669223504289665`*^9, 3.566922368288992*^9}, 3.5685448010802517`*^9, 
   3.5685449457393055`*^9, 3.5685449810421677`*^9, 3.568546815696389*^9, 
   3.568547045125992*^9, 3.568633611422614*^9, 3.5686337362397532`*^9, 
   3.568634436028779*^9, 3.5687509600562253`*^9, 3.568832682497366*^9, 
   3.5688967463832035`*^9, 3.56890073132003*^9, 3.568914149048849*^9, 
   3.56906239490551*^9, 3.569146188603881*^9, 3.5700393206636753`*^9, 
   3.5703638222453985`*^9, 3.5704719260230565`*^9, 3.5705177813101177`*^9, 
   3.5709582518124323`*^9, 3.5711321007292137`*^9, 3.5715569832125025`*^9, 
   3.571652594584411*^9, 3.5717292760010605`*^9, 3.571829155707773*^9, 
   3.5726440232299013`*^9, {3.573413509338382*^9, 3.573413533883416*^9}, 
   3.5734141083192234`*^9, 3.573414680135024*^9, {3.5734147991601906`*^9, 
   3.5734148256702275`*^9}, 3.573417982816803*^9, 3.574051849239647*^9}],

Cell[BoxData["0"], "Output",
 CellChangeTimes->{
  3.5528039238628874`*^9, 3.5528125684991703`*^9, {3.5529012707074175`*^9, 
   3.552901279521433*^9}, 3.5533292454781003`*^9, 3.5533413407199087`*^9, 
   3.55336519417889*^9, 3.553401258189328*^9, 3.5534235574909334`*^9, 
   3.5534327921324444`*^9, 3.553503977449519*^9, 3.5535382344030457`*^9, 
   3.5539324868759875`*^9, 3.554002359800792*^9, 3.5552229456956425`*^9, 
   3.566921190727343*^9, {3.5669212552924337`*^9, 3.5669212803374686`*^9}, 
   3.5669219648784266`*^9, {3.5669221358386664`*^9, 3.5669221776987247`*^9}, {
   3.5669222525988297`*^9, 3.566922273473859*^9}, 3.5669223104839106`*^9, {
   3.5669223504289665`*^9, 3.566922368288992*^9}, 3.5685448010802517`*^9, 
   3.5685449457393055`*^9, 3.5685449810421677`*^9, 3.568546815696389*^9, 
   3.568547045125992*^9, 3.568633611422614*^9, 3.5686337362397532`*^9, 
   3.568634436028779*^9, 3.5687509600562253`*^9, 3.568832682497366*^9, 
   3.5688967463832035`*^9, 3.56890073132003*^9, 3.568914149048849*^9, 
   3.56906239490551*^9, 3.569146188603881*^9, 3.5700393206636753`*^9, 
   3.5703638222453985`*^9, 3.5704719260230565`*^9, 3.5705177813101177`*^9, 
   3.5709582518124323`*^9, 3.5711321007292137`*^9, 3.5715569832125025`*^9, 
   3.571652594584411*^9, 3.5717292760010605`*^9, 3.571829155707773*^9, 
   3.5726440232299013`*^9, {3.573413509338382*^9, 3.573413533883416*^9}, 
   3.5734141083192234`*^9, 3.573414680135024*^9, {3.5734147991601906`*^9, 
   3.5734148256702275`*^9}, 3.573417982816803*^9, 3.5740518492446465`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"MaxValue", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"h12abs", "[", 
       RowBox[{"\[Alpha]", ",", "m"}], "]"}], ",", "dom"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Alpha]", ",", "m"}], "}"}]}], "]"}], "<", 
  RowBox[{"7", "/", "10"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"7", "/", "10"}], "/", "6"}], "+", 
   RowBox[{
    RowBox[{"7", "/", "10"}], "/", "2"}]}], "<", 
  RowBox[{"47", "/", "100"}]}]}], "Input",
 CellChangeTimes->{{3.552794311957118*^9, 3.5527944160370708`*^9}, {
   3.555223640140246*^9, 3.5552236433164277`*^9}, {3.566921258972439*^9, 
   3.5669212613924417`*^9}, {3.5685448180686812`*^9, 3.568544825697095*^9}, {
   3.568546806367573*^9, 3.568546808863577*^9}, 3.56854751099061*^9, {
   3.568547583249937*^9, 3.5685477540078373`*^9}, {3.5685481328233023`*^9, 
   3.5685481384705124`*^9}, {3.5685482279834695`*^9, 
   3.5685482739411507`*^9}, {3.568555644731494*^9, 3.5685557451030703`*^9}, {
   3.568633759842103*^9, 3.5686337892897873`*^9}, {3.568833002462814*^9, 
   3.568833015372832*^9}, {3.573413452858303*^9, 3.5734134567633085`*^9}, {
   3.5734135643584614`*^9, 3.573413564518462*^9}, {3.5734139980490685`*^9, 
   3.573414045334135*^9}, {3.5734143373945436`*^9, 3.5734143772646*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{
  3.566921262052443*^9, 3.566922144028678*^9, 3.5669221830787325`*^9, {
   3.566922358563978*^9, 3.566922373924*^9}, {3.568544815042276*^9, 
   3.568544827101097*^9}, 3.5685449513709154`*^9, {3.568544985456975*^9, 
   3.568545026750248*^9}, 3.568547052551605*^9, 3.5685475534226847`*^9, {
   3.5685475872591443`*^9, 3.568547703916149*^9}, 3.5685477559110403`*^9, 
   3.568547821087955*^9, {3.5685481341025047`*^9, 3.5685481391881137`*^9}, {
   3.568548229387472*^9, 3.568548274689952*^9}, {3.5685556496143017`*^9, 
   3.56855574527467*^9}, 3.5686337536107464`*^9, 3.568633790775872*^9, 
   3.5686344498685703`*^9, 3.568636734731257*^9, 3.5687509674162354`*^9, {
   3.5688330059478188`*^9, 3.568833016067833*^9}, 3.568879503699214*^9, 
   3.5688795777304487`*^9, 3.5688967493382072`*^9, 3.5689007342700343`*^9, 
   3.568914168123876*^9, 3.569062464419232*^9, 3.5691461925038877`*^9, 
   3.570039322913804*^9, 3.5703638232103996`*^9, 3.57047193554807*^9, 
   3.570517785895124*^9, 3.570958252727434*^9, 3.5711321015692153`*^9, 
   3.571556984117504*^9, 3.5716525953894124`*^9, 3.571729276856062*^9, 
   3.5718291578677764`*^9, 3.5726440235299015`*^9, {3.573413554993446*^9, 
   3.5734135657784634`*^9}, {3.573414013999091*^9, 3.5734140476291385`*^9}, {
   3.5734143641245813`*^9, 3.5734143792896023`*^9}, 3.5734179836818037`*^9, 
   3.5740518496096473`*^9}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{
  3.566921262052443*^9, 3.566922144028678*^9, 3.5669221830787325`*^9, {
   3.566922358563978*^9, 3.566922373924*^9}, {3.568544815042276*^9, 
   3.568544827101097*^9}, 3.5685449513709154`*^9, {3.568544985456975*^9, 
   3.568545026750248*^9}, 3.568547052551605*^9, 3.5685475534226847`*^9, {
   3.5685475872591443`*^9, 3.568547703916149*^9}, 3.5685477559110403`*^9, 
   3.568547821087955*^9, {3.5685481341025047`*^9, 3.5685481391881137`*^9}, {
   3.568548229387472*^9, 3.568548274689952*^9}, {3.5685556496143017`*^9, 
   3.56855574527467*^9}, 3.5686337536107464`*^9, 3.568633790775872*^9, 
   3.5686344498685703`*^9, 3.568636734731257*^9, 3.5687509674162354`*^9, {
   3.5688330059478188`*^9, 3.568833016067833*^9}, 3.568879503699214*^9, 
   3.5688795777304487`*^9, 3.5688967493382072`*^9, 3.5689007342700343`*^9, 
   3.568914168123876*^9, 3.569062464419232*^9, 3.5691461925038877`*^9, 
   3.570039322913804*^9, 3.5703638232103996`*^9, 3.57047193554807*^9, 
   3.570517785895124*^9, 3.570958252727434*^9, 3.5711321015692153`*^9, 
   3.571556984117504*^9, 3.5716525953894124`*^9, 3.571729276856062*^9, 
   3.5718291578677764`*^9, 3.5726440235299015`*^9, {3.573413554993446*^9, 
   3.5734135657784634`*^9}, {3.573414013999091*^9, 3.5734140476291385`*^9}, {
   3.5734143641245813`*^9, 3.5734143792896023`*^9}, 3.5734179836818037`*^9, 
   3.574051849619647*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "Showing that ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["h", "\[Alpha]"], TraditionalForm]]],
 " is injective on ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["B", 
    RowBox[{"1", "/", "2"}]], TraditionalForm]]],
 " and ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["h", 
    RowBox[{"-", "1"}]], TraditionalForm]]],
 " is valid in ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["B", 
    RowBox[{"1", "/", "3"}]], TraditionalForm]]]
}], "Subsubsection",
 CellChangeTimes->{{3.549360802259448*^9, 3.5493608248704796`*^9}, {
   3.5527313379743395`*^9, 3.5527313379743395`*^9}, {3.5534329997563195`*^9, 
   3.5534329998243237`*^9}, 3.553932514266554*^9, {3.5540286826123705`*^9, 
   3.554028713378131*^9}, {3.554028975364115*^9, 3.554029025018955*^9}, {
   3.5711421995513525`*^9, 3.571142211146369*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"1", "/", "3"}], "+", 
   RowBox[{
    RowBox[{"47", "/", "100"}], "*", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"1", "/", "2"}], ")"}], "^", "3"}]}]}], "<", 
  RowBox[{"1", "/", "2"}]}]], "Input",
 CellChangeTimes->{{3.5493608432205057`*^9, 3.5493608909705725`*^9}, {
   3.5527331236226287`*^9, 3.552733123766637*^9}, {3.55343284834966*^9, 
   3.5534329294362974`*^9}, 3.5539325142675543`*^9, {3.5540287646980658`*^9, 
   3.554028955248965*^9}, {3.566922864089686*^9, 3.5669229038347416`*^9}, {
   3.5688351184417763`*^9, 3.568835128791791*^9}, {3.568835217786916*^9, 
   3.568835236631942*^9}, {3.568835417407195*^9, 3.568835417527195*^9}, {
   3.568835697902588*^9, 3.568835700217591*^9}, {3.5688357462776556`*^9, 
   3.5688357629876785`*^9}, {3.568879643823229*^9, 3.5688796665885305`*^9}, {
   3.568914360014145*^9, 3.5689143698241587`*^9}, {3.56907001921311*^9, 
   3.5690700197123113`*^9}, {3.569146384694222*^9, 3.5691463849438224`*^9}, {
   3.5711419160909557`*^9, 3.5711419194759607`*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{
  3.56692293870979*^9, 3.5688351421868095`*^9, 3.5688352203219194`*^9, {
   3.568835751617663*^9, 3.56883576371268*^9}, {3.5688796474064336`*^9, 
   3.5688796673865767`*^9}, 3.568896749678208*^9, 3.568900734605035*^9, {
   3.5689143664991536`*^9, 3.5689143764041677`*^9}, 3.5690700408503485`*^9, 
   3.5691463926658363`*^9, 3.5700393314362917`*^9, 3.5703638257504034`*^9, 
   3.5709582534874353`*^9, 3.5711321022242165`*^9, 3.5711419334609804`*^9, 
   3.571142181391328*^9, 3.5715569848325047`*^9, 3.571652596049413*^9, 
   3.571729277541063*^9, 3.5718291607927804`*^9, 3.5726440300399103`*^9, 
   3.573414639579967*^9, 3.5734179837218037`*^9, 3.5740518496346474`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"3", "*", 
   RowBox[{"(", 
    RowBox[{"47", "/", "100"}], ")"}], "*", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"1", "/", "2"}], ")"}], "^", "2"}]}], "<", "1"}]], "Input",
 CellChangeTimes->{{3.568836039543066*^9, 3.568836088058134*^9}, {
  3.5688796740499573`*^9, 3.5688796755110407`*^9}, {3.5688797434279256`*^9, 
  3.568879771777547*^9}, {3.5689143820891757`*^9, 3.5689143879391837`*^9}, {
  3.5690700228947167`*^9, 3.5690700234407177`*^9}, {3.5691463883446283`*^9, 
  3.569146388547429*^9}, {3.5711419020459366`*^9, 3.571141906715943*^9}, {
  3.571142157416294*^9, 3.5711421579862947`*^9}, {3.5711427332831*^9, 
  3.5711427334031005`*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{
  3.568836089178136*^9, 3.5688796763440886`*^9, {3.568879767086279*^9, 
   3.56887977217857*^9}, 3.568896749728208*^9, 3.568900734650035*^9, 
   3.5689143900241866`*^9, 3.5690700432527523`*^9, 3.5691463942882385`*^9, 
   3.570039331489295*^9, 3.570363825780403*^9, 3.570958253517435*^9, 
   3.5711321022592163`*^9, 3.571141912700951*^9, 3.571142159626297*^9, 
   3.571142734988103*^9, 3.5715569848525047`*^9, 3.571652596069413*^9, 
   3.571729277571063*^9, 3.5718291608527803`*^9, 3.5726440300949106`*^9, 
   3.5734146418949704`*^9, 3.573417983761804*^9, 3.574051849649647*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[{
 "Estimation of ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["h", 
    RowBox[{"-", "1"}]], TraditionalForm]]]
}], "Subsubsection",
 CellChangeTimes->{{3.5734152506908226`*^9, 3.573415264710842*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"1", "/", 
   RowBox[{"(", 
    RowBox[{"1", "-", 
     RowBox[{
      RowBox[{"47", "/", "100"}], "/", 
      RowBox[{"5", "^", "2"}]}]}], ")"}]}], "<", 
  RowBox[{"102", "/", "100"}]}]], "Input",
 CellChangeTimes->{{3.5481515845880995`*^9, 3.5481516288896337`*^9}, {
   3.548160278471361*^9, 3.5481603054879065`*^9}, {3.5481604233516483`*^9, 
   3.5481604238146744`*^9}, {3.5527350949940014`*^9, 3.552735129377261*^9}, {
   3.5527965027624245`*^9, 3.5527965477910004`*^9}, {3.552806220386241*^9, 
   3.552806241037422*^9}, {3.5539334438577237`*^9, 3.553933469246176*^9}, {
   3.554001607177745*^9, 3.554001645353928*^9}, {3.5688361684782467`*^9, 
   3.5688362210433197`*^9}, {3.568891500105853*^9, 3.568891510075867*^9}, {
   3.568914874489865*^9, 3.568914884349879*^9}, {3.569062974711728*^9, 
   3.569062989406954*^9}, {3.56914657677855*^9, 3.569146581536558*^9}, {
   3.569146631144645*^9, 3.5691466369322557`*^9}, {3.570472757909221*^9, 
   3.570472770694239*^9}, 3.570472810784295*^9, {3.5704737487706084`*^9, 
   3.570473758890622*^9}, {3.570518070433523*^9, 3.5705180820685396`*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{{3.554001633239235*^9, 3.5540016466970053`*^9}, 
   3.554002925581153*^9, 3.555222949529649*^9, {3.568836201128292*^9, 
   3.568836221768321*^9}, {3.5688915066108627`*^9, 3.568891510470868*^9}, 
   3.568896752833212*^9, 3.56890073799504*^9, 3.56891488526488*^9, {
   3.569062975164129*^9, 3.569062989547354*^9}, 3.5691465826441603`*^9, 
   3.5691466374314566`*^9, 3.570039333547413*^9, 3.570363827020405*^9, {
   3.570472759014223*^9, 3.57047277131424*^9}, 3.570472811664296*^9, {
   3.57047375001061*^9, 3.5704737592756233`*^9}, {3.570518074108528*^9, 
   3.5705180826235404`*^9}, 3.5709582549874372`*^9, 3.571132103669218*^9, 
   3.5715569861075068`*^9, 3.571652597424415*^9, 3.571729279076065*^9, 
   3.5718291637927847`*^9, 3.5726440326799145`*^9, 3.5734152914358797`*^9, 
   3.5734179838018045`*^9, 3.574051849669647*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"hinv\[Alpha]m", "[", 
   RowBox[{"z_", ",", "\[Alpha]_", ",", "m_"}], "]"}], "=", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"hinv", "[", "z", "]"}], "/.", "solhinv3"}], "/.", 
     RowBox[{"H20", "\[Rule]", " ", "0"}]}], "/.", " ", 
    RowBox[{"H11", "\[Rule]", " ", "0"}]}], "/.", 
   RowBox[{"H02", "\[Rule]", " ", "0"}]}]}]], "Input",
 CellChangeTimes->{{3.5734154520811043`*^9, 3.5734155481662393`*^9}, {
  3.573415589351297*^9, 3.573415593726303*^9}, {3.5734156592213945`*^9, 
  3.5734156727164135`*^9}, {3.5734157167514753`*^9, 3.5734157723365526`*^9}}],

Cell[BoxData[
 RowBox[{"z", "-", 
  FractionBox[
   RowBox[{"H30", " ", 
    SuperscriptBox["z", "3"]}], "6"], "-", 
  RowBox[{
   FractionBox["1", "2"], " ", "H12", " ", "z", " ", 
   SuperscriptBox[
    RowBox[{"Conjugate", "[", "z", "]"}], "2"]}]}]], "Output",
 CellChangeTimes->{
  3.5734154447960944`*^9, 3.573415497241168*^9, {3.5734155442362337`*^9, 
   3.5734155491962404`*^9}, 3.5734155983863096`*^9, 3.573415673606415*^9, {
   3.573415743556513*^9, 3.573415773976555*^9}, 3.5734179838418045`*^9, 
   3.574051849684647*^9}]
}, Open  ]],

Cell[BoxData[""], "Input"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"R3hpar", "[", 
    RowBox[{"w_", ",", "conjw_"}], "]"}], "=", 
   RowBox[{"w", "-", 
    RowBox[{"hinv3hpar", "[", 
     RowBox[{"w", ",", "conjw"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"CoeffR3", "[", 
    RowBox[{"\[Alpha]_", ",", "m_"}], "]"}], "=", 
   RowBox[{"Refine", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"CoefficientList", "[", 
        RowBox[{
         RowBox[{"R3hpar", "[", 
          RowBox[{"w", ",", "conjw"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"w", ",", "conjw"}], "}"}]}], "]"}], "/.", "solhinv3"}], "/.",
       "hrules"}], ",", "assump"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"FullSimplify", "[", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"CoeffR3", "[", 
        RowBox[{"\[Alpha]", ",", "m"}], "]"}], "[", 
       RowBox[{"[", 
        RowBox[{
         RowBox[{"i", "+", "1"}], ",", 
         RowBox[{"j", "+", "1"}]}], "]"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"i", ",", "0", ",", "4"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"j", ",", "0", ",", 
        RowBox[{"4", "-", "i"}]}], "}"}]}], "]"}], ",", "assump"}], "]"}], 
  RowBox[{"(*", "check", "*)"}]}]}], "Input",
 CellChangeTimes->{{3.53934710228125*^9, 3.5393471126875*^9}, {
   3.53934715703125*^9, 3.539347158765625*^9}, {3.53934722934375*^9, 
   3.539347276453125*^9}, {3.539347317203125*^9, 3.539347326984375*^9}, {
   3.539348515546875*^9, 3.539348515875*^9}, 3.5393485569375*^9, {
   3.53934905209375*^9, 3.539349058859375*^9}, {3.53935023546875*^9, 
   3.539350236140625*^9}, {3.539351372953125*^9, 3.5393513745625*^9}, {
   3.5395757398125*^9, 3.5395757413125*^9}, {3.548151707107107*^9, 
   3.548151707767145*^9}, {3.5481517418520947`*^9, 3.548151753253747*^9}, {
   3.5481521668584037`*^9, 3.5481521687255106`*^9}, {3.5481522140701036`*^9, 
   3.548152219747429*^9}, {3.548152291559536*^9, 3.54815229862494*^9}, {
   3.5481533874842196`*^9, 3.5481533905683956`*^9}, {3.548153434159889*^9, 
   3.548153451957907*^9}, {3.54815353330656*^9, 3.548153595130096*^9}, {
   3.5481536252568192`*^9, 3.5481536472550774`*^9}, {3.548154829146678*^9, 
   3.548154847859748*^9}, {3.5481549215599637`*^9, 3.548154922323007*^9}, {
   3.5481550230207667`*^9, 3.5481550236618032`*^9}, {3.5527313381643395`*^9, 
   3.5527313382143393`*^9}, {3.5527356599650583`*^9, 3.552735665345066*^9}, {
   3.5527357264151516`*^9, 3.552735752625188*^9}, {3.553402004480014*^9, 
   3.553402015668654*^9}, {3.553933561849472*^9, 3.553933608547144*^9}, {
   3.5539336634982862`*^9, 3.5539337279949756`*^9}, {3.553933783008122*^9, 
   3.5539337855882697`*^9}, {3.5539346923331327`*^9, 
   3.5539347131283216`*^9}, {3.553935121181661*^9, 3.553935125778924*^9}, {
   3.5539351669552794`*^9, 3.553935200333188*^9}, {3.5540029937620525`*^9, 
   3.5540029952841396`*^9}, 3.568546469672181*^9, {3.56863404424537*^9, 
   3.5686340444703827`*^9}, {3.5688362448783536`*^9, 3.5688362552633677`*^9}}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0", ",", "0"}], "}"}], ",", 
   RowBox[{"{", "0", "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.553934770738617*^9, 3.5539352808627944`*^9, 3.554002947508407*^9, 
   3.554003079316946*^9, 3.5552229796892986`*^9, 3.566924870567495*^9, {
   3.568634033829774*^9, 3.5686340473195457`*^9}, 3.5686345075288687`*^9, 
   3.568750997281277*^9, 3.5688362633233795`*^9, 3.5688915331059*^9, 
   3.568896753268213*^9, 3.56890073850504*^9, 3.568914986070021*^9, 
   3.569063010388991*^9, 3.5691467161491947`*^9, 3.5700393341944494`*^9, 
   3.5703638272104053`*^9, 3.570473067604655*^9, 3.570518194156698*^9, 
   3.5709582551574373`*^9, 3.5711321039042187`*^9, 3.571556986277507*^9, 
   3.571652597609415*^9, 3.5717292793910656`*^9, 3.5718291644127855`*^9, 
   3.572644033224915*^9, 3.5734154142010517`*^9, 3.573417984231805*^9, 
   3.5740518497846475`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"hinvmax", "[", "z_", "]"}], "=", 
  RowBox[{"z", "+", 
   FractionBox[
    RowBox[{"H12", " ", 
     SuperscriptBox["z", "3"]}], "2"], "+", 
   FractionBox[
    RowBox[{"H30", " ", 
     SuperscriptBox["z", "3"]}], "6"]}]}]], "Input",
 CellChangeTimes->{
  3.553936949707247*^9, 3.5688364484486384`*^9, {3.56883649968371*^9, 
   3.5688365884988346`*^9}, {3.568837144017619*^9, 3.5688371448476205`*^9}, {
   3.5688371906076846`*^9, 3.568837230997741*^9}, {3.5690632922190857`*^9, 
   3.5690633005027003`*^9}}],

Cell[BoxData[
 RowBox[{"z", "+", 
  FractionBox[
   RowBox[{"H12", " ", 
    SuperscriptBox["z", "3"]}], "2"], "+", 
  FractionBox[
   RowBox[{"H30", " ", 
    SuperscriptBox["z", "3"]}], "6"]}]], "Output",
 CellChangeTimes->{
  3.568836591938839*^9, {3.568837134982607*^9, 3.5688371656276493`*^9}, {
   3.568837217087722*^9, 3.568837233592745*^9}, 3.568891653071068*^9, 
   3.5688967575782185`*^9, 3.568900743580047*^9, 3.5689151786002903`*^9, 
   3.5690633023747034`*^9, 3.569146880199083*^9, 3.570039340402805*^9, 
   3.5703638302254095`*^9, 3.5704731568547792`*^9, 3.5705183377918997`*^9, 
   3.57095825699244*^9, 3.5711321059792213`*^9, 3.571556988047509*^9, 
   3.5716525994994183`*^9, 3.5717292814860687`*^9, 3.5718291702527933`*^9, 
   3.572644037739921*^9, 3.573416051503952*^9, 3.5734179843018045`*^9, 
   3.5740518497996473`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"R3Hat", "[", 
     RowBox[{"w_", ",", "conjw_"}], "]"}], "=", 
    RowBox[{
     RowBox[{"FunctionExpand", "[", 
      RowBox[{"hinvmax", "[", 
       RowBox[{"h", "[", "w", "]"}], "]"}], "]"}], "/.", 
     RowBox[{
      RowBox[{"Conjugate", "[", "w", "]"}], "\[Rule]", " ", "conjw"}]}]}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"R3Hat1var", "[", "x_", "]"}], "=", 
     RowBox[{
      RowBox[{
       RowBox[{"R3Hat", "[", 
        RowBox[{"w", ",", "conjw"}], "]"}], "/.", 
       RowBox[{"conjw", "\[Rule]", " ", "u"}]}], " ", "/.", " ", 
      RowBox[{"w", "\[Rule]", " ", "u"}]}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"R3HatHigherTo4th", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{"CoefficientList", "[", 
          RowBox[{
           RowBox[{"R3Hat1var", "[", "u", "]"}], ",", "u"}], "]"}], 
         "\[LeftDoubleBracket]", 
         RowBox[{"i", "+", "1"}], "\[RightDoubleBracket]"}], "/", 
        RowBox[{"5", "^", 
         RowBox[{"(", 
          RowBox[{"i", "-", "4"}], ")"}]}]}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "4", ",", "9"}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Total", "[", 
     RowBox[{"Simplify", "[", 
      RowBox[{
       RowBox[{
        RowBox[{
         RowBox[{
          RowBox[{"R3HatHigherTo4th", "/.", " ", 
           RowBox[{"H20", "\[Rule]", " ", "0"}]}], " ", "/.", " ", 
          RowBox[{"H11", " ", "\[Rule]", "  ", "0"}]}], " ", "/.", " ", 
         RowBox[{"H02", "\[Rule]", " ", "0"}]}], "/.", " ", 
        RowBox[{"H30", "\[Rule]", " ", 
         RowBox[{"70", "/", "100"}]}]}], " ", "/.", " ", 
       RowBox[{"H12", " ", "\[Rule]", " ", 
        RowBox[{"70", "/", "100"}]}]}], " ", "]"}], "]"}], "<", 
    RowBox[{"14", "/", "100"}]}]}]}]], "Input",
 CellChangeTimes->{{3.539351401578125*^9, 3.539351494921875*^9}, {
   3.53935154515625*^9, 3.539351547078125*^9}, {3.53935159153125*^9, 
   3.539351640421875*^9}, {3.539351694078125*^9, 3.539351731859375*^9}, {
   3.539351771734375*^9, 3.539351785328125*^9}, {3.539351849078125*^9, 
   3.539351868921875*^9}, {3.539351929921875*^9, 3.539351936046875*^9}, {
   3.539351969875*^9, 3.539352045921875*^9}, {3.53935209571875*^9, 
   3.539352095859375*^9}, {3.539352214390625*^9, 3.539352261453125*^9}, {
   3.53935229675*^9, 3.539352317203125*^9}, {3.5393523915625*^9, 
   3.539352453703125*^9}, {3.53935254946875*^9, 3.539352592796875*^9}, {
   3.539352627125*^9, 3.5393526405*^9}, {3.539352777453125*^9, 
   3.53935278034375*^9}, {3.539356857450243*^9, 3.5393569735248823`*^9}, 
   3.5393570324102497`*^9, {3.53935706737825*^9, 3.539357068318304*^9}, {
   3.5393579984295034`*^9, 3.539358084515427*^9}, {3.5393581470490036`*^9, 
   3.5393581496331515`*^9}, {3.5393581871342964`*^9, 3.5393582104076276`*^9}, 
   3.5393582441975603`*^9, {3.5393591780739746`*^9, 3.539359198149123*^9}, {
   3.5393594835144453`*^9, 3.5393594984703007`*^9}, {3.5393595292210593`*^9, 
   3.5393595293110647`*^9}, 3.539368991163252*^9, {3.539432659859375*^9, 
   3.539432672625*^9}, {3.539432771796875*^9, 3.539432772796875*^9}, {
   3.539432906125*^9, 3.53943297103125*^9}, 3.53943312259375*^9, {
   3.539517152875*^9, 3.539517174328125*^9}, {3.5395805321875*^9, 
   3.539580532453125*^9}, {3.53968526146875*^9, 3.539685276515625*^9}, {
   3.53968666159375*^9, 3.539686661671875*^9}, {3.539939264640625*^9, 
   3.53993926565625*^9}, {3.53994015615625*^9, 3.539940173421875*^9}, {
   3.548157159944992*^9, 3.548157259026659*^9}, {3.5481572910834923`*^9, 
   3.5481573178660245`*^9}, {3.548157358968375*^9, 3.5481573968225403`*^9}, {
   3.5481574839885263`*^9, 3.548157510003014*^9}, 3.548157599635141*^9, {
   3.5481579040125504`*^9, 3.5481579489321194`*^9}, {3.548157986546271*^9, 
   3.548157990066472*^9}, {3.548160695180196*^9, 3.548160740482787*^9}, {
   3.55273133852434*^9, 3.5527313385543404`*^9}, {3.552737232334261*^9, 
   3.552737276634323*^9}, {3.5527972659840784`*^9, 3.5527972664491053`*^9}, {
   3.552797313142776*^9, 3.5527973135087967`*^9}, {3.552797569241424*^9, 
   3.5527975735676713`*^9}, {3.5528074385219145`*^9, 3.552807447023401*^9}, {
   3.5528138195511513`*^9, 3.5528138259711604`*^9}, {3.553936437073926*^9, 
   3.5539364618423424`*^9}, {3.553936902928571*^9, 3.5539369038616247`*^9}, {
   3.5539369715184946`*^9, 3.5539370182781687`*^9}, {3.5539370770085278`*^9, 
   3.5539370885051856`*^9}, {3.553937126323349*^9, 3.553937126590364*^9}, {
   3.5539371753351517`*^9, 3.5539371754721603`*^9}, 3.5539372253370123`*^9, {
   3.553937509977292*^9, 3.553937510576327*^9}, {3.5539379641442695`*^9, 
   3.553937971600696*^9}, {3.553938989249902*^9, 3.553938990495973*^9}, {
   3.553939670909891*^9, 3.5539396709938955`*^9}, {3.554001503886837*^9, 
   3.5540015041158495`*^9}, {3.554013378177007*^9, 3.554013378211009*^9}, 
   3.568836628643891*^9, {3.568836710279005*^9, 3.5688367107440057`*^9}, {
   3.5688369944674067`*^9, 3.5688370968625536`*^9}, {3.568837263182786*^9, 
   3.568837297797835*^9}, {3.56889166202108*^9, 3.568891665231085*^9}, {
   3.5688920461816177`*^9, 3.568892046951619*^9}, 3.568896885253398*^9, {
   3.5689151885553045`*^9, 3.5689151950403137`*^9}, {3.568916162571668*^9, 
   3.5689161627766685`*^9}, {3.568916532050187*^9, 3.568916532240187*^9}, {
   3.5690633141839247`*^9, 3.569063354634795*^9}, {3.5690635275766993`*^9, 
   3.569063550025139*^9}, {3.5690636785391645`*^9, 3.569063692329589*^9}, {
   3.5690647488794413`*^9, 3.569064768707076*^9}, {3.5691468885918975`*^9, 
   3.569146907007927*^9}, {3.5704732102398543`*^9, 3.5704732268198776`*^9}, {
   3.5704737212155695`*^9, 3.5704737281605797`*^9}, {3.570473776280647*^9, 
   3.5704737795206513`*^9}, {3.5705183442169085`*^9, 3.570518371496947*^9}, {
   3.573416176684128*^9, 3.5734162001191607`*^9}}],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{
    SuperscriptBox["conjw", "2"], " ", "H02"}], "2"], "+", "w", "+", 
  RowBox[{"conjw", " ", "H11", " ", "w"}], "+", 
  RowBox[{
   FractionBox["1", "2"], " ", 
   SuperscriptBox["conjw", "2"], " ", "H12", " ", "w"}], "+", 
  FractionBox[
   RowBox[{"H20", " ", 
    SuperscriptBox["w", "2"]}], "2"], "+", 
  FractionBox[
   RowBox[{"H30", " ", 
    SuperscriptBox["w", "3"]}], "6"], "+", 
  RowBox[{
   FractionBox["1", "2"], " ", "H12", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      FractionBox[
       RowBox[{
        SuperscriptBox["conjw", "2"], " ", "H02"}], "2"], "+", "w", "+", 
      RowBox[{"conjw", " ", "H11", " ", "w"}], "+", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       SuperscriptBox["conjw", "2"], " ", "H12", " ", "w"}], "+", 
      FractionBox[
       RowBox[{"H20", " ", 
        SuperscriptBox["w", "2"]}], "2"], "+", 
      FractionBox[
       RowBox[{"H30", " ", 
        SuperscriptBox["w", "3"]}], "6"]}], ")"}], "3"]}], "+", 
  RowBox[{
   FractionBox["1", "6"], " ", "H30", " ", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{
      FractionBox[
       RowBox[{
        SuperscriptBox["conjw", "2"], " ", "H02"}], "2"], "+", "w", "+", 
      RowBox[{"conjw", " ", "H11", " ", "w"}], "+", 
      RowBox[{
       FractionBox["1", "2"], " ", 
       SuperscriptBox["conjw", "2"], " ", "H12", " ", "w"}], "+", 
      FractionBox[
       RowBox[{"H20", " ", 
        SuperscriptBox["w", "2"]}], "2"], "+", 
      FractionBox[
       RowBox[{"H30", " ", 
        SuperscriptBox["w", "3"]}], "6"]}], ")"}], "3"]}]}]], "Output",
 CellChangeTimes->{{3.569063341171972*^9, 3.5690633552743964`*^9}, {
   3.569063528699901*^9, 3.56906355080514*^9}, {3.5690636793191657`*^9, 
   3.5690636926571894`*^9}, {3.5690647520618467`*^9, 
   3.5690647693466773`*^9}, {3.5691469012047167`*^9, 3.5691469081155286`*^9}, 
   3.5700393404678087`*^9, 3.5703638302604094`*^9, {3.570473219924868*^9, 
   3.5704732279348793`*^9}, {3.570473723120572*^9, 3.5704737286655803`*^9}, 
   3.570473779945652*^9, {3.570518360741932*^9, 3.570518372351948*^9}, 
   3.57095825702244*^9, 3.5711321060242214`*^9, 3.5715569880775094`*^9, 
   3.571652599534418*^9, 3.5717292815260687`*^9, 3.571829170327794*^9, 
   3.5726440378149214`*^9, {3.573416046001936*^9, 3.573416053918956*^9}, {
   3.5734161771391277`*^9, 3.5734162046341667`*^9}, 3.5734179843518047`*^9, 
   3.574051849834647*^9}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{{3.569063341171972*^9, 3.5690633552743964`*^9}, {
   3.569063528699901*^9, 3.56906355080514*^9}, {3.5690636793191657`*^9, 
   3.5690636926571894`*^9}, {3.5690647520618467`*^9, 
   3.5690647693466773`*^9}, {3.5691469012047167`*^9, 3.5691469081155286`*^9}, 
   3.5700393404678087`*^9, 3.5703638302604094`*^9, {3.570473219924868*^9, 
   3.5704732279348793`*^9}, {3.570473723120572*^9, 3.5704737286655803`*^9}, 
   3.570473779945652*^9, {3.570518360741932*^9, 3.570518372351948*^9}, 
   3.57095825702244*^9, 3.5711321060242214`*^9, 3.5715569880775094`*^9, 
   3.571652599534418*^9, 3.5717292815260687`*^9, 3.571829170327794*^9, 
   3.5726440378149214`*^9, {3.573416046001936*^9, 3.573416053918956*^9}, {
   3.5734161771391277`*^9, 3.5734162046341667`*^9}, 3.5734179843518047`*^9, 
   3.5740518498396473`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"14", "/", "100"}], "*", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"102", "/", "100"}], ")"}], "^", "4"}]}], "<", 
  RowBox[{"16", "/", "100"}]}]], "Input",
 CellChangeTimes->{{3.568892092891683*^9, 3.5688921100117073`*^9}, 
   3.568915251095392*^9, {3.5689161998567204`*^9, 3.5689161999767203`*^9}, {
   3.5689166308053255`*^9, 3.5689166310753255`*^9}, {3.569063458889778*^9, 
   3.569063471245*^9}, {3.569063556920351*^9, 3.5690635911624107`*^9}, {
   3.569063695917595*^9, 3.569063717586033*^9}, {3.569064763449867*^9, 
   3.569064779393095*^9}, {3.569146921734352*^9, 3.569146935774377*^9}, {
   3.570473299124979*^9, 3.570473315475002*^9}, {3.5705183745069513`*^9, 
   3.5705183833269634`*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{
  3.5688921102167077`*^9, 3.5688967578682194`*^9, 3.5689007437650476`*^9, 
   3.568915253040395*^9, 3.5689162010017223`*^9, 3.568916637590335*^9, {
   3.569063463850587*^9, 3.5690634719470015`*^9}, {3.569063557497552*^9, 
   3.5690635918176117`*^9}, {3.569063699443201*^9, 3.569063730237655*^9}, {
   3.569064774026685*^9, 3.5690647798610954`*^9}, {3.5691469291287656`*^9, 
   3.5691469364295783`*^9}, 3.570039340513811*^9, 3.5703638302904096`*^9, {
   3.570473304714987*^9, 3.570473316185003*^9}, {3.57051838075696*^9, 
   3.5705183835869637`*^9}, 3.57095825704244*^9, 3.5711321060642214`*^9, 
   3.5715569881025095`*^9, 3.571652599554418*^9, 3.5717292815560684`*^9, 
   3.571829170387794*^9, 3.5726440378649216`*^9, 3.5734160597539635`*^9, 
   3.573417984401805*^9, 3.574051849864648*^9}]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Estimation of R2", "Subsubsection",
 CellChangeTimes->{{3.5540041487711153`*^9, 3.554004178936841*^9}, {
  3.573416105914028*^9, 3.573416106214029*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"hmax", "[", "w_", "]"}], "=", 
   RowBox[{"w", "+", 
    RowBox[{
     RowBox[{"47", "/", "100"}], " ", 
     RowBox[{"w", "^", "3"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Gmax", "[", "z_", "]"}], "=", 
   RowBox[{"z", "+", " ", 
    RowBox[{
     RowBox[{"157", "/", "100"}], " ", 
     RowBox[{"z", "^", "3"}]}], "+", " ", 
    RowBox[{
     RowBox[{"22", "/", "100"}], " ", 
     RowBox[{"z", "^", "4"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"hinvmaxnum", "[", "z_", "]"}], "=", 
   RowBox[{"z", "+", 
    RowBox[{
     RowBox[{"47", "/", "100"}], " ", 
     RowBox[{"z", "^", "3"}]}], "+", " ", 
    RowBox[{
     RowBox[{"16", "/", "100"}], " ", 
     RowBox[{"z", "^", "4"}]}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Q", "[", "w_", "]"}], "=", 
   RowBox[{"Expand", "[", " ", 
    RowBox[{"hinvmaxnum", "[", 
     RowBox[{"Gmax", "[", 
      RowBox[{"hmax", "[", "w", "]"}], "]"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Total", "[", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"Coefficient", "[", 
       RowBox[{
        RowBox[{"Q", "[", "w", "]"}], ",", "w", ",", "i"}], "]"}], "/", 
      RowBox[{"5", "^", 
       RowBox[{"(", 
        RowBox[{"i", "-", "4"}], ")"}]}]}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "4", ",", "48"}], "}"}]}], "]"}], "]"}], "<", 
  RowBox[{"159", "/", "100"}]}]}], "Input",
 CellChangeTimes->CompressedData["
1:eJwdzXlIk3EAxvGhS8kKxRJtoEveqZuCM1pLO6jXqQgK4jGQJP+YBx6JoENJ
LIgwMCTNY25OnEZa4jElRRMdNBXcHHjhTMohY+Z6wWk2RniAv+f94+HD89c3
XFGZVeTF4XAiyKBP2Ll/Vx1DW3juQCjOnA6BfroZ1o995lBY8miDNYC3mD+N
L7CwZh7YG74Rj3rX3sJTl70JFuoimmHbwD/hDLEsb1AE+2ttqXPEeCYjB+6u
eMYMxPXyK+Mw7ljq/k5UnWxyjMTWS7+40HrdeBm6zdsdcHtfqYI9Luopt5Oh
H4yPsD6nFwpg/qyyEAp/robyiarZcj70atdS0ESFCeGXdVMcdMoK7sGFY+Yx
VDs/P4GRRY4sqE/Ry2H6q+6SaGJL2mQFHG5sd8Cqm/w/MPfWa98Y4pt6NWtN
aWQwDPCWsI7ZkpeqiGK1Yhm+sCh+QJ7azuoYatuBU3qjDbr2539DpUzuhNfO
HkZVEw1nQyIokJ5WwKarmkq4d8Rt1BLrTNZmmPhu7uuhhqE9J8UTsOYOJaa6
SO+TgPXZ3S0ZfP9BmgRvjO5qoUdj1cHSv2WxCUTpRpAEttYaEuB/n9v3YUvD
y2xJN0OPbGnk8AICjzVu
  "]],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{{3.553939630239565*^9, 3.553939654846972*^9}, 
   3.5539396959253216`*^9, 3.5540016579816504`*^9, 3.55400402506504*^9, 
   3.5540040901787643`*^9, 3.554005326973505*^9, 3.5540054156645775`*^9, {
   3.5540117700440273`*^9, 3.554011811713411*^9}, 3.554014601100954*^9, 
   3.5540213574983983`*^9, 3.5540214611423264`*^9, 3.554022581254393*^9, 
   3.555223091952281*^9, {3.568892299526973*^9, 3.5688923480720406`*^9}, {
   3.568892416292136*^9, 3.5688924220821443`*^9}, {3.5688925702523518`*^9, 
   3.5688925902923794`*^9}, 3.5688967579282193`*^9, 3.5689007438350477`*^9, 
   3.56891531373548*^9, {3.5689162779368296`*^9, 3.5689162979168577`*^9}, 
   3.568916668475378*^9, 3.569063521851489*^9, {3.569063619571061*^9, 
   3.5690636239078684`*^9}, {3.569063661893935*^9, 3.5690636706611505`*^9}, {
   3.5690637353388643`*^9, 3.569063747538086*^9}, {3.569064264086193*^9, 
   3.569064272120207*^9}, {3.56906481659916*^9, 3.5690648292975826`*^9}, {
   3.5691469842340565`*^9, 3.5691470073048954`*^9}, 3.570039340574815*^9, 
   3.57036383032541*^9, {3.5703679035231295`*^9, 3.570367908348136*^9}, 
   3.5704733431000404`*^9, 3.570473506545269*^9, {3.5704742088962526`*^9, 
   3.570474239381295*^9}, 3.5705184329770327`*^9, 3.5705184821471014`*^9, 
   3.57095825706744*^9, 3.5711321061092215`*^9, 3.5715569881325097`*^9, {
   3.571557027827565*^9, 3.571557037637579*^9}, 3.571652599589418*^9, 
   3.5717292815960684`*^9, 3.5718291705477943`*^9, 3.5726440379299216`*^9, 
   3.573416066928974*^9, 3.5734162196591873`*^9, 3.573417984451805*^9, 
   3.5740518498896475`*^9}]
}, Open  ]],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"hinvG3h", "[", 
    RowBox[{"w_", ",", "conjw_"}], "]"}], "=", 
   RowBox[{"FunctionExpand", "[", 
    RowBox[{"hinv", "[", 
     RowBox[{"G3h", "[", 
      RowBox[{"w", ",", "conjw"}], "]"}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"coeffhinvG3h", "=", 
   RowBox[{"CoefficientList", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"hinvG3h", "[", 
       RowBox[{"w", ",", 
        RowBox[{"Conjugate", "[", "w", "]"}]}], "]"}], "/.", 
      RowBox[{
       RowBox[{"Conjugate", "[", "w", "]"}], "\[Rule]", " ", "conjw"}]}], ",", 
     RowBox[{"{", 
      RowBox[{"w", ",", "conjw"}], "}"}]}], "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.55386472451995*^9, 3.553864739111785*^9}, {
  3.5538892114691725`*^9, 3.553889213605294*^9}, {3.5539202578358717`*^9, 
  3.5539202876945796`*^9}, {3.5540042690079927`*^9, 3.554004275865385*^9}, {
  3.5688924531821876`*^9, 3.568892475297219*^9}, {3.56889305358103*^9, 
  3.5688930963630934`*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"c", "[", 
   RowBox[{"\[Alpha]_", ",", "m_"}], "]"}], "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"coeffhinvG3h", "\[LeftDoubleBracket]", 
         RowBox[{"3", ",", "2"}], "\[RightDoubleBracket]"}], "/.", "sol20"}], 
       " ", "/.", " ", "sol11"}], " ", "/.", " ", "sol02"}], "/.", "rules"}], 
    ",", "assump"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"d", "[", 
   RowBox[{"\[Alpha]_", ",", "m_"}], "]"}], "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        RowBox[{"coeffhinvG3h", "\[LeftDoubleBracket]", 
         RowBox[{"1", ",", "4"}], "\[RightDoubleBracket]"}], "/.", "sol20"}], 
       " ", "/.", " ", "sol11"}], " ", "/.", " ", "sol02"}], "/.", "rules"}], 
    ",", "assump"}], "]"}]}]}], "Input",
 CellChangeTimes->{{3.5686364837158995`*^9, 3.568636535557865*^9}, {
  3.5688772351536207`*^9, 3.568877240813628*^9}, {3.56889315824818*^9, 
  3.568893159993182*^9}}],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox["\[ImaginaryI]", 
   SqrtBox[
    RowBox[{
     RowBox[{"-", 
      SuperscriptBox["m", "2"]}], "+", 
     RowBox[{"4", " ", "\[Alpha]"}]}]]]}]], "Output",
 CellChangeTimes->{{3.568636525749304*^9, 3.5686365385560365`*^9}, 
   3.5687510943014135`*^9, 3.5687854659397464`*^9, {3.568785519194821*^9, 
   3.5687855272998323`*^9}, 3.5688929389528675`*^9, 3.568893059386038*^9, 
   3.5688931621081853`*^9, 3.5688967592032213`*^9, 3.5689007452350492`*^9, 
   3.568915455880679*^9, 3.568916697465419*^9, 3.5690637732781305`*^9, 
   3.569147027475731*^9, 3.5700393417798834`*^9, 3.57036383088041*^9, 
   3.5704733666250734`*^9, 3.570518487547109*^9, 3.570958257562441*^9, 
   3.5711321066092224`*^9, 3.57155698861751*^9, 3.571652600084419*^9, 
   3.5717292821360693`*^9, 3.571829171782796*^9, 3.5726440390349236`*^9, 
   3.5734163046143064`*^9, 3.573417984951806*^9, 3.574051850074648*^9}],

Cell[BoxData[
 FractionBox[
  SuperscriptBox[
   RowBox[{"(", 
    RowBox[{"m", "+", 
     RowBox[{"\[ImaginaryI]", " ", 
      SqrtBox[
       RowBox[{
        RowBox[{"-", 
         SuperscriptBox["m", "2"]}], "+", 
        RowBox[{"4", " ", "\[Alpha]"}]}]]}]}], ")"}], "3"], 
  RowBox[{"12", " ", "\[Alpha]", " ", 
   RowBox[{"(", 
    RowBox[{
     RowBox[{"-", 
      SuperscriptBox["m", "2"]}], "+", 
     RowBox[{"4", " ", "\[Alpha]"}], "+", 
     RowBox[{"\[ImaginaryI]", " ", "m", " ", 
      SqrtBox[
       RowBox[{
        RowBox[{"-", 
         SuperscriptBox["m", "2"]}], "+", 
        RowBox[{"4", " ", "\[Alpha]"}]}]]}]}], ")"}]}]]], "Output",
 CellChangeTimes->{{3.568636525749304*^9, 3.5686365385560365`*^9}, 
   3.5687510943014135`*^9, 3.5687854659397464`*^9, {3.568785519194821*^9, 
   3.5687855272998323`*^9}, 3.5688929389528675`*^9, 3.568893059386038*^9, 
   3.5688931621081853`*^9, 3.5688967592032213`*^9, 3.5689007452350492`*^9, 
   3.568915455880679*^9, 3.568916697465419*^9, 3.5690637732781305`*^9, 
   3.569147027475731*^9, 3.5700393417798834`*^9, 3.57036383088041*^9, 
   3.5704733666250734`*^9, 3.570518487547109*^9, 3.570958257562441*^9, 
   3.5711321066092224`*^9, 3.57155698861751*^9, 3.571652600084419*^9, 
   3.5717292821360693`*^9, 3.571829171782796*^9, 3.5726440390349236`*^9, 
   3.5734163046143064`*^9, 3.573417984951806*^9, 3.574051850144648*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"a", "[", 
   RowBox[{"\[Alpha]_", ",", "m_"}], "]"}], "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{
    RowBox[{"Re", "[", 
     RowBox[{"ComplexExpand", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Conjugate", "[", 
         RowBox[{"\[Mu]", "[", 
          RowBox[{"\[Alpha]", ",", "m"}], "]"}], "]"}], "/", 
        RowBox[{"Abs", "[", 
         RowBox[{"\[Mu]", "[", 
          RowBox[{"\[Alpha]", ",", "m"}], "]"}], "]"}]}], "*", 
       RowBox[{"c", "[", 
        RowBox[{"\[Alpha]", ",", "m"}], "]"}]}], "]"}], "]"}], ",", " ", 
    "assump"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"b", "[", 
   RowBox[{"\[Alpha]_", ",", "m_"}], "]"}], "=", 
  RowBox[{"Together", "[", 
   RowBox[{"FullSimplify", "[", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{"Conjugate", "[", 
        RowBox[{"\[Mu]", "[", 
         RowBox[{"\[Alpha]", ",", "m"}], "]"}], "]"}], "/", 
       RowBox[{"Abs", "[", 
        RowBox[{"\[Mu]", "[", 
         RowBox[{"\[Alpha]", ",", "m"}], "]"}], "]"}]}], 
      RowBox[{"c", "[", 
       RowBox[{"\[Alpha]", ",", "m"}], "]"}]}], ",", "assump"}], "]"}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"dabs", "[", 
   RowBox[{"\[Alpha]_", ",", "m_"}], "]"}], "=", 
  RowBox[{"FullSimplify", "[", 
   RowBox[{
    RowBox[{"Abs", "[", 
     RowBox[{"d", "[", 
      RowBox[{"\[Alpha]", ",", "m"}], "]"}], "]"}], ",", " ", "assump"}], 
   "]"}]}]}], "Input",
 CellChangeTimes->{{3.539085944796875*^9, 3.539086021140625*^9}, {
   3.539086054171875*^9, 3.53908609384375*^9}, {3.53908612453125*^9, 
   3.539086125171875*^9}, {3.539086195875*^9, 3.539086196796875*^9}, 
   3.539086634625*^9, {3.539086752859375*^9, 3.539086753*^9}, {
   3.53908795053125*^9, 3.539087957015625*^9}, 3.539087993921875*^9, {
   3.5390936133687644`*^9, 3.539093639449256*^9}, {3.5391830548088536`*^9, 
   3.5391830561459303`*^9}, 3.539183127912035*^9, {3.539183272000276*^9, 
   3.5391832845279927`*^9}, {3.5391853493590946`*^9, 
   3.5391853515072174`*^9}, {3.5391855931450377`*^9, 3.5391855938570786`*^9}, 
   3.53942697603125*^9, 3.548062448410209*^9, {3.5481863834764824`*^9, 
   3.5481863995053988`*^9}, {3.55273133856434*^9, 3.55273133857434*^9}, {
   3.5534029954036913`*^9, 3.5534030175559587`*^9}, {3.5534030516439085`*^9, 
   3.553403084576792*^9}, 3.5534032441119165`*^9, {3.5534041281064787`*^9, 
   3.5534041363369493`*^9}, 3.5539315207487283`*^9, {3.568546469952982*^9, 
   3.568546469968582*^9}, {3.5686364607175846`*^9, 3.568636479457656*^9}, {
   3.568636566224619*^9, 3.56863660487883*^9}, {3.5686380806023684`*^9, 
   3.568638095364792*^9}, {3.568751105981429*^9, 3.568751139616476*^9}, {
   3.56875118482654*^9, 3.568751199886561*^9}, {3.5687512500716314`*^9, 
   3.568751258646643*^9}, {3.568894075699464*^9, 3.5688941335195456`*^9}, {
   3.5688948808205914`*^9, 3.5688949146506386`*^9}, {3.5689205573458223`*^9, 
   3.568920557630823*^9}, {3.571737328742822*^9, 3.571737356997862*^9}}],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox["1", 
   RowBox[{"2", " ", 
    SqrtBox["\[Alpha]"]}]]}]], "Output",
 CellChangeTimes->{
  3.548158980904145*^9, 3.54816950781625*^9, 3.548416304807953*^9, 
   3.5493518804060326`*^9, 3.549360706639314*^9, 3.549361634717614*^9, 
   3.5516035279617434`*^9, 3.552737834096103*^9, 3.5528128078963056`*^9, 
   3.5529021155941153`*^9, 3.553329493791303*^9, 3.5533427987183013`*^9, 
   3.5534031483444395`*^9, 3.5534237941912923`*^9, 3.5535388613639235`*^9, 
   3.5540055271359534`*^9, 3.5552231261471395`*^9, 3.5686365864137735`*^9, 
   3.5686366341445036`*^9, 3.568751152126494*^9, {3.5687511904565477`*^9, 
   3.568751201326563*^9}, 3.568751261116647*^9, 3.5687849044709597`*^9, 
   3.5687855357448444`*^9, 3.5688931842132163`*^9, {3.5688941152495193`*^9, 
   3.5688941342645464`*^9}, 3.5688949217606487`*^9, 3.5688967635982275`*^9, 
   3.5689007498350563`*^9, 3.5689154713957005`*^9, 3.568916709710436*^9, 
   3.5690638546010733`*^9, 3.569147036102546*^9, 3.5700393451130743`*^9, 
   3.5703638324704123`*^9, 3.5704733749850855`*^9, 3.570518493682118*^9, 
   3.570958259172443*^9, 3.5711321082842245`*^9, 3.5715569902125125`*^9, 
   3.5716526016744213`*^9, 3.5717292837710714`*^9, {3.5717373316528263`*^9, 
   3.5717373574078627`*^9}, 3.571829175592801*^9, 3.572644042304928*^9, 
   3.5734163179443254`*^9, 3.573417988716811*^9, 3.57405185163465*^9}],

Cell[BoxData[
 FractionBox[
  RowBox[{
   RowBox[{
    RowBox[{"-", "\[ImaginaryI]"}], " ", "m"}], "-", 
   SqrtBox[
    RowBox[{
     RowBox[{"-", 
      SuperscriptBox["m", "2"]}], "+", 
     RowBox[{"4", " ", "\[Alpha]"}]}]]}], 
  RowBox[{"2", " ", 
   SqrtBox["\[Alpha]"], " ", 
   SqrtBox[
    RowBox[{
     RowBox[{"-", 
      SuperscriptBox["m", "2"]}], "+", 
     RowBox[{"4", " ", "\[Alpha]"}]}]]}]]], "Output",
 CellChangeTimes->{
  3.548158980904145*^9, 3.54816950781625*^9, 3.548416304807953*^9, 
   3.5493518804060326`*^9, 3.549360706639314*^9, 3.549361634717614*^9, 
   3.5516035279617434`*^9, 3.552737834096103*^9, 3.5528128078963056`*^9, 
   3.5529021155941153`*^9, 3.553329493791303*^9, 3.5533427987183013`*^9, 
   3.5534031483444395`*^9, 3.5534237941912923`*^9, 3.5535388613639235`*^9, 
   3.5540055271359534`*^9, 3.5552231261471395`*^9, 3.5686365864137735`*^9, 
   3.5686366341445036`*^9, 3.568751152126494*^9, {3.5687511904565477`*^9, 
   3.568751201326563*^9}, 3.568751261116647*^9, 3.5687849044709597`*^9, 
   3.5687855357448444`*^9, 3.5688931842132163`*^9, {3.5688941152495193`*^9, 
   3.5688941342645464`*^9}, 3.5688949217606487`*^9, 3.5688967635982275`*^9, 
   3.5689007498350563`*^9, 3.5689154713957005`*^9, 3.568916709710436*^9, 
   3.5690638546010733`*^9, 3.569147036102546*^9, 3.5700393451130743`*^9, 
   3.5703638324704123`*^9, 3.5704733749850855`*^9, 3.570518493682118*^9, 
   3.570958259172443*^9, 3.5711321082842245`*^9, 3.5715569902125125`*^9, 
   3.5716526016744213`*^9, 3.5717292837710714`*^9, {3.5717373316528263`*^9, 
   3.5717373574078627`*^9}, 3.571829175592801*^9, 3.572644042304928*^9, 
   3.5734163179443254`*^9, 3.573417988716811*^9, 3.57405185175965*^9}],

Cell[BoxData[
 FractionBox["1", 
  RowBox[{"3", " ", 
   SqrtBox[
    RowBox[{
     RowBox[{"-", 
      SuperscriptBox["m", "2"]}], "+", 
     RowBox[{"4", " ", "\[Alpha]"}]}]]}]]], "Output",
 CellChangeTimes->{
  3.548158980904145*^9, 3.54816950781625*^9, 3.548416304807953*^9, 
   3.5493518804060326`*^9, 3.549360706639314*^9, 3.549361634717614*^9, 
   3.5516035279617434`*^9, 3.552737834096103*^9, 3.5528128078963056`*^9, 
   3.5529021155941153`*^9, 3.553329493791303*^9, 3.5533427987183013`*^9, 
   3.5534031483444395`*^9, 3.5534237941912923`*^9, 3.5535388613639235`*^9, 
   3.5540055271359534`*^9, 3.5552231261471395`*^9, 3.5686365864137735`*^9, 
   3.5686366341445036`*^9, 3.568751152126494*^9, {3.5687511904565477`*^9, 
   3.568751201326563*^9}, 3.568751261116647*^9, 3.5687849044709597`*^9, 
   3.5687855357448444`*^9, 3.5688931842132163`*^9, {3.5688941152495193`*^9, 
   3.5688941342645464`*^9}, 3.5688949217606487`*^9, 3.5688967635982275`*^9, 
   3.5689007498350563`*^9, 3.5689154713957005`*^9, 3.568916709710436*^9, 
   3.5690638546010733`*^9, 3.569147036102546*^9, 3.5700393451130743`*^9, 
   3.5703638324704123`*^9, 3.5704733749850855`*^9, 3.570518493682118*^9, 
   3.570958259172443*^9, 3.5711321082842245`*^9, 3.5715569902125125`*^9, 
   3.5716526016744213`*^9, 3.5717292837710714`*^9, {3.5717373316528263`*^9, 
   3.5717373574078627`*^9}, 3.571829175592801*^9, 3.572644042304928*^9, 
   3.5734163179443254`*^9, 3.573417988716811*^9, 3.57405185176965*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"FullSimplify", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"Abs", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Abs", "[", 
         RowBox[{"b", "[", 
          RowBox[{"\[Alpha]", ",", "m"}], "]"}], "]"}], "^", "2"}], "-", 
       RowBox[{
        RowBox[{"a", "[", 
         RowBox[{"\[Alpha]", ",", "m"}], "]"}], "^", "2"}]}], "]"}], "/", 
     RowBox[{"(", 
      RowBox[{
       RowBox[{"Sqrt", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"5", "^", "2"}], "\[Alpha]"}], "-", "2"}], "]"}], "+", 
       RowBox[{"5", "\[Alpha]"}], "-", "1"}], ")"}]}], ",", "assump"}], "]"}], 
  RowBox[{"(*", 
   RowBox[{"|", "w", "|", 
    RowBox[{"<", 
     RowBox[{
      RowBox[{"1", "/", "5"}], " ", "is", " ", "assumed"}]}]}], 
   "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MaxValue", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"%", ",", "dom"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Alpha]", ",", "m"}], "}"}]}], "]"}], "<", 
  RowBox[{"2", "/", "100"}]}]}], "Input",
 CellChangeTimes->{{3.5688949506256895`*^9, 3.5688951146309185`*^9}, {
  3.568900805690134*^9, 3.5689008136151457`*^9}, {3.5689156018208833`*^9, 
  3.568915627400919*^9}, {3.5689156715159807`*^9, 3.5689156871860027`*^9}, {
  3.568916546165207*^9, 3.568916556320221*^9}, {3.5690638694834995`*^9, 
  3.5690639023059573`*^9}, {3.569063940260824*^9, 3.569063952538046*^9}, {
  3.5690645766639423`*^9, 3.569064589143964*^9}, {3.56906462113962*^9, 
  3.569064630099634*^9}, {3.5690646851221294`*^9, 3.5690647026409597`*^9}, {
  3.569064859265235*^9, 3.5690648593276353`*^9}, {3.569147051780574*^9, 
  3.5691470879258375`*^9}, {3.5691471782499957`*^9, 3.569147180137599*^9}, {
  3.570473391050108*^9, 3.570473416295143*^9}, {3.570518498852125*^9, 
  3.5705185592922096`*^9}, {3.571557160857751*^9, 3.571557161382752*^9}, {
  3.5717412599865513`*^9, 3.571741261641554*^9}, {3.5734163305693426`*^9, 
  3.5734163345893483`*^9}}],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox[
   SuperscriptBox["m", "2"], 
   RowBox[{"4", " ", 
    RowBox[{"(", 
     RowBox[{
      SuperscriptBox["m", "2"], "-", 
      RowBox[{"4", " ", "\[Alpha]"}]}], ")"}], " ", "\[Alpha]", " ", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"-", "1"}], "+", 
      RowBox[{"5", " ", "\[Alpha]"}], "+", 
      SqrtBox[
       RowBox[{
        RowBox[{"-", "2"}], "+", 
        RowBox[{"25", " ", "\[Alpha]"}]}]]}], ")"}]}]]}]], "Output",
 CellChangeTimes->{
  3.5688950742858624`*^9, 3.568895116255921*^9, 3.5688967659082303`*^9, 
   3.5689007523000593`*^9, 3.5689154793757114`*^9, {3.568915611855897*^9, 
   3.5689156306309233`*^9}, 3.568916717530447*^9, {3.569063882571923*^9, 
   3.569063897064348*^9}, {3.5690639421328273`*^9, 3.5690639530528464`*^9}, {
   3.569064580595149*^9, 3.569064589845965*^9}, {3.5690646217792215`*^9, 
   3.5690646368088446`*^9}, {3.5690646878209343`*^9, 3.5690647033585615`*^9}, 
   3.569064863165242*^9, {3.5691470793614225`*^9, 3.5691470886434383`*^9}, 
   3.5691471811360006`*^9, 3.5700393461831355`*^9, 3.570363833085414*^9, {
   3.570473382940096*^9, 3.570473416965144*^9}, 3.5704742502613106`*^9, {
   3.570518506787136*^9, 3.5705185597922106`*^9}, 3.5709582596574435`*^9, 
   3.5711321088342257`*^9, 3.5715569906875134`*^9, 3.5716526021644216`*^9, 
   3.571729284381072*^9, 3.5717412627915554`*^9, 3.5718291771078033`*^9, 
   3.5726440436149297`*^9, 3.573416326149337*^9, 3.5734179899918127`*^9, 
   3.574051852184651*^9}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{
  3.5688950742858624`*^9, 3.568895116255921*^9, 3.5688967659082303`*^9, 
   3.5689007523000593`*^9, 3.5689154793757114`*^9, {3.568915611855897*^9, 
   3.5689156306309233`*^9}, 3.568916717530447*^9, {3.569063882571923*^9, 
   3.569063897064348*^9}, {3.5690639421328273`*^9, 3.5690639530528464`*^9}, {
   3.569064580595149*^9, 3.569064589845965*^9}, {3.5690646217792215`*^9, 
   3.5690646368088446`*^9}, {3.5690646878209343`*^9, 3.5690647033585615`*^9}, 
   3.569064863165242*^9, {3.5691470793614225`*^9, 3.5691470886434383`*^9}, 
   3.5691471811360006`*^9, 3.5700393461831355`*^9, 3.570363833085414*^9, {
   3.570473382940096*^9, 3.570473416965144*^9}, 3.5704742502613106`*^9, {
   3.570518506787136*^9, 3.5705185597922106`*^9}, 3.5709582596574435`*^9, 
   3.5711321088342257`*^9, 3.5715569906875134`*^9, 3.5716526021644216`*^9, 
   3.571729284381072*^9, 3.5717412627915554`*^9, 3.5718291771078033`*^9, 
   3.5726440436149297`*^9, 3.573416326149337*^9, 3.5734179899918127`*^9, 
   3.574051852459651*^9}]
}, Open  ]],

Cell[BoxData[""], "Input",
 CellChangeTimes->{{3.5688950925658875`*^9, 3.568895095515892*^9}}],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"MaxValue", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", "[", 
      RowBox[{"\[Alpha]", ",", "m"}], "]"}], ",", "dom"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Alpha]", ",", "m"}], "}"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{"MinValue", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", "[", 
      RowBox[{"\[Alpha]", ",", "m"}], "]"}], ",", "dom"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"\[Alpha]", ",", "m"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.539183301649972*^9, 3.539183313970677*^9}, {
  3.5391860348923044`*^9, 3.539186035143319*^9}, {3.5391861569702873`*^9, 
  3.539186184186844*^9}, {3.55273133857434*^9, 3.55273133857434*^9}, {
  3.568636638990781*^9, 3.568636673672765*^9}, {3.568894666085291*^9, 
  3.568894677745307*^9}, {3.5690639114163733`*^9, 3.5690639123835754`*^9}}],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox["1", "2"]}]], "Output",
 CellChangeTimes->{
  3.548158998217135*^9, 3.548169507985259*^9, 3.5484163049069586`*^9, 
   3.549351880686833*^9, 3.549360706699314*^9, 3.5493616347976146`*^9, 
   3.5516035281177435`*^9, 3.552737840486112*^9, 3.5528128079663057`*^9, 
   3.5529021962167273`*^9, 3.5533294939403114`*^9, 3.5533428030975523`*^9, 
   3.5534032402586966`*^9, 3.553423794331293*^9, 3.5535388617939243`*^9, 
   3.55400555505455*^9, 3.5552231263499393`*^9, {3.5686366585278983`*^9, 
   3.568636696462068*^9}, 3.5687511653315125`*^9, 3.5687849081859646`*^9, 
   3.568785560459879*^9, 3.5688931892482233`*^9, {3.5688946713652983`*^9, 
   3.5688946787003083`*^9}, 3.568896766248231*^9, 3.56890075274506*^9, 
   3.5689156955660143`*^9, 3.569063913007576*^9, 3.569147098533856*^9, 
   3.5700393475532136`*^9, 3.5703638336854143`*^9, 3.5704734273951583`*^9, 
   3.5705185341721745`*^9, 3.570958259967444*^9, 3.571132109144226*^9, 
   3.5715569909925137`*^9, 3.5716526024694223`*^9, 3.571729284781073*^9, 
   3.571829177937804*^9, 3.572644044444931*^9, 3.573416354329376*^9, 
   3.573417990816814*^9, 3.5740518524946513`*^9}],

Cell[BoxData[
 RowBox[{"-", 
  FractionBox["5", 
   RowBox[{"7", " ", 
    SqrtBox["2"]}]]}]], "Output",
 CellChangeTimes->{
  3.548158998217135*^9, 3.548169507985259*^9, 3.5484163049069586`*^9, 
   3.549351880686833*^9, 3.549360706699314*^9, 3.5493616347976146`*^9, 
   3.5516035281177435`*^9, 3.552737840486112*^9, 3.5528128079663057`*^9, 
   3.5529021962167273`*^9, 3.5533294939403114`*^9, 3.5533428030975523`*^9, 
   3.5534032402586966`*^9, 3.553423794331293*^9, 3.5535388617939243`*^9, 
   3.55400555505455*^9, 3.5552231263499393`*^9, {3.5686366585278983`*^9, 
   3.568636696462068*^9}, 3.5687511653315125`*^9, 3.5687849081859646`*^9, 
   3.568785560459879*^9, 3.5688931892482233`*^9, {3.5688946713652983`*^9, 
   3.5688946787003083`*^9}, 3.568896766248231*^9, 3.56890075274506*^9, 
   3.5689156955660143`*^9, 3.569063913007576*^9, 3.569147098533856*^9, 
   3.5700393475532136`*^9, 3.5703638336854143`*^9, 3.5704734273951583`*^9, 
   3.5705185341721745`*^9, 3.570958259967444*^9, 3.571132109144226*^9, 
   3.5715569909925137`*^9, 3.5716526024694223`*^9, 3.571729284781073*^9, 
   3.571829177937804*^9, 3.572644044444931*^9, 3.573416354329376*^9, 
   3.573417990816814*^9, 3.574051852499651*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"MaxValue", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"dabs", "[", 
       RowBox[{"\[Alpha]", ",", "m"}], "]"}], ",", "dom"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"\[Alpha]", ",", "m"}], "}"}]}], "]"}], "<", 
  RowBox[{"2", "/", "10"}]}]], "Input",
 CellChangeTimes->{{3.568751242621621*^9, 3.568751265936653*^9}, 
   3.5689008317051706`*^9, {3.568915707211031*^9, 3.5689157193460474`*^9}, {
   3.5691471115130787`*^9, 3.5691471324639153`*^9}, {3.57047344280518*^9, 
   3.570473458025201*^9}, {3.5705185406571836`*^9, 3.570518541222184*^9}, {
   3.570518572327228*^9, 3.570518575917233*^9}, {3.571729751126726*^9, 
   3.571729756341733*^9}, 3.57173885807697*^9, {3.5717411524434*^9, 
   3.571741164008416*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{
  3.5687512668766546`*^9, 3.568785564479884*^9, 3.568785629434975*^9, 
   3.568893193163229*^9, 3.5688967666982317`*^9, 3.568900753030061*^9, 
   3.5689008330851727`*^9, {3.5689157091860332`*^9, 3.568915720341049*^9}, 
   3.5690639171103835`*^9, {3.5691471080186725`*^9, 3.5691471347571197`*^9}, 
   3.5700393476422186`*^9, 3.5703638337254143`*^9, {3.570473443745181*^9, 
   3.5704734603852043`*^9}, 3.5705185416221848`*^9, 3.570518576862234*^9, 
   3.5709582600024443`*^9, 3.571132109184226*^9, 3.5715569910225134`*^9, 
   3.571652602499422*^9, 3.571729284831073*^9, {3.5717297515317264`*^9, 
   3.5717297573967347`*^9}, 3.571738860281973*^9, {3.5717411558784046`*^9, 
   3.5717411642484164`*^9}, 3.571829178052805*^9, 3.572644044559931*^9, 
   3.5734163650293913`*^9, 3.573417990861814*^9, 3.5740518525246515`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"30", "/", "100"}], "/", 
   RowBox[{"(", 
    RowBox[{"161", "/", "100"}], ")"}]}], ">", 
  RowBox[{"186", "/", "1000"}]}]], "Input",
 CellChangeTimes->CompressedData["
1:eJxTTMoPSmViYGAQBmIQHaaz9rLC9FeOG3kbroBopo6CS1pAekax2mUQHeWc
/RlEu+27DaY7s+4paQPpVRJJyiD6IpuEA4g+HJEAptc7rVcsBtLVm3mUQfTL
yEd6IPpvgYk5iGbTC4wE0WHvVKJBtIZ0fymITvNvKAfRRjOzt88G0iZz5uwA
0VJx2Y7Ks145ftdScALRGh3hviD6NC9zMIielpieDqLPdulngWjxN1KLQPS8
6wZgesX02R6WQLrF+g6YXqL4NgBEazFPCAbRQsX6mSZzXjke28CaA6InTVpS
CKJtmN+B6fYmIfs+IC3Sm+kEogHbEZBX
  "]],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{
  3.5688956529416723`*^9, 3.568896766743232*^9, 3.568900753075061*^9, 
   3.5689161220116115`*^9, 3.5689163835769777`*^9, 3.5689167771755304`*^9, 
   3.568916995735836*^9, {3.5690642113893003`*^9, 3.5690642170677104`*^9}, {
   3.569064316049884*^9, 3.5690643778883924`*^9}, 3.569064656090478*^9, {
   3.569064877501667*^9, 3.5690648929924946`*^9}, 3.569147333237268*^9, 
   3.5700393477512255`*^9, 3.5703638338204145`*^9, {3.5704735811953735`*^9, 
   3.5704736249754353`*^9}, {3.5704737916456685`*^9, 3.5704738104306946`*^9}, 
   3.5704738694407773`*^9, 3.5704742581463213`*^9, {3.5705186697103653`*^9, 
   3.570518684705386*^9}, 3.570958260042444*^9, 3.571132109249226*^9, 
   3.5715569910525136`*^9, 3.571557201507808*^9, 3.571557264392896*^9, 
   3.5716526025544224`*^9, 3.571729284911073*^9, {3.571741186233447*^9, 
   3.571741204118472*^9}, 3.5718291781478047`*^9, 3.572644044604931*^9, 
   3.573416374964405*^9, 3.573417990901814*^9, 3.574051852539651*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"186", "/", "1000"}], "/", 
   RowBox[{"(", 
    RowBox[{"102", "/", "100"}], ")"}]}], ">", 
  RowBox[{"182", "/", "1000"}]}]], "Input",
 CellChangeTimes->{{3.5689171711510816`*^9, 3.568917182426098*^9}, {
  3.5690643946428223`*^9, 3.569064437979698*^9}, {3.569064903709713*^9, 
  3.569064927515355*^9}, {3.569147357729311*^9, 3.5691473880245647`*^9}, {
  3.5701301269019413`*^9, 3.5701301470519695`*^9}, {3.570473635205449*^9, 
  3.570473639385455*^9}, {3.5704738753857856`*^9, 3.5704739067858295`*^9}, {
  3.570518735189459*^9, 3.5705187654345007`*^9}, {3.571557267827901*^9, 
  3.5715572902229323`*^9}, {3.5717412066934757`*^9, 3.5717412206534953`*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{
  3.5689171839711*^9, {3.56906440509484*^9, 3.569064438634899*^9}, {
   3.569064919793341*^9, 3.5690649277649555`*^9}, {3.5691473692109313`*^9, 
   3.569147389225766*^9}, 3.5700393478112288`*^9, {3.570130128836944*^9, 
   3.570130147906971*^9}, 3.5703638338504143`*^9, {3.570473888380804*^9, 
   3.5704739074458303`*^9}, {3.5705187457944736`*^9, 3.5705187661045017`*^9}, 
   3.570958260072444*^9, 3.5711321092792263`*^9, 3.5715569910675135`*^9, {
   3.5715572774229145`*^9, 3.571557291017934*^9}, 3.5716526025744224`*^9, 
   3.571729284966073*^9, {3.5717412076034775`*^9, 3.5717412215534964`*^9}, 
   3.571829178232805*^9, 3.572644044659931*^9, 3.573416377679409*^9, 
   3.5734179909418144`*^9, 3.5740518525546513`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"182", "/", "1000"}], "/", 
   RowBox[{"(", 
    RowBox[{"101", "/", "100"}], ")"}]}], ">", 
  RowBox[{"180", "/", "1000"}], ">", 
  RowBox[{"1", "/", "6"}]}]], "Input",
 CellChangeTimes->{{3.568917256366201*^9, 3.568917284586241*^9}, {
  3.5690128046968575`*^9, 3.5690128206518793`*^9}, {3.5690644209288683`*^9, 
  3.569064533077465*^9}, {3.5690649305573606`*^9, 3.5690649465317883`*^9}, {
  3.569147418538218*^9, 3.569147439145854*^9}, {3.570130151586976*^9, 
  3.570130156136982*^9}, {3.5704739303508625`*^9, 3.570473942025879*^9}, {
  3.570518817094573*^9, 3.5705188361946006`*^9}, {3.5715573011879473`*^9, 
  3.571557330717989*^9}, {3.571741224413501*^9, 3.5717412471685324`*^9}}],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{{3.568917263476211*^9, 3.568917285131241*^9}, 
   3.569012821741881*^9, {3.569064449976119*^9, 3.5690645335610657`*^9}, {
   3.5690649367193713`*^9, 3.5690649472805896`*^9}, {3.569147424809429*^9, 
   3.569147440081856*^9}, 3.5700393478612313`*^9, {3.5701301527719774`*^9, 
   3.570130156421983*^9}, 3.5703638338804145`*^9, 3.570473943410881*^9, 
   3.570474274216344*^9, 3.5705188385846043`*^9, 3.5709582600924444`*^9, 
   3.571132109314226*^9, 3.571556991082514*^9, {3.5715573062529545`*^9, 
   3.5715573315879903`*^9}, 3.5716526026044226`*^9, 3.571729285006073*^9, {
   3.5717412364435177`*^9, 3.5717412478635335`*^9}, 3.571829178322805*^9, 
   3.5726440447249312`*^9, 3.573416380149412*^9, 3.5734179909818144`*^9, 
   3.574051852569651*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"TimeUsed", "[", "]"}], "-", "t0"}]], "Input",
 CellChangeTimes->{{3.573418003756832*^9, 3.5734180077818375`*^9}}],

Cell[BoxData["12.696999999999997`"], "Output",
 CellChangeTimes->{3.5734180116718435`*^9, 3.574051852589651*^9}]
}, Open  ]]
}, Open  ]]
}, Open  ]]
},
WindowSize->{942, 918},
WindowMargins->{{Automatic, 0}, {Automatic, 0}},
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 1.5, 1.5 Inherited],
FrontEndVersion->"8.0 for Microsoft Windows (64-bit) (February 23, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 12274, 263, 490, "Input"],
Cell[12844, 287, 849, 16, 42, "Output"],
Cell[13696, 305, 1920, 55, 77, "Output"],
Cell[15619, 362, 1920, 56, 66, "Output"],
Cell[17542, 420, 910, 19, 77, "Output"],
Cell[18455, 441, 1580, 41, 102, "Output"],
Cell[20038, 484, 680, 10, 42, "Output"],
Cell[20721, 496, 937, 20, 66, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[21695, 521, 2814, 55, 98, "Input"],
Cell[24512, 578, 1675, 25, 42, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[26224, 608, 186, 3, 102, "Section"],
Cell[CellGroupData[{
Cell[26435, 615, 1563, 42, 64, "Input"],
Cell[28001, 659, 1576, 35, 77, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[29614, 699, 1912, 56, 119, "Input"],
Cell[31529, 757, 1316, 31, 102, "Output"],
Cell[32848, 790, 946, 19, 77, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[33831, 814, 483, 14, 43, "Input"],
Cell[34317, 830, 128, 3, 69, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[34482, 838, 947, 25, 71, "Input"],
Cell[35432, 865, 707, 18, 76, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[36176, 888, 392, 8, 43, "Input"],
Cell[36571, 898, 898, 22, 67, "Output"]
}, Open  ]],
Cell[37484, 923, 538, 13, 43, "Input"],
Cell[CellGroupData[{
Cell[38047, 940, 363, 10, 43, "Input"],
Cell[38413, 952, 166, 2, 42, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[38616, 959, 817, 22, 43, "Input"],
Cell[39436, 983, 387, 8, 68, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[39872, 997, 132, 2, 102, "Section"],
Cell[CellGroupData[{
Cell[40029, 1003, 996, 20, 43, "Input"],
Cell[41028, 1025, 1037, 15, 42, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[42102, 1045, 8319, 227, 660, "Input"],
Cell[50424, 1274, 1692, 52, 223, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[52153, 1331, 690, 18, 71, "Input"],
Cell[52846, 1351, 1167, 37, 113, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[54050, 1393, 134, 1, 38, "Subsubsection"],
Cell[CellGroupData[{
Cell[54209, 1398, 6436, 136, 341, "Input"],
Cell[60648, 1536, 2299, 72, 292, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[62996, 1614, 296, 9, 40, "Subsubsection"],
Cell[63295, 1625, 4106, 107, 368, "Input"],
Cell[67404, 1734, 436, 9, 43, "Input"],
Cell[67843, 1745, 892, 17, 43, "Input"],
Cell[68738, 1764, 688, 16, 43, "Input"],
Cell[69429, 1782, 3532, 78, 206, "Input"],
Cell[72964, 1862, 2329, 57, 98, "Input"],
Cell[CellGroupData[{
Cell[75318, 1923, 2773, 60, 233, "Input"],
Cell[78094, 1985, 119, 2, 42, "Output"],
Cell[78216, 1989, 119, 2, 42, "Output"],
Cell[78338, 1993, 119, 2, 42, "Output"],
Cell[78460, 1997, 1058, 33, 113, "Output"],
Cell[79521, 2032, 864, 27, 88, "Output"]
}, Open  ]],
Cell[80400, 2062, 2133, 40, 43, "Input"],
Cell[82536, 2104, 1671, 42, 43, "Input"]
}, Open  ]],
Cell[84222, 2149, 165, 6, 81, "Subsubsection"],
Cell[CellGroupData[{
Cell[84412, 2159, 255, 7, 27, "Subsubsection"],
Cell[84670, 2168, 3971, 80, 98, "Input"],
Cell[CellGroupData[{
Cell[88666, 2252, 354, 7, 71, "Input"],
Cell[89023, 2261, 616, 8, 42, "Output"],
Cell[89642, 2271, 779, 15, 77, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[90458, 2291, 919, 19, 71, "Input"],
Cell[91380, 2312, 802, 11, 42, "Output"]
}, Open  ]],
Cell[92197, 2326, 96, 1, 43, "Input"],
Cell[CellGroupData[{
Cell[92318, 2331, 855, 22, 71, "Input"],
Cell[93176, 2355, 909, 17, 76, "Output"],
Cell[94088, 2374, 741, 10, 42, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[94866, 2389, 877, 23, 71, "Input"],
Cell[95746, 2414, 164, 3, 62, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[95947, 2422, 1224, 24, 43, "Input"],
Cell[97174, 2448, 985, 14, 42, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[98208, 2468, 306, 8, 38, "Subsubsection"],
Cell[CellGroupData[{
Cell[98539, 2480, 1033, 30, 98, "Input"],
Cell[99575, 2512, 1933, 36, 77, "Output"],
Cell[101511, 2550, 1532, 21, 42, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[103080, 2576, 1315, 28, 71, "Input"],
Cell[104398, 2606, 1407, 20, 42, "Output"],
Cell[105808, 2628, 1405, 20, 42, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[107262, 2654, 822, 25, 43, "Subsubsection"],
Cell[CellGroupData[{
Cell[108109, 2683, 1051, 20, 43, "Input"],
Cell[109163, 2705, 720, 10, 42, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[109920, 2720, 681, 14, 43, "Input"],
Cell[110604, 2736, 629, 9, 42, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[111282, 2751, 217, 7, 40, "Subsubsection"],
Cell[CellGroupData[{
Cell[111524, 2762, 1126, 20, 43, "Input"],
Cell[112653, 2784, 877, 12, 42, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[113567, 2801, 618, 14, 43, "Input"],
Cell[114188, 2817, 532, 13, 67, "Output"]
}, Open  ]],
Cell[114735, 2833, 26, 0, 43, "Input"],
Cell[CellGroupData[{
Cell[114786, 2837, 3063, 64, 125, "Input"],
Cell[117852, 2903, 1155, 23, 42, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[119044, 2931, 543, 14, 74, "Input"],
Cell[119590, 2947, 840, 17, 67, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[120467, 2969, 5926, 108, 152, "Input"],
Cell[126396, 3079, 2456, 62, 121, "Output"],
Cell[128855, 3143, 855, 12, 42, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[129747, 3160, 747, 15, 43, "Input"],
Cell[130497, 3177, 842, 12, 42, "Output"]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[131388, 3195, 158, 2, 38, "Subsubsection"],
Cell[CellGroupData[{
Cell[131571, 3201, 2195, 62, 152, "Input"],
Cell[133769, 3265, 1612, 22, 42, "Output"]
}, Open  ]],
Cell[135396, 3290, 1017, 26, 71, "Input"],
Cell[CellGroupData[{
Cell[136438, 3320, 1072, 29, 71, "Input"],
Cell[137513, 3351, 924, 17, 78, "Output"],
Cell[138440, 3370, 1385, 32, 113, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[139862, 3407, 2993, 65, 98, "Input"],
Cell[142858, 3474, 1390, 22, 68, "Output"],
Cell[144251, 3498, 1699, 34, 91, "Output"],
Cell[145953, 3534, 1470, 25, 77, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[147460, 3564, 1968, 47, 71, "Input"],
Cell[149431, 3613, 1500, 31, 77, "Output"],
Cell[150934, 3646, 1054, 15, 42, "Output"]
}, Open  ]],
Cell[152003, 3664, 94, 1, 43, "Input"],
Cell[CellGroupData[{
Cell[152122, 3669, 875, 21, 71, "Input"],
Cell[153000, 3692, 1163, 18, 62, "Output"],
Cell[154166, 3712, 1199, 20, 68, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[155402, 3737, 775, 17, 43, "Input"],
Cell[156180, 3756, 868, 12, 42, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[157085, 3773, 561, 14, 43, "Input"],
Cell[157649, 3789, 1014, 14, 42, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[158700, 3808, 702, 13, 43, "Input"],
Cell[159405, 3823, 771, 11, 42, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[160213, 3839, 731, 14, 43, "Input"],
Cell[160947, 3855, 795, 11, 42, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[161779, 3871, 148, 3, 43, "Input"],
Cell[161930, 3876, 112, 1, 42, "Output"]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
